<?php
// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

// Change default size for single image shortcode
add_action('init', 'vc_update_defaults', 100);
function vc_update_defaults() {
	if ( class_exists( 'WPBMap' ) )  {
		// Set full size for single image by default
		$param = WPBMap::getParam( 'vc_single_image', 'img_size' );
		$param['value'] = 'full';
		vc_update_shortcode_param( 'vc_single_image', $param );
	}
}

// Add moreparams
add_action('init', 'vc_add_new_para', 100);
	function vc_add_new_para() {
	if ( function_exists( 'add_shortcode_param' ) ) {
		if ( defined( 'WPB_VC_VERSION' ) && version_compare( '5.0', WPB_VC_VERSION, '>=' ) ) {
			add_shortcode_param( 'number' , 'ambersix_param_number' );
			add_shortcode_param( 'headings' , 'ambersix_param_heading' );
		}
	}
	if ( function_exists( 'vc_add_shortcode_param' ) ) {
		vc_add_shortcode_param( 'number' , 'ambersix_param_number' );
		vc_add_shortcode_param( 'headings' , 'ambersix_param_heading' );
	}

	// Add Number param
	function ambersix_param_number( $settings, $value ) {
		$dependency = '';
		$param_name = isset($settings['param_name']) ? $settings['param_name'] : '';
		$type = isset($settings['type']) ? $settings['type'] : '';
		$suffix = isset($settings['suffix']) ? $settings['suffix'] : '';
		$class = isset($settings['class']) ? $settings['class'] : '';
		$output = '<input type="number" class="wpb_vc_param_value ' . $param_name . ' ' . $type . ' ' . $class . '" name="' . $param_name . '" value="'. $value.'" style="max-width:100px; margin-right: 10px;" />'. $suffix;
		return $output;
	}

	// Add Heading param
	function ambersix_param_heading( $settings, $value ) {
		$dependency = '';
		$param_name = isset($settings['param_name']) ? $settings['param_name'] : '';
		$class = isset($settings['class']) ? $settings['class'] : '';
		$text = isset($settings['text']) ? $settings['text'] : '';
		$output = '<h4 '. $dependency .' class="wpb_vc_param_value '. $class .'" style="margin: 10px 0 0;padding:10px;font-size:14px; background:#ebebeb;color:#666;">'. $text .'</h4>';
		$output .= '<input type="hidden" name="'. $settings['param_name'].'" class="wpb_vc_param_value '. $settings['param_name'] .' '. $settings['type'] .'_field" value="'. $value.'" '. $dependency.'/>';
		return $output;
	}
}

// Register CSS Icons Styles
add_action( 'vc_base_register_admin_css', 'extra_vc_iconpicker_base_register_css' );
function extra_vc_iconpicker_base_register_css(){
    wp_enqueue_style('extraicon', plugin_dir_url( __FILE__ ) . '/assets/lineaicons.css');
    wp_enqueue_style('extraicon2', plugin_dir_url( __FILE__ ) . '/assets/pe-icon-7-stroke.css');
}

// Define the Icons for VC Iconpicker
add_filter( 'vc_iconpicker-type-extraicon', 'vc_iconpicker_type_extraicon' );
function vc_iconpicker_type_extraicon() {
    return array(
		array("linea-basic-accelerator" => "accelerator"),
		array("linea-basic-alarm" => "alarm"),
		array("linea-basic-anchor" => "anchor"),
		array("linea-basic-anticlockwise" => "anticlockwise"),
		array("linea-basic-archive" => "archive"),
		array("linea-basic-archive-full" => "archive-full"),
		array("linea-basic-ban" => "ban"),
		array("linea-basic-battery-charge" => "battery-charge"),
		array("linea-basic-battery-empty" => "battery-empty"),
		array("linea-basic-battery-full" => "battery-full"),
		array("linea-basic-battery-half" => "battery-half"),
		array("linea-basic-bolt" => "bolt"),
		array("linea-basic-book" => "book"),
		array("linea-basic-book-pen" => "book-pen"),
		array("linea-basic-book-pencil" => "book-pencil"),
		array("linea-basic-bookmark" => "bookmark"),
		array("linea-basic-calculator" => "calculator"),
		array("linea-basic-calendar" => "calendar"),
		array("linea-basic-cards-diamonds" => "cards-diamonds"),
		array("linea-basic-cards-hearts" => "cards-hearts"),
		array("linea-basic-case" => "case"),
		array("linea-basic-chronometer" => "chronometer"),
		array("linea-basic-clessidre" => "clessidre"),
		array("linea-basic-clock" => "clock"),
		array("linea-basic-clockwise" => "clockwise"),
		array("linea-basic-cloud" => "cloud"),
		array("linea-basic-clubs" => "clubs"),
		array("linea-basic-compass" => "compass"),
		array("linea-basic-cup" => "cup"),
		array("linea-basic-diamonds" => "diamonds"),
		array("linea-basic-display" => "display"),
		array("linea-basic-download" => "download"),
		array("linea-basic-exclamation" => "exclamation"),
		array("linea-basic-eye" => "eye"),
		array("linea-basic-eye-closed" => "eye-closed"),
		array("linea-basic-female" => "female"),
		array("linea-basic-flag1" => "flag1"),
		array("linea-basic-flag2" => "flag2"),
		array("linea-basic-floppydisk" => "floppydisk"),
		array("linea-basic-folder" => "folder"),
		array("linea-basic-folder-multiple" => "folder-multiple"),
		array("linea-basic-gear" => "gear"),
		array("linea-basic-geolocalize-01" => "geolocalize-01"),
		array("linea-basic-geolocalize-05" => "geolocalize-05"),
		array("linea-basic-globe" => "globe"),
		array("linea-basic-gunsight" => "gunsight"),
		array("linea-basic-hammer" => "hammer"),
		array("linea-basic-headset" => "headset"),
		array("linea-basic-heart" => "heart"),
		array("linea-basic-heart-broken" => "heart-broken"),
		array("linea-basic-helm" => "helm"),
		array("linea-basic-home" => "home"),
		array("linea-basic-info" => "info"),
		array("linea-basic-ipod" => "ipod"),
		array("linea-basic-joypad" => "joypad"),
		array("linea-basic-key" => "key"),
		array("linea-basic-keyboard" => "keyboard"),
		array("linea-basic-laptop" => "laptop"),
		array("linea-basic-life-buoy" => "life-buoy"),
		array("linea-basic-lightbulb" => "lightbulb"),
		array("linea-basic-link" => "link"),
		array("linea-basic-lock" => "lock"),
		array("linea-basic-lock-open" => "lock-open"),
		array("linea-basic-magic-mouse" => "magic-mouse"),
		array("linea-basic-magnifier" => "magnifier"),
		array("linea-basic-magnifier-minus" => "magnifier-minus"),
		array("linea-basic-magnifier-plus" => "magnifier-plus"),
		array("linea-basic-mail" => "mail"),
		array("linea-basic-mail-multiple" => "mail-multiple"),
		array("linea-basic-mail-open" => "mail-open"),
		array("linea-basic-mail-open-text" => "mail-open-text"),
		array("linea-basic-male" => "male"),
		array("linea-basic-map" => "map"),
		array("linea-basic-message" => "message"),
		array("linea-basic-message-multiple" => "message-multiple"),
		array("linea-basic-message-txt" => "message-txt"),
		array("linea-basic-mixer2" => "mixer2"),
		array("linea-basic-mouse" => "mouse"),
		array("linea-basic-notebook" => "notebook"),
		array("linea-basic-notebook-pen" => "notebook-pen"),
		array("linea-basic-notebook-pencil" => "notebook-pencil"),
		array("linea-basic-paperplane" => "paperplane"),
		array("linea-basic-pencil-ruler" => "pencil-ruler"),
		array("linea-basic-pencil-ruler-pen" => "pencil-ruler-pen"),
		array("linea-basic-photo" => "photo"),
		array("linea-basic-picture" => "picture"),
		array("linea-basic-picture-multiple" => "picture-multiple"),
		array("linea-basic-pin1" => "pin1"),
		array("linea-basic-pin2" => "pin2"),
		array("linea-basic-postcard" => "postcard"),
		array("linea-basic-postcard-multiple" => "postcard-multiple"),
		array("linea-basic-printer" => "printer"),
		array("linea-basic-question" => "question"),
		array("linea-basic-rss" => "rss"),
		array("linea-basic-server" => "server"),
		array("linea-basic-server2" => "server2"),
		array("linea-basic-server-cloud" => "server-cloud"),
		array("linea-basic-server-download" => "server-download"),
		array("linea-basic-server-upload" => "server-upload"),
		array("linea-basic-settings" => "settings"),
		array("linea-basic-share" => "share"),
		array("linea-basic-sheet" => "sheet"),
		array("linea-basic-sheet-multiple" => "sheet-multiple"),
		array("linea-basic-sheet-pen" => "sheet-pen"),
		array("linea-basic-sheet-pencil" => "sheet-pencil"),
		array("linea-basic-sheet-txt" => "sheet-txt"),
		array("linea-basic-signs" => "signs"),
		array("linea-basic-smartphone" => "smartphone"),
		array("linea-basic-spades" => "spades"),
		array("linea-basic-spread" => "spread"),
		array("linea-basic-spread-bookmark" => "spread-bookmark"),
		array("linea-basic-spread-text" => "spread-text"),
		array("linea-basic-spread-text-bookmark" => "spread-text-bookmark"),
		array("linea-basic-star" => "star"),
		array("linea-basic-tablet" => "tablet"),
		array("linea-basic-target" => "target"),
		array("linea-basic-todo" => "todo"),
		array("linea-basic-todo-pen" => "todo-pen"),
		array("linea-basic-todo-pencil" => "todo-pencil"),
		array("linea-basic-todo-txt" => "todo-txt"),
		array("linea-basic-todolist-pen" => "todolist-pen"),
		array("linea-basic-todolist-pencil" => "todolist-pencil"),
		array("linea-basic-trashcan" => "trashcan"),
		array("linea-basic-trashcan-full" => "trashcan-full"),
		array("linea-basic-trashcan-refresh" => "trashcan-refresh"),
		array("linea-basic-trashcan-remove" => "trashcan-remove"),
		array("linea-basic-upload" => "upload"),
		array("linea-basic-usb" => "usb"),
		array("linea-basic-video" => "video"),
		array("linea-basic-watch" => "watch"),
		array("linea-basic-webpage" => "webpage"),
		array("linea-basic-webpage-img-txt" => "webpage-img-txt"),
		array("linea-basic-webpage-multiple" => "webpage-multiple"),
		array("linea-basic-webpage-txt" => "webpage-txt"),
		array("linea-basic-world" => "world"),
		array("linea-ecommerce-bag" => "bag"),
		array("linea-ecommerce-bag-check" => "bag-check"),
		array("linea-ecommerce-bag-cloud" => "bag-cloud"),
		array("linea-ecommerce-bag-download" => "bag-download"),
		array("linea-ecommerce-bag-minus" => "bag-minus"),
		array("linea-ecommerce-bag-plus" => "bag-plus"),
		array("linea-ecommerce-bag-refresh" => "bag-refresh"),
		array("linea-ecommerce-bag-remove" => "bag-remove"),
		array("linea-ecommerce-bag-search" => "bag-search"),
		array("linea-ecommerce-bag-upload" => "bag-upload"),
		array("linea-ecommerce-banknote" => "banknote"),
		array("linea-ecommerce-banknotes" => "banknotes"),
		array("linea-ecommerce-basket" => "basket"),
		array("linea-ecommerce-basket-check" => "basket-check"),
		array("linea-ecommerce-basket-cloud" => "basket-cloud"),
		array("linea-ecommerce-basket-download" => "basket-download"),
		array("linea-ecommerce-basket-minus" => "basket-minus"),
		array("linea-ecommerce-basket-plus" => "basket-plus"),
		array("linea-ecommerce-basket-refresh" => "basket-refresh"),
		array("linea-ecommerce-basket-remove" => "basket-remove"),
		array("linea-ecommerce-basket-search" => "basket-search"),
		array("linea-ecommerce-basket-upload" => "basket-upload"),
		array("linea-ecommerce-bath" => "bath"),
		array("linea-ecommerce-cart" => "cart"),
		array("linea-ecommerce-cart-check" => "cart-check"),
		array("linea-ecommerce-cart-cloud" => "cart-cloud"),
		array("linea-ecommerce-cart-content" => "cart-content"),
		array("linea-ecommerce-cart-download" => "cart-download"),
		array("linea-ecommerce-cart-minus" => "cart-minus"),
		array("linea-ecommerce-cart-plus" => "cart-plus"),
		array("linea-ecommerce-cart-refresh" => "cart-refresh"),
		array("linea-ecommerce-cart-remove" => "cart-remove"),
		array("linea-ecommerce-cart-search" => "cart-search"),
		array("linea-ecommerce-cart-upload" => "cart-upload"),
		array("linea-ecommerce-cent" => "cent"),
		array("linea-ecommerce-colon" => "colon"),
		array("linea-ecommerce-creditcard" => "creditcard"),
		array("linea-ecommerce-diamond" => "diamond"),
		array("linea-ecommerce-dollar" => "dollar"),
		array("linea-ecommerce-euro" => "euro"),
		array("linea-ecommerce-franc" => "franc"),
		array("linea-ecommerce-gift" => "gift"),
		array("linea-ecommerce-graph1" => "graph1"),
		array("linea-ecommerce-graph2" => "graph2"),
		array("linea-ecommerce-graph3" => "graph3"),
		array("linea-ecommerce-graph-decrease" => "graph-decrease"),
		array("linea-ecommerce-graph-increase" => "graph-increase"),
		array("linea-ecommerce-guarani" => "guarani"),
		array("linea-ecommerce-kips" => "kips"),
		array("linea-ecommerce-lira" => "lira"),
		array("linea-ecommerce-megaphone" => "megaphone"),
		array("linea-ecommerce-money" => "money"),
		array("linea-ecommerce-naira" => "naira"),
		array("linea-ecommerce-pesos" => "pesos"),
		array("linea-ecommerce-pound" => "pound"),
		array("linea-ecommerce-receipt" => "receipt"),
		array("linea-ecommerce-receipt-bath" => "receipt-bath"),
		array("linea-ecommerce-receipt-cent" => "receipt-cent"),
		array("linea-ecommerce-receipt-dollar" => "receipt-dollar"),
		array("linea-ecommerce-receipt-euro" => "receipt-euro"),
		array("linea-ecommerce-receipt-franc" => "receipt-franc"),
		array("linea-ecommerce-receipt-guarani" => "receipt-guarani"),
		array("linea-ecommerce-receipt-kips" => "receipt-kips"),
		array("linea-ecommerce-receipt-lira" => "receipt-lira"),
		array("linea-ecommerce-receipt-naira" => "receipt-naira"),
		array("linea-ecommerce-receipt-pesos" => "receipt-pesos"),
		array("linea-ecommerce-receipt-pound" => "receipt-pound"),
		array("linea-ecommerce-receipt-rublo" => "receipt-rublo"),
		array("linea-ecommerce-receipt-rupee" => "receipt-rupee"),
		array("linea-ecommerce-receipt-tugrik" => "receipt-tugrik"),
		array("linea-ecommerce-receipt-won" => "receipt-won"),
		array("linea-ecommerce-receipt-yen" => "receipt-yen"),
		array("linea-ecommerce-receipt-yen2" => "receipt-yen2"),
		array("linea-ecommerce-recept-colon" => "recept-colon"),
		array("linea-ecommerce-rublo" => "rublo"),
		array("linea-ecommerce-rupee" => "rupee"),
		array("linea-ecommerce-safe" => "safe"),
		array("linea-ecommerce-sale" => "sale"),
		array("linea-ecommerce-sales" => "sales"),
		array("linea-ecommerce-ticket" => "ticket"),
		array("linea-ecommerce-tugriks" => "tugriks"),
		array("linea-ecommerce-wallet" => "wallet"),
		array("linea-ecommerce-won" => "won"),
		array("linea-ecommerce-yen" => "yen"),
		array("linea-ecommerce-yen2" => "yen2"),
		array("linea-music-beginning-button" => "beginning-button"),
		array("linea-music-bell" => "bell"),
		array("linea-music-cd" => "cd"),
		array("linea-music-diapason" => "diapason"),
		array("linea-music-eject-button" => "eject-button"),
		array("linea-music-end-button" => "end-button"),
		array("linea-music-fastforward-button" => "fastforward-button"),
		array("linea-music-headphones" => "headphones"),
		array("linea-music-ipod" => "ipod"),
		array("linea-music-loudspeaker" => "loudspeaker"),
		array("linea-music-microphone" => "microphone"),
		array("linea-music-microphone-old" => "microphone-old"),
		array("linea-music-mixer" => "mixer"),
		array("linea-music-mute" => "mute"),
		array("linea-music-note-multiple" => "note-multiple"),
		array("linea-music-note-single" => "note-single"),
		array("linea-music-pause-button" => "pause-button"),
		array("linea-music-play-button" => "play-button"),
		array("linea-music-playlist" => "playlist"),
		array("linea-music-radio-ghettoblaster" => "radio-ghettoblaster"),
		array("linea-music-radio-portable" => "radio-portable"),
		array("linea-music-record" => "record"),
		array("linea-music-recordplayer" => "recordplayer"),
		array("linea-music-repeat-button" => "repeat-button"),
		array("linea-music-rewind-button" => "rewind-button"),
		array("linea-music-shuffle-button" => "shuffle-button"),
		array("linea-music-stop-button" => "stop-button"),
		array("linea-music-tape" => "tape"),
		array("linea-music-volume-down" => "volume-down"),
		array("linea-music-volume-up" => "volume-up")
    );
}
add_filter( 'vc_iconpicker-type-extraicon2', 'vc_iconpicker_type_extraicon2' );
function vc_iconpicker_type_extraicon2() {
    return array(
		array("pe-7s-album" => "pe-7s-album"),
		array("pe-7s-arc" => "pe-7s-arc"),
		array("pe-7s-back-2" => "pe-7s-back-2"),
		array("pe-7s-bandaid" => "pe-7s-bandaid"),
		array("pe-7s-car" => "pe-7s-car"),
		array("pe-7s-diamond" => "pe-7s-diamond"),
		array("pe-7s-door-lock" => "pe-7s-door-lock"),
		array("pe-7s-eyedropper" => "pe-7s-eyedropper"),
		array("pe-7s-female" => "pe-7s-female"),
		array("pe-7s-gym" => "pe-7s-gym"),
		array("pe-7s-hammer" => "pe-7s-hammer"),
		array("pe-7s-headphones" => "pe-7s-headphones"),
		array("pe-7s-helm" => "pe-7s-helm"),
		array("pe-7s-hourglass" => "pe-7s-hourglass"),
		array("pe-7s-leaf" => "pe-7s-leaf"),
		array("pe-7s-magic-wand" => "pe-7s-magic-wand"),
		array("pe-7s-male" => "pe-7s-male"),
		array("pe-7s-map-2" => "pe-7s-map-2"),
		array("pe-7s-next-2" => "pe-7s-next-2"),
		array("pe-7s-paint-bucket" => "pe-7s-paint-bucket"),
		array("pe-7s-pendrive" => "pe-7s-pendrive"),
		array("pe-7s-photo" => "pe-7s-photo"),
		array("pe-7s-piggy" => "pe-7s-piggy"),
		array("pe-7s-plugin" => "pe-7s-plugin"),
		array("pe-7s-refresh-2" => "pe-7s-refresh-2"),
		array("pe-7s-rocket" => "pe-7s-rocket"),
		array("pe-7s-settings" => "pe-7s-settings"),
		array("pe-7s-shield" => "pe-7s-shield"),
		array("pe-7s-smile" => "pe-7s-smile"),
		array("pe-7s-usb" => "pe-7s-usb"),
		array("pe-7s-vector" => "pe-7s-vector"),
		array("pe-7s-wine" => "pe-7s-wine"),
		array("pe-7s-cloud-upload" => "pe-7s-cloud-upload"),
		array("pe-7s-cash" => "pe-7s-cash"),
		array("pe-7s-close" => "pe-7s-close"),
		array("pe-7s-bluetooth" => "pe-7s-bluetooth"),
		array("pe-7s-cloud-download" => "pe-7s-cloud-download"),
		array("pe-7s-way" => "pe-7s-way"),
		array("pe-7s-close-circle" => "pe-7s-close-circle"),
		array("pe-7s-id" => "pe-7s-id"),
		array("pe-7s-angle-up" => "pe-7s-angle-up"),
		array("pe-7s-wristwatch" => "pe-7s-wristwatch"),
		array("pe-7s-angle-up-circle" => "pe-7s-angle-up-circle"),
		array("pe-7s-world" => "pe-7s-world"),
		array("pe-7s-angle-right" => "pe-7s-angle-right"),
		array("pe-7s-volume" => "pe-7s-volume"),
		array("pe-7s-angle-right-circle" => "pe-7s-angle-right-circle"),
		array("pe-7s-users" => "pe-7s-users"),
		array("pe-7s-angle-left" => "pe-7s-angle-left"),
		array("pe-7s-user-female" => "pe-7s-user-female"),
		array("pe-7s-angle-left-circle" => "pe-7s-angle-left-circle"),
		array("pe-7s-up-arrow" => "pe-7s-up-arrow"),
		array("pe-7s-angle-down" => "pe-7s-angle-down"),
		array("pe-7s-switch" => "pe-7s-switch"),
		array("pe-7s-angle-down-circle" => "pe-7s-angle-down-circle"),
		array("pe-7s-scissors" => "pe-7s-scissors"),
		array("pe-7s-wallet" => "pe-7s-wallet"),
		array("pe-7s-safe" => "pe-7s-safe"),
		array("pe-7s-volume2" => "pe-7s-volume2"),
		array("pe-7s-volume1" => "pe-7s-volume1"),
		array("pe-7s-voicemail" => "pe-7s-voicemail"),
		array("pe-7s-video" => "pe-7s-video"),
		array("pe-7s-user" => "pe-7s-user"),
		array("pe-7s-upload" => "pe-7s-upload"),
		array("pe-7s-unlock" => "pe-7s-unlock"),
		array("pe-7s-umbrella" => "pe-7s-umbrella"),
		array("pe-7s-trash" => "pe-7s-trash"),
		array("pe-7s-tools" => "pe-7s-tools"),
		array("pe-7s-timer" => "pe-7s-timer"),
		array("pe-7s-ticket" => "pe-7s-ticket"),
		array("pe-7s-target" => "pe-7s-target"),
		array("pe-7s-sun" => "pe-7s-sun"),
		array("pe-7s-study" => "pe-7s-study"),
		array("pe-7s-stopwatch" => "pe-7s-stopwatch"),
		array("pe-7s-star" => "pe-7s-star"),
		array("pe-7s-speaker" => "pe-7s-speaker"),
		array("pe-7s-signal" => "pe-7s-signal"),
		array("pe-7s-shuffle" => "pe-7s-shuffle"),
		array("pe-7s-shopbag" => "pe-7s-shopbag"),
		array("pe-7s-share" => "pe-7s-share"),
		array("pe-7s-server" => "pe-7s-server"),
		array("pe-7s-search" => "pe-7s-search"),
		array("pe-7s-film" => "pe-7s-film"),
		array("pe-7s-science" => "pe-7s-science"),
		array("pe-7s-disk" => "pe-7s-disk"),
		array("pe-7s-ribbon" => "pe-7s-ribbon"),
		array("pe-7s-repeat" => "pe-7s-repeat"),
		array("pe-7s-refresh" => "pe-7s-refresh"),
		array("pe-7s-add-user" => "pe-7s-add-user"),
		array("pe-7s-refresh-cloud" => "pe-7s-refresh-cloud"),
		array("pe-7s-paperclip" => "pe-7s-paperclip"),
		array("pe-7s-radio" => "pe-7s-radio"),
		array("pe-7s-note2" => "pe-7s-note2"),
		array("pe-7s-print" => "pe-7s-print"),
		array("pe-7s-network" => "pe-7s-network"),
		array("pe-7s-prev" => "pe-7s-prev"),
		array("pe-7s-mute" => "pe-7s-mute"),
		array("pe-7s-power" => "pe-7s-power"),
		array("pe-7s-medal" => "pe-7s-medal"),
		array("pe-7s-portfolio" => "pe-7s-portfolio"),
		array("pe-7s-like2" => "pe-7s-like2"),
		array("pe-7s-plus" => "pe-7s-plus"),
		array("pe-7s-left-arrow" => "pe-7s-left-arrow"),
		array("pe-7s-play" => "pe-7s-play"),
		array("pe-7s-key" => "pe-7s-key"),
		array("pe-7s-plane" => "pe-7s-plane"),
		array("pe-7s-joy" => "pe-7s-joy"),
		array("pe-7s-photo-gallery" => "pe-7s-photo-gallery"),
		array("pe-7s-pin" => "pe-7s-pin"),
		array("pe-7s-phone" => "pe-7s-phone"),
		array("pe-7s-plug" => "pe-7s-plug"),
		array("pe-7s-pen" => "pe-7s-pen"),
		array("pe-7s-right-arrow" => "pe-7s-right-arrow"),
		array("pe-7s-paper-plane" => "pe-7s-paper-plane"),
		array("pe-7s-delete-user" => "pe-7s-delete-user"),
		array("pe-7s-paint" => "pe-7s-paint"),
		array("pe-7s-bottom-arrow" => "pe-7s-bottom-arrow"),
		array("pe-7s-notebook" => "pe-7s-notebook"),
		array("pe-7s-note" => "pe-7s-note"),
		array("pe-7s-next" => "pe-7s-next"),
		array("pe-7s-news-paper" => "pe-7s-news-paper"),
		array("pe-7s-musiclist" => "pe-7s-musiclist"),
		array("pe-7s-music" => "pe-7s-music"),
		array("pe-7s-mouse" => "pe-7s-mouse"),
		array("pe-7s-more" => "pe-7s-more"),
		array("pe-7s-moon" => "pe-7s-moon"),
		array("pe-7s-monitor" => "pe-7s-monitor"),
		array("pe-7s-micro" => "pe-7s-micro"),
		array("pe-7s-menu" => "pe-7s-menu"),
		array("pe-7s-map" => "pe-7s-map"),
		array("pe-7s-map-marker" => "pe-7s-map-marker"),
		array("pe-7s-mail" => "pe-7s-mail"),
		array("pe-7s-mail-open" => "pe-7s-mail-open"),
		array("pe-7s-mail-open-file" => "pe-7s-mail-open-file"),
		array("pe-7s-magnet" => "pe-7s-magnet"),
		array("pe-7s-loop" => "pe-7s-loop"),
		array("pe-7s-look" => "pe-7s-look"),
		array("pe-7s-lock" => "pe-7s-lock"),
		array("pe-7s-lintern" => "pe-7s-lintern"),
		array("pe-7s-link" => "pe-7s-link"),
		array("pe-7s-like" => "pe-7s-like"),
		array("pe-7s-light" => "pe-7s-light"),
		array("pe-7s-less" => "pe-7s-less"),
		array("pe-7s-keypad" => "pe-7s-keypad"),
		array("pe-7s-junk" => "pe-7s-junk"),
		array("pe-7s-info" => "pe-7s-info"),
		array("pe-7s-home" => "pe-7s-home"),
		array("pe-7s-help2" => "pe-7s-help2"),
		array("pe-7s-help1" => "pe-7s-help1"),
		array("pe-7s-graph3" => "pe-7s-graph3"),
		array("pe-7s-graph2" => "pe-7s-graph2"),
		array("pe-7s-graph1" => "pe-7s-graph1"),
		array("pe-7s-graph" => "pe-7s-graph"),
		array("pe-7s-global" => "pe-7s-global"),
		array("pe-7s-gleam" => "pe-7s-gleam"),
		array("pe-7s-glasses" => "pe-7s-glasses"),
		array("pe-7s-gift" => "pe-7s-gift"),
		array("pe-7s-folder" => "pe-7s-folder"),
		array("pe-7s-flag" => "pe-7s-flag"),
		array("pe-7s-filter" => "pe-7s-filter"),
		array("pe-7s-file" => "pe-7s-file"),
		array("pe-7s-expand1" => "pe-7s-expand1"),
		array("pe-7s-exapnd2" => "pe-7s-exapnd2"),
		array("pe-7s-edit" => "pe-7s-edit"),
		array("pe-7s-drop" => "pe-7s-drop"),
		array("pe-7s-drawer" => "pe-7s-drawer"),
		array("pe-7s-download" => "pe-7s-download"),
		array("pe-7s-display2" => "pe-7s-display2"),
		array("pe-7s-display1" => "pe-7s-display1"),
		array("pe-7s-diskette" => "pe-7s-diskette"),
		array("pe-7s-date" => "pe-7s-date"),
		array("pe-7s-cup" => "pe-7s-cup"),
		array("pe-7s-culture" => "pe-7s-culture"),
		array("pe-7s-crop" => "pe-7s-crop"),
		array("pe-7s-credit" => "pe-7s-credit"),
		array("pe-7s-copy-file" => "pe-7s-copy-file"),
		array("pe-7s-config" => "pe-7s-config"),
		array("pe-7s-compass" => "pe-7s-compass"),
		array("pe-7s-comment" => "pe-7s-comment"),
		array("pe-7s-coffee" => "pe-7s-coffee"),
		array("pe-7s-cloud" => "pe-7s-cloud"),
		array("pe-7s-clock" => "pe-7s-clock"),
		array("pe-7s-check" => "pe-7s-check"),
		array("pe-7s-chat" => "pe-7s-chat"),
		array("pe-7s-cart" => "pe-7s-cart"),
		array("pe-7s-camera" => "pe-7s-camera"),
		array("pe-7s-call" => "pe-7s-call"),
		array("pe-7s-calculator" => "pe-7s-calculator"),
		array("pe-7s-browser" => "pe-7s-browser"),
		array("pe-7s-box2" => "pe-7s-box2"),
		array("pe-7s-box1" => "pe-7s-box1"),
		array("pe-7s-bookmarks" => "pe-7s-bookmarks"),
		array("pe-7s-bicycle" => "pe-7s-bicycle"),
		array("pe-7s-bell" => "pe-7s-bell"),
		array("pe-7s-battery" => "pe-7s-battery"),
		array("pe-7s-ball" => "pe-7s-ball"),
		array("pe-7s-back" => "pe-7s-back"),
		array("pe-7s-attention" => "pe-7s-attention"),
		array("pe-7s-anchor" => "pe-7s-anchor"),
		array("pe-7s-albums" => "pe-7s-albums"),
		array("pe-7s-alarm" => "pe-7s-alarm"),
		array("pe-7s-airplay" => "pe-7s-airplay")
    );
}

// Return simple fonts array
if ( ! function_exists('ambersix_plugin_google_font') ) {
	function ambersix_plugin_google_font() {
		if ( function_exists('ambersix_google_fonts_array') ) {
			$default = array( 0 => 'Default' );
			return array_merge( $default, ambersix_google_fonts_array() );
		} else {
			return array(
				'Default', 'Arial, Helvetica, sans-serif', 'Arial Black, Gadget, sans-serif',
				'Bookman Old Style, serif', 'Comic Sans MS, cursive', 'Courier, monospace',
				'Georgia, serif', 'Garamond, serif', 'Impact, Charcoal, sans-serif', 'Lucida Console, Monaco, monospace',
				'Lucida Sans Unicode, Lucida Grande, sans-serif', 'MS Sans Serif, Geneva, sans-serif', 'MS Serif, New York, sans-serif',
				'Palatino Linotype, Book Antiqua, Palatino, serif', 'Tahoma, Geneva, sans-serif', 'Times New Roman, Times, serif',
				'Trebuchet MS, Helvetica, sans-serif', 'Verdana, Geneva, sans-serif', 'Paratina Linotype', 'Trebuchet MS',
			);
		}
	}
}

// Get icon font base on font icon type
if ( ! function_exists('ambersix_get_icon_class') ) {
	function ambersix_get_icon_class( $atts, $icon_location ) {
		// Define vars
		$icon = '';
		$icon_type = ! empty( $atts['icon_type'] ) ? $atts['icon_type'] : 'fontawesome';

		// Generate fontawesome icon class
		if ( 'fontawesome' == $icon_type && ! empty( $atts[$icon_location] ) ) {
			$icon = $atts[$icon_location];
			$icon = str_replace( 'fa-', '', $icon );
			$icon = str_replace( 'fa ', '', $icon );
			$icon = 'fa fa-'. $icon;
		} elseif ( ! empty( $atts[ $icon_location .'_'. $icon_type ] ) ) {
			$icon = $atts[ $icon_location .'_'. $icon_type ];
		}

		// Sanitize
		$icon = in_array( $icon, array( 'icon', 'none' ) ) ? '' : $icon;

		// Return icon class
		return $icon;
	}
}

// Spacing
add_action( 'vc_before_init', function() {
    vc_map( array(
        'name' => esc_html__('Spacing', 'ambersix'),
        'description' => esc_html__('Empty space with custom height.', 'ambersix'),
        'base' => 'spacing',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'ambersix'),
        'params' => array(
	        array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__('Desktop: Height', 'ambersix'),
				'param_name' => 'desktop_height',
				'value' => '',
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Mobile: Height', 'ambersix'),
				'param_name' => 'mobile_height',
				'value' => '',
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Small Mobile: Height', 'ambersix'),
				'param_name' => 'smobile_height',
				'value' => '',
	        ),
        )
    ) );
} );

// Carousel Box
add_action( 'vc_before_init', function() {
    class WPBakeryShortCode_carouselbox extends WPBakeryShortCodesContainer {}
} );
add_action( 'vc_before_init', function() {
    vc_map( array(
		'name' => esc_html__('Carousel Box', 'ambersix'),
		'description' => esc_html__('Scrolling anything.', 'ambersix'),
		'base' => 'carouselbox',
		'weight'	=>	180,
		'icon' => plugins_url('assets/icon.png', __FILE__),
		'as_parent' => array('only' => 'contentbox, imagebox, iconbox, videoicon, simpleimage, headings, fancytext, singleheading, pricetable, counter'),
		'controls' => 'full',
		'show_settings_on_create' => true,
		'category' => esc_html__('WPRT VC Addons', 'ambersix'),
		'js_view' => 'VcColumnView',
		'params' => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Item: Auto Scroll?', 'ambersix' ),
				'param_name' => 'auto_scroll',
				'value'      => array(
					'No' => 'false',
					'Yes' => 'true',
				),
				'std'		=> 'false',
				'group' => esc_html__( 'Query', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Item: Infinity Loop?', 'ambersix' ),
				'param_name' => 'loop',
				'value'      => array(
					'No' => 'false',
					'Yes' => 'true',
				),
				'std'		=> 'false',
				'group' => esc_html__( 'Query', 'ambersix' ),
				'description'	=> esc_html__('Duplicate last and first items to get loop illusion.', 'ambersix'),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Item: Spacing Between', 'ambersix'),
				'param_name' => 'gap',
				'value' => '30',
				'group' => esc_html__( 'Query', 'ambersix' ),
	        ),
	        // Controls
			array(
				'type' => 'headings',
				'text' => esc_html__('Bullets', 'ambersix'),
				'param_name' => 'bullets_heading',
				'group' => esc_html__( 'Controls', 'ambersix' ),
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Show Bullets?', 'ambersix' ),
				'param_name' => 'show_bullets',
				'group' => esc_html__( 'Controls', 'ambersix' ),
				'value'      => array( esc_html__( 'Yes, please.', 'ambersix' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Space between Bullets & Elements', 'ambersix' ),
				'param_name' => 'bullet_between',
				'value'      => array(
					'50px' => '50',
					'45px' => '45',
					'40px' => '40',
					'35px' => '35',
					'30px' => '30',
					'25px' => '25',
					'20px' => '20',
					'15px' => '15',
					'10px' => '10',
				),
				'std'		=> '50',
				'dependency' => array( 'element' => 'show_bullets', 'value' => 'yes' ),
				'group' => esc_html__( 'Controls', 'ambersix' ),
			),
			array(
				'type' => 'headings',
				'text' => esc_html__('Arrows', 'ambersix'),
				'param_name' => 'arrows_heading',
				'group' => esc_html__( 'Controls', 'ambersix' ),
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Show Arrows?', 'ambersix' ),
				'param_name' => 'show_arrows',
				'group' => esc_html__( 'Controls', 'ambersix' ),
				'value'      => array( esc_html__( 'Yes, please.', 'ambersix' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Arrow Position', 'ambersix' ),
				'param_name' => 'arrow_position',
				'value'      => array(
					'Top' => 'top',
					'Center' => 'center',
					'Bottom' => 'bottom',
				),
				'std'		=> 'center',
				'group' => esc_html__( 'Controls', 'ambersix' ),
				'dependency' => array( 'element' => 'show_arrows', 'value' => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Arrows Offset: Horizontal', 'ambersix' ),
				'param_name' => 'arrow_offset',
				'group' => esc_html__( 'Controls', 'ambersix' ),
				'value'      => array(
					'-100' => '-100',
					'-90' => '-90',
					'-80' => '-80',
					'-70' => '-70',
					'-60' => '-60',
					'-50' => '-50',
					'-40' => '-40',
					'-30' => '-30',
					'-20' => '-20',
					'-10' => '-10',
					'Center' => 'center',
					'10' => '10',
					'20' => '20',
					'30' => '30',
					'40' => '40',
					'50' => '50',
					'60' => '60',
					'70' => '70',
					'80' => '80',
					'90' => '90',
					'100' => '100',
				),
				'std'		=> 'center',
				'dependency' => array( 'element' => 'arrow_position', 'value' => 'center' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Arrows Offset: Vertical', 'ambersix' ),
				'param_name' => 'arrow_offset_v',
				'group' => esc_html__( 'Controls', 'ambersix' ),
				'value'      => array(
					'-100' => '-100',
					'-90' => '-90',
					'-80' => '-80',
					'-70' => '-70',
					'-60' => '-60',
					'-50' => '-50',
					'-40' => '-40',
					'-30' => '-30',
					'-20' => '-20',
					'-10' => '-10',
					'0' => '0',
					'10' => '10',
					'20' => '20',
					'30' => '30',
					'40' => '40',
					'50' => '50',
					'60' => '60',
					'70' => '70',
					'80' => '80',
					'90' => '90',
					'100' => '100',
				),
				'std'		=> '0',
				'dependency' => array( 'element' => 'arrow_position', 'value' => 'center' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Arrows Offset: Horizontal', 'ambersix' ),
				'param_name' => 'arrow_offset_s',
				'group' => esc_html__( 'Controls', 'ambersix' ),
				'value'      => array(
					'20' => '20',
					'25' => '25',
					'30' => '30',
					'35' => '35',
					'40' => '40',
					'45' => '45',
					'50' => '50',
					'55' => '55',
					'60' => '60',
					'65' => '65',
					'70' => '70',
					'75' => '75',
					'80' => '80',
					'85' => '85',
					'90' => '90',
					'95' => '95',
					'100' => '100',
				),
				'std'		=> '50',
				'dependency' => array( 'element' => 'arrow_position', 'value' => array('top', 'bottom') ),
			),
			// Column
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Screen > 1000px', 'ambersix' ),
				'param_name' => 'column',
				'group'      => esc_html__( 'Columns', 'ambersix' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
					'5 Columns' => '5c',
					'6 Columns' => '6c',
					'7 Columns' => '7c',
				),
				'std'		=> '3c',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Screen from 600px to 1000px', 'ambersix' ),
				'param_name' => 'column2',
				'group'      => esc_html__( 'Columns', 'ambersix' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
					'5 Columns' => '5c',
				),
				'std'		=> '2c',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Screen < 600px', 'ambersix' ),
				'param_name' => 'column3',
				'group'      => esc_html__( 'Columns', 'ambersix' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
				),
				'std'		=> '1c',
			),
        )
    ) );
} );

// Center Carousel Box
add_action( 'vc_before_init', function() {
    class WPBakeryShortCode_centercarouselbox extends WPBakeryShortCodesContainer {}
} );
add_action( 'vc_before_init', function() {
    vc_map( array(
		'name' => esc_html__('Center Carousel Box', 'ambersix'),
		'description' => esc_html__('Scrolling anything.', 'ambersix'),
		'base' => 'centercarouselbox',
		'weight'	=>	180,
		'icon' => plugins_url('assets/icon.png', __FILE__),
		'as_parent' => array('only' => 'contentbox, imagebox, iconbox, simpleimage, pricetable'),
		'controls' => 'full',
		'show_settings_on_create' => true,
		'category' => esc_html__('WPRT VC Addons', 'ambersix'),
		'js_view' => 'VcColumnView',
		'params' => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Auto Scroll?', 'ambersix' ),
				'param_name' => 'auto_scroll',
				'value'      => array(
					'No' => 'false',
					'Yes' => 'true',
				),
				'std'		=> 'true',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Item: Spacing Between', 'ambersix' ),
				'param_name' => 'gap',
				'value'      => array(
					'0px' => '0',
					'10px' => '10',
					'20px' => '20',
					'30px' => '30',
					'40px' => '40',
					'50px' => '50',
					'60px' => '60',
				),
				'std'		=> '30',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Slide Show', 'ambersix' ),
				'param_name' => 'slide',
				'value'      => array(
					'1' => '1',
					'3' => '3',
				),
				'std'		=> '3',
			),
	        array(
				'type' => 'number',
				'heading' => esc_html__('Padding Content', 'ambersix'),
				'param_name' => 'padding',
				'value' => 15,
				'suffix' => '%',
	        ),
	        // Controls
			array(
				'type' => 'headings',
				'text' => esc_html__('Bullets', 'ambersix'),
				'param_name' => 'bullets_heading',
				'group' => esc_html__( 'Controls', 'ambersix' ),
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Show Bullets?', 'ambersix' ),
				'param_name' => 'show_bullets',
				'group' => esc_html__( 'Controls', 'ambersix' ),
				'value'      => array( esc_html__( 'Yes, please.', 'ambersix' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Space between Bullets & Elements', 'ambersix' ),
				'param_name' => 'bullet_between',
				'value'      => array(
					'50px' => '50',
					'40px' => '40',
					'30px' => '30',
					'20px' => '20',
					'10px' => '10',
					'0px' => '0',
				),
				'std'		=> '50',
				'dependency' => array( 'element' => 'show_bullets', 'value' => 'yes' ),
				'group' => esc_html__( 'Controls', 'ambersix' ),
			),
        )
    ) );
} );

// Portfolio Carousel
add_action( 'vc_before_init', function() {
    vc_map( array(
        'name' => esc_html__('Portfolio Carousel', 'ambersix'),
        'description' => esc_html__('Displaying project posts in carousel.', 'ambersix'),
        'base' => 'portfolio',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'ambersix'),
        'params' => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Style', 'ambersix' ),
				'param_name' => 'style',
				'value'      => array(
					'Style 1' => 'style-1',
					'Style 2' => 'style-2',
					'Style 3' => 'style-3',
				),
				'std'		=> 'style-1',
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Wrap Margin', 'ambersix'),
				'param_name' => 'margin',
				'value' => '',
				'description'	=> esc_html__('Top Right Bottom Left. You can use % or px value.', 'ambersix'),
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Image Cropping', 'ambersix' ),
				'param_name' => 'image_crop',
				'value'      => array(
					'Default' => 'default',
					'Full' => 'full',
					'640 x 640' => 'square',
					'370 x 260' => 'rectangle',
					'370 x 570' => 'rectangle2',
				),
				'std'		=> 'square',
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Spacing between items', 'ambersix'),
				'param_name' => 'gap',
				'value' => '30',
				'description'	=> esc_html__('Ex: 30', 'ambersix'),
            ),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Rounded Image?', 'ambersix' ),
				'param_name' => 'rounded',
				'value'      => array( esc_html__( 'Yes, please.', 'ambersix' ) => 'yes' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Posts Per Page', 'ambersix'),
				'param_name' => 'items',
				'value' => '8',
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Category Slug (Optional)', 'ambersix'),
				'param_name' => 'cat_slug',
				'value' => '',
				'description'	=> esc_html__('Displaying posts that have this category. Using category-slug.', 'ambersix'),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Exclude Category Slug (Optional)', 'ambersix'),
				'param_name' => 'exclude_cat_slug',
				'value' => '',
				'description'	=> esc_html__('Exclude posts that have this category. Using category-slug.', 'ambersix'),
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Item: Auto Scroll?', 'ambersix' ),
				'param_name' => 'auto_scroll',
				'value'      => array(
					'No' => 'false',
					'Yes' => 'true',
				),
				'std'		=> 'false',
			),
	        // Controls
			array(
				'type' => 'headings',
				'text' => esc_html__('Bullets', 'ambersix'),
				'param_name' => 'bullets_heading',
				'group' => esc_html__( 'Controls', 'ambersix' ),
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Show Bullets?', 'ambersix' ),
				'param_name' => 'show_bullets',
				'group' => esc_html__( 'Controls', 'ambersix' ),
				'value'      => array( esc_html__( 'Yes, please.', 'ambersix' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Space between Bullets & Images', 'ambersix' ),
				'param_name' => 'bullet_between',
				'value'      => array(
					'50px' => '50',
					'45px' => '45',
					'40px' => '40',
					'35px' => '35',
					'30px' => '30',
					'25px' => '25',
					'20px' => '20',
					'15px' => '15',
					'10px' => '10',
				),
				'std'		=> '50',
				'dependency' => array( 'element' => 'show_bullets', 'value' => 'yes' ),
				'group' => esc_html__( 'Controls', 'ambersix' ),
			),
			array(
				'type' => 'headings',
				'text' => esc_html__('Arrows', 'ambersix'),
				'param_name' => 'arrows_heading',
				'group' => esc_html__( 'Controls', 'ambersix' ),
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Show Arrows?', 'ambersix' ),
				'param_name' => 'show_arrows',
				'group' => esc_html__( 'Controls', 'ambersix' ),
				'value'      => array( esc_html__( 'Yes, please.', 'ambersix' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Arrows Offset: Horizontal', 'ambersix' ),
				'param_name' => 'arrow_offset',
				'group' => esc_html__( 'Controls', 'ambersix' ),
				'value'      => array(
					'-100' => '-100',
					'-90' => '-90',
					'-80' => '-80',
					'-70' => '-70',
					'-60' => '-60',
					'-50' => '-50',
					'-40' => '-40',
					'-30' => '-30',
					'-20' => '-20',
					'-10' => '-10',
					'Center' => 'center',
					'10' => '10',
					'20' => '20',
					'30' => '30',
					'40' => '40',
					'50' => '50',
					'60' => '60',
					'70' => '70',
					'80' => '80',
					'90' => '90',
					'100' => '100',
				),
				'std'		=> 'center',
				'dependency' => array( 'element' => 'show_arrows', 'value' => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Arrows Offset: Vertical', 'ambersix' ),
				'param_name' => 'arrow_offset_v',
				'group' => esc_html__( 'Controls', 'ambersix' ),
				'value'      => array(
					'-100' => '-100',
					'-90' => '-90',
					'-80' => '-80',
					'-70' => '-70',
					'-60' => '-60',
					'-50' => '-50',
					'-40' => '-40',
					'-30' => '-30',
					'-20' => '-20',
					'-10' => '-10',
					'0' => '0',
					'10' => '10',
					'20' => '20',
					'30' => '30',
					'40' => '40',
					'50' => '50',
					'60' => '60',
					'70' => '70',
					'80' => '80',
					'90' => '90',
					'100' => '100',
				),
				'std'		=> '0',
				'dependency' => array( 'element' => 'show_arrows', 'value' => 'yes' ),
			),
			// Columns
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Screen > 1000px.', 'ambersix' ),
				'param_name' => 'column',
				'group'      => esc_html__( 'Columns', 'ambersix' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
					'5 Columns' => '5c',
					'6 Columns' => '6c',
					'7 Columns' => '7c',
				),
				'std'		=> '3c',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Screen from 600px to 1000px.', 'ambersix' ),
				'param_name' => 'column2',
				'group'      => esc_html__( 'Columns', 'ambersix' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
					'5 Columns' => '5c',
				),
				'std'		=> '2c',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Screen < 600px.', 'ambersix' ),
				'param_name' => 'column3',
				'group'      => esc_html__( 'Columns', 'ambersix' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
				),
				'std'		=> '1c',
			),
        )
    ) );
} );

// Portfolio Grid
add_action( 'vc_before_init', function() {
    vc_map( array(
        'name' => esc_html__('Portfolio Grid', 'ambersix'),
        'description' => esc_html__('Displaying project posts in grid with filter bar.', 'ambersix'),
        'base' => 'portfoliogrid',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'ambersix'),
        'params' => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Style', 'ambersix' ),
				'param_name' => 'style',
				'value'      => array(
					'Style 1' => 'style-1',
					'Style 2' => 'style-2',
				),
				'std'		=> 'style-1',
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Wrap Margin', 'ambersix'),
				'param_name' => 'margin',
				'value' => '',
				'description'	=> esc_html__('Top Right Bottom Left. You can use % or px value.', 'ambersix'),
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Showcase', 'ambersix' ),
				'param_name' => 'showcase',
				'value'      => array(
					'Masonry' => 'masonry',
					'Mosaic' => 'mosaic',
				),
				'std'		=> 'masonry',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Image Cropping', 'ambersix' ),
				'param_name' => 'image_crop',
				'value'      => array(
					'Default' => 'default',
					'Full' => 'full',
					'640 x 640' => 'square',
					'370 x 260' => 'rectangle',
					'370 x 570' => 'rectangle2',
				),
				'std'		=> 'square',
				'description'	=> esc_html__('Choose <Default> to use Image-Cropping from metabox.', 'ambersix'),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Spacing between items', 'ambersix'),
				'param_name' => 'gapv',
				'value' => '30',
				'description'	=> esc_html__('Ex: 30', 'ambersix'),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Spacing below items', 'ambersix'),
				'param_name' => 'gaph',
				'value' => '30',
				'description'	=> esc_html__('Ex: 30', 'ambersix'),
            ),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Rounded Image?', 'ambersix' ),
				'param_name' => 'rounded',
				'value'      => array( esc_html__( 'Yes, please.', 'ambersix' ) => 'yes' ),
			),
            // Query
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Posts Per Page', 'ambersix'),
				'param_name' => 'items',
				'group'      => esc_html__( 'Query', 'ambersix' ),
				'value' => '8',
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Category Slug (Optional)', 'ambersix'),
				'param_name' => 'cat_slug',
				'value' => '',
				'group' => esc_html__( 'Query', 'ambersix' ),
				'description'	=> esc_html__('Displaying posts that have this category. Using category-slug.', 'ambersix'),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Exclude Category Slug (Optional)', 'ambersix'),
				'param_name' => 'exclude_cat_slug',
				'value' => '',
				'description'	=> esc_html__('Exclude posts that have this category. Using category-slug.', 'ambersix'),
				'group' => esc_html__( 'Query', 'ambersix' ),
	        ),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Show Pagination?', 'ambersix' ),
				'param_name' => 'pagination',
				'group' => esc_html__( 'Query', 'ambersix' ),
				'value' => array(
					'Yes' => 'true',
					'No' => 'false',
				),
				'std'		=> 'false',
			),
			// Filter
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Show Filter Bar?', 'ambersix' ),
				'param_name' => 'show_filter',
				'group' => esc_html__( 'Filter', 'ambersix' ),
				'value' => array(
					'Yes' => 'true',
					'No' => 'false',
				),
				'std'		=> 'true',
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Button: All', 'ambersix'),
				'param_name' => 'filter_button_all',
				'value' => 'All',
				'group' => esc_html__( 'Filter', 'ambersix' ),
				'description'	=> esc_html__('Leave it empty to disable.', 'ambersix'),
				'dependency' => array( 'element' => 'show_filter', 'value' => 'true' ),
	        ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Bottom Margin', 'ambersix'),
				'param_name' => 'bottom_filter',
				'value' => '',
				'description'	=> esc_html__('Ex: 45px.', 'ambersix'),
				'group' => esc_html__( 'Filter', 'ambersix' ),
				'dependency' => array( 'element' => 'show_filter', 'value' => 'true' ),
            ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Filter Alignment', 'ambersix' ),
				'param_name' => 'filter_align',
				'value'      => array(
					'Left' => 'style-1',
					'Center' => 'style-2',
					'Right' => 'style-3',
				),
				'std'		=> 'style-1',
				'group' => esc_html__( 'Filter', 'ambersix' ),
				'dependency' => array( 'element' => 'show_filter', 'value' => 'true' ),
			),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Show Counter?', 'ambersix' ),
				'param_name' => 'show_counter',
				'group' => esc_html__( 'Filter', 'ambersix' ),
				'value' => array(
					'Yes' => 'true',
					'No' => 'false',
				),
				'std'		=> 'true',
				'dependency' => array( 'element' => 'show_filter', 'value' => 'true' ),
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Filter posts by default?', 'ambersix' ),
				'param_name' => 'filter_by_default',
				'group' => esc_html__( 'Filter', 'ambersix' ),
				'value'      => array( esc_html__( 'Yes, please.', 'ambersix' ) => 'yes' ),
				'dependency' => array( 'element' => 'show_filter', 'value' => 'true' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Category Slug', 'ambersix'),
				'param_name' => 'filter_cat_slug',
				'value' => '',
				'group' => esc_html__( 'Filter', 'ambersix' ),
				'dependency' => array( 'element' => 'filter_by_default', 'value' => 'yes' ),
				'description'	=> esc_html__('Filter posts from this category by default. Using category-slug.', 'ambersix'),
	        ),
            // Typography
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Filter: Font Family', 'ambersix' ),
				'param_name' => 'filter_font_family',
				'value'      =>  ambersix_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Filter: Font Weight', 'ambersix' ),
				'param_name' => 'filter_font_weight',
				'value'      => array(
					'Default' => 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Filter: Font Size', 'ambersix'),
				'param_name' => 'filter_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Filter: Line-Height', 'ambersix'),
				'param_name' => 'filter_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Filter: Letter Spacing', 'ambersix'),
				'param_name' => 'filter_letter_spacing',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Filter: Text Transform', 'ambersix' ),
				'param_name' => 'filter_text_tranform',
				'value'      => array(
					'Capitalize' => 'capitalize',
					'Uppercase' => 'uppercase',
				),
				'std'		=> 'capitalize',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'If Wrap > 1100px', 'ambersix' ),
				'param_name' => 'column',
				'group'      => esc_html__( 'Columns', 'ambersix' ),
				'value'      => array(
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
					'5 Columns' => '5c',
					'6 Columns' => '6c'
				),
				'std'		=> '4c',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'If Wrap from 800px to 1099px', 'ambersix' ),
				'param_name' => 'column2',
				'group'      => esc_html__( 'Columns', 'ambersix' ),
				'value'      => array(
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
				),
				'std'		=> '3c',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'If Wrap from 550px to 799px', 'ambersix' ),
				'param_name' => 'column3',
				'group'      => esc_html__( 'Columns', 'ambersix' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
				),
				'std'		=> '2c',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'If Wrap < 549px', 'ambersix' ),
				'param_name' => 'column4',
				'group'      => esc_html__( 'Columns', 'ambersix' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
				),
				'std'		=> '1c',
			),
        )
    ) );
} );

// Testimonials Post
add_action( 'vc_before_init', function() {
	vc_map( array(
	    'name' => esc_html__('Testimonials Post' , 'ambersix'),
	    'description' => esc_html__('Displaying testimonials posts.', 'ambersix'),
	    'base' => 'testimonialspost',
		'weight'	=>	180,
		'show_settings_on_create' => true,
	    'icon' => plugins_url('assets/icon.png', __FILE__),
	    'category' => esc_html__('WPRT VC Addons', 'ambersix'),
	    'params' => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Style', 'ambersix' ),
				'param_name' => 'style',
				'value'      => array(
					'Style 1' => 'style-1',
					'Style 2' => 'style-2',
				),
				'std'		=> 'style-1',
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Query Posts', 'ambersix'),
				'param_name' => 'items',
				'value' => '5',
            ),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Show Borders?', 'ambersix' ),
				'param_name' => 'borders',
				'value'      => array( esc_html__( 'Yes, please.', 'ambersix' ) => 'yes' ),
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Hide Bullets?', 'ambersix' ),
				'param_name' => 'hide_bullets',
				'value'      => array( esc_html__( 'Yes, please.', 'ambersix' ) => 'yes' ),
			),
			// Carousel Option
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Center Mode?', 'ambersix' ),
				'param_name' => 'center_mode',
				'value' => array(
					'Yes' => 'true',
					'No' => 'false',
				),
				'std'		=> 'false',
				'group' => esc_html__( 'Carousel Option', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Slide Show', 'ambersix' ),
				'param_name' => 'slide1',
				'value'      => array(
					'1' => '1',
					'2' => '2',
					'3' => '3',
					'4' => '4',
					'5' => '5',
				),
				'std'		=> '2',
				'group' => esc_html__( 'Carousel Option', 'ambersix' ),
				'dependency' => array( 'element' => 'center_mode', 'value' => 'false' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Slide Show', 'ambersix' ),
				'param_name' => 'slide2',
				'value'      => array(
					'1' => '1',
					'3' => '3',
				),
				'std'		=> '1',
				'group' => esc_html__( 'Carousel Option', 'ambersix' ),
				'dependency' => array( 'element' => 'center_mode', 'value' => 'true' ),
			),
	        array(
				'type' => 'number',
				'heading' => esc_html__('Padding Content', 'ambersix'),
				'param_name' => 'padding_content',
				'value' => 15,
				'suffix' => '%',
				'group' => esc_html__( 'Carousel Option', 'ambersix' ),
				'dependency' => array( 'element' => 'center_mode', 'value' => 'true' ),
	        ),
		)
	) );
} );

// News Carousel
add_action( 'vc_before_init', function() {
	vc_map( array(
	    'name' => esc_html__('News Carousel', 'ambersix'),
	    'description' => esc_html__('Displaying blog posts in carousel.', 'ambersix'),
	    'base' => 'news',
		'weight'	=>	180,
	    'icon' => plugins_url('assets/icon.png', __FILE__),
	    'category' => esc_html__('WPRT VC Addons', 'ambersix'),
	    'params' => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Style', 'ambersix' ),
				'param_name' => 'style',
				'value'      => array(
					'Style 1' => 'style-1',
					'Style 2' => 'style-2',
				),
				'std'		=> 'style-1',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Thumbnail Image', 'ambersix' ),
				'param_name' => 'thumb',
				'value'      => array(
					'Featured Image' => 'featured-image',
					'Custom Thumbnail' => 'custom-thumbnail',
				),
				'std'		=> 'featured-image',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Thumbnail Cropping', 'ambersix' ),
				'param_name' => 'image_crop',
				'value'      => array(
					'Full' => 'full',
					'770 x 450' => 'standard',
					'480 x 324' => 'related',
				),
				'std'		=> 'related',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Text Alignment', 'ambersix' ),
				'param_name' => 'alignment',
				'value'      => array(
					'Left' => '',
					'Center' => 'text-center',
				),
				'std'		=> '',
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Content Padding.', 'ambersix'),
				'param_name' => 'content_padding',
				'value' => '',
				'description'	=> esc_html__('Top Right Bottom Left. Ex: 20px 17px 30px 17px', 'ambersix'),
	        ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Content Background', 'ambersix'),
				'param_name' => 'content_background',
				'value' => '#f7f7f7',
            ),
	        // Query
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Number of items', 'ambersix'),
				'param_name' => 'items',
				'value' => '3',
				'group' => esc_html__( 'Query', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Category Slug (Optional)', 'ambersix'),
				'param_name' => 'cat_slug',
				'value' => '',
				'group' => esc_html__( 'Query', 'ambersix' ),
				'description'	=> esc_html__('Displaying posts that have this category. Using category-slug.', 'ambersix'),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Item: Space Between', 'ambersix'),
				'param_name' => 'gap',
				'value' => '30',
				'group' => esc_html__( 'Query', 'ambersix' ),
				'description'	=> esc_html__('Important! Include the blur distance of the shadow.', 'ambersix'),
	        ),
	        // Controls
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Item: Auto Scroll?', 'ambersix' ),
				'param_name' => 'auto_scroll',
				'value'      => array(
					'No' => 'false',
					'Yes' => 'true',
				),
				'std'		=> 'false',
				'group' => esc_html__( 'Controls', 'ambersix' ),
			),
			array(
				'type' => 'headings',
				'text' => esc_html__('Bullets', 'ambersix'),
				'param_name' => 'bullets_heading',
				'group' => esc_html__( 'Controls', 'ambersix' ),
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Show Bullets?', 'ambersix' ),
				'param_name' => 'show_bullets',
				'group' => esc_html__( 'Controls', 'ambersix' ),
				'value'      => array( esc_html__( 'Yes, please.', 'ambersix' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Space between Bullets & Elements', 'ambersix' ),
				'param_name' => 'bullet_between',
				'value'      => array(
					'50px' => '50',
					'45px' => '45',
					'40px' => '40',
					'35px' => '35',
					'30px' => '30',
					'25px' => '25',
					'20px' => '20',
					'15px' => '15',
					'10px' => '10',
				),
				'std'		=> '50',
				'dependency' => array( 'element' => 'show_bullets', 'value' => 'yes' ),
				'group' => esc_html__( 'Controls', 'ambersix' ),
			),
			array(
				'type' => 'headings',
				'text' => esc_html__('Arrows', 'ambersix'),
				'param_name' => 'arrows_heading',
				'group' => esc_html__( 'Controls', 'ambersix' ),
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Show Arrows?', 'ambersix' ),
				'param_name' => 'show_arrows',
				'group' => esc_html__( 'Controls', 'ambersix' ),
				'value'      => array( esc_html__( 'Yes, please.', 'ambersix' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Arrow Position', 'ambersix' ),
				'param_name' => 'arrow_position',
				'value'      => array(
					'Center' => 'center',
					'Top' => 'top',
				),
				'std'		=> 'center',
				'group' => esc_html__( 'Controls', 'ambersix' ),
				'dependency' => array( 'element' => 'show_arrows', 'value' => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Arrows Offset: Horizontal', 'ambersix' ),
				'param_name' => 'arrow_offset',
				'group' => esc_html__( 'Controls', 'ambersix' ),
				'value'      => array(
					'-100' => '-100',
					'-90' => '-90',
					'-80' => '-80',
					'-70' => '-70',
					'-60' => '-60',
					'-50' => '-50',
					'-40' => '-40',
					'-30' => '-30',
					'-20' => '-20',
					'-10' => '-10',
					'Center' => 'center',
					'10' => '10',
					'20' => '20',
					'30' => '30',
					'40' => '40',
					'50' => '50',
					'60' => '60',
					'70' => '70',
					'80' => '80',
					'90' => '90',
					'100' => '100',
				),
				'std'		=> 'center',
				'dependency' => array( 'element' => 'arrow_position', 'value' => 'center' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Arrows Offset: Vertical', 'ambersix' ),
				'param_name' => 'arrow_offset_v',
				'group' => esc_html__( 'Controls', 'ambersix' ),
				'value'      => array(
					'-100' => '-100',
					'-90' => '-90',
					'-80' => '-80',
					'-70' => '-70',
					'-60' => '-60',
					'-50' => '-50',
					'-40' => '-40',
					'-30' => '-30',
					'-20' => '-20',
					'-10' => '-10',
					'0' => '0',
					'10' => '10',
					'20' => '20',
					'30' => '30',
					'40' => '40',
					'50' => '50',
					'60' => '60',
					'70' => '70',
					'80' => '80',
					'90' => '90',
					'100' => '100',
				),
				'std'		=> '0',
				'dependency' => array( 'element' => 'arrow_position', 'value' => 'center' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Arrows Offset: Horizontal', 'ambersix' ),
				'param_name' => 'arrow_offset_s',
				'group' => esc_html__( 'Controls', 'ambersix' ),
				'value'      => array(
					'20' => '20',
					'25' => '25',
					'30' => '30',
					'35' => '35',
					'40' => '40',
					'45' => '45',
					'50' => '50',
					'55' => '55',
					'60' => '60',
					'65' => '65',
					'70' => '70',
					'75' => '75',
					'80' => '80',
					'85' => '85',
					'90' => '90',
					'95' => '95',
					'100' => '100',
				),
				'std'		=> '50',
				'dependency' => array( 'element' => 'arrow_position', 'value' => 'top' ),
			),
			// Columns
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Screen > 1000px.', 'ambersix' ),
				'param_name' => 'column',
				'group'      => esc_html__( 'Columns', 'ambersix' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
					'5 Columns' => '5c',
					'6 Columns' => '6c',
					'7 Columns' => '7c',
				),
				'std'		=> '3c',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Screen from 600px to 1000px.', 'ambersix' ),
				'param_name' => 'column2',
				'group'      => esc_html__( 'Columns', 'ambersix' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
					'5 Columns' => '5c',
				),
				'std'		=> '2c',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Screen < 600px.', 'ambersix' ),
				'param_name' => 'column3',
				'group'      => esc_html__( 'Columns', 'ambersix' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
				),
				'std'		=> '1c',
			),
			// Typography
			array(
				'type' => 'headings',
				'text' => esc_html__('Heading', 'ambersix'),
				'param_name' => 'heading_typograpy',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading Font Family', 'ambersix' ),
				'param_name' => 'heading_font_family',
				'value'      =>  ambersix_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading Font Weight', 'ambersix' ),
				'param_name' => 'heading_font_weight',
				'value'      => array(
					'Default' => 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Heading Color', 'ambersix'),
				'param_name' => 'heading_color',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading Font Size', 'ambersix'),
				'param_name' => 'heading_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading Line-Height', 'ambersix'),
				'param_name' => 'heading_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
	        // Spacing
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading: Top Margin', 'ambersix'),
				'param_name' => 'heading_top_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading: Bottom Margin', 'ambersix'),
				'param_name' => 'heading_bottom_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'ambersix' ),
	        ),
	    )
	) );
} );

// Progress Bar
add_action( 'vc_before_init', function() {
    vc_map( array(
        'name' => esc_html__('Progress Bar', 'ambersix'),
        'description' => esc_html__('Displaying progress bars.', 'ambersix'),
        'base' => 'progressbar',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'ambersix'),
        'params' => array(
            array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__('Title', 'ambersix'),
				'param_name' => 'title',
				'value' => esc_html__('Title', 'ambersix'),
				'description' => esc_html__('Title of the ProgressBar.', 'ambersix')
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Text Color', 'ambersix'),
				'param_name' => 'title_color',
				'value' => '',
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Percentage', 'ambersix'),
				'param_name' => 'percent',
				'value' => '90',
				'description' => esc_html__('Percentage value of the ProgressBar', 'ambersix')
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Percentage Color', 'ambersix'),
				'param_name' => 'per_color',
				'value' => '',
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Height of Bars', 'ambersix'),
				'param_name' => 'height',
				'value' => '10px',
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Space between Text & Line', 'ambersix'),
				'param_name' => 'space_between',
				'value' => '10px',
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Rounded', 'ambersix'),
				'param_name' => 'rounded',
				'value' => '',
				'description'	=> esc_html__('Ex: 5px', 'ambersix'),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Bottom Margin', 'ambersix'),
				'param_name' => 'bottom_margin',
				'value' => '',
				'description'	=> esc_html__('Ex: 20px', 'ambersix'),
	        ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Line 1', 'ambersix'),
				'param_name' => 'line_one',
				'value' => '#636363',
				'group' => esc_html__( 'Line Color', 'ambersix' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Line 2', 'ambersix'),
				'param_name' => 'line_two',
				'value' => '#e5e5e5',
				'group' => esc_html__( 'Line Color', 'ambersix' ),
            ),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Enable gradient color?', 'ambersix' ),
				'param_name' => 'gradient',
				'value'      => array( esc_html__( 'Yes, please.', 'ambersix' ) => 'yes' ),
				'group' => esc_html__( 'Line Color', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Font Family', 'ambersix' ),
				'param_name' => 'font_family',
				'value'      =>  ambersix_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Font Weight', 'ambersix' ),
				'param_name' => 'font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Font Size', 'ambersix'),
				'param_name' => 'font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
        )
    ) );
} );

// Progress Circle
add_action( 'vc_before_init', function() {
    vc_map( array(
        'name' => esc_html__('Progress Circle', 'ambersix'),
        'description' => esc_html__('Displaying progress circles.', 'ambersix'),
        'base' => 'progresscircle',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'ambersix'),
        'params' => array(
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Width', 'ambersix'),
				'param_name' => 'width',
				'value' => '200px',
            ),
			array(
				'type' => 'number',
				'heading' => esc_html__('Percent', 'ambersix'),
				'param_name' => 'percent',
				'value' => 90,
				'suffix' => '%',
		  	),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Percent: Color', 'ambersix'),
				'param_name' => 'pc',
				'value' => '#222222',
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Percent: Font Size', 'ambersix'),
				'param_name' => 'ps',
				'value' => '20px',
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Stroke Width', 'ambersix'),
				'param_name' => 'sw',
				'value' => '4px',
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Stroke Color', 'ambersix'),
				'param_name' => 'sc',
				'value' => '#222222',
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Trail Width', 'ambersix'),
				'param_name' => 'tw',
				'value' => '4px',
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Trail Color', 'ambersix'),
				'param_name' => 'tc',
				'value' => '#f7f7f7',
            ),
	        // Animation
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Enable Animation?', 'ambersix' ),
				'param_name' => 'animation',
				'value'      => array( esc_html__( 'Yes, please.', 'ambersix' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Animation', 'ambersix' ),
				'param_name' => 'animation_effect',
				'value'      => array(
					'Fade In Up' => 'fadeInUp',
					'Fade In Down' => 'fadeInDown',
					'Fade In' => 'fadeIn',
					'Fade In Left' => 'fadeInLeft',
					'Fade In Right' => 'fadeInRight',
				),
				'std'		=> 'fadeInUp',
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Duration', 'ambersix'),
				'param_name' => 'animation_duration',
				'value' => '0.75s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'ambersix'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Delay', 'ambersix'),
				'param_name' => 'animation_delay',
				'value' => '0.3s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'ambersix'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
        )
    ) );
} );

// Accordions
add_action( 'vc_before_init', function() {
    class WPBakeryShortCode_accordions extends WPBakeryShortCodesContainer {}
} );
add_action( 'vc_before_init', function() {
	vc_map( array(
		'name'        => esc_html__( 'Accordions or Toggles', 'ambersix' ),
        'description' => esc_html__('Displaying Accordions or Toggles', 'ambersix'),
		'base'        => 'accordions',
		'weight'	=>	180,
		'icon' => plugins_url('assets/icon.png', __FILE__),
		'as_parent' => array( 'only' => 'accordion' ),
		'controls' => 'full',
		'show_settings_on_create' => true,
		'category' => esc_html__('WPRT VC Addons', 'ambersix'),
		'js_view' => 'VcColumnView',
		'params' => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Type', 'ambersix' ),
				'param_name' => 'type',
				'value'      => array(
					'Accordions' => 'accordions',
					'Toggles' => 'toggles',
				),
				'std'		=> 'accordions',
			),
		)
	) );
} );

// Accordion
add_action( 'vc_before_init', function() {
	vc_map( array(
	'name'        => esc_html__( 'Item', 'ambersix' ),
    'description' => esc_html__('Item for Accordions or Toggles', 'ambersix'),
		'base'        => 'accordion',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'ambersix'),
		'as_child'    => array( 'only' => 'accordions' ),
		'params'      => array(
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Active by default?', 'ambersix' ),
				'param_name' => 'open',
				'value'      => array( esc_html__( 'Yes, please.', 'ambersix' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Style', 'ambersix' ),
				'param_name' => 'style',
				'value'      => array(
					'Style 1' => 'style-1',
					'Style 2' => 'style-2',
				),
				'std'		=> 'style-1',
			),
			array(
				'type' => 'attach_image',
				'heading' => esc_html__('Background Image', 'ambersix'),
				'param_name' => 'bg_image',
				'value' => '',
			),
			array(
				'type' => 'number',
				'heading' => esc_html__('Bottom Margin', 'ambersix'),
				'param_name' => 'bottom_margin',
				'value' => 5,
				'suffix' => 'px',
				'description'	=> esc_html__('Default: 10px', 'ambersix'),
		  	),
			// Heading
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading Tag', 'ambersix' ),
				'param_name' => 'tag',
				'value'      => array(
					'H1' => 'h1',
					'H2' => 'h2',
					'H3' => 'h3',
					'H4' => 'h4',
					'H5' => 'h5',
					'H6' => 'h6',
				),
				'std'		=> 'h3',
				'group' => esc_html__( 'Heading', 'ambersix' ),
			),
            array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__('Heading', 'ambersix'),
				'param_name' => 'heading',
				'value' => '',
				'group' => esc_html__( 'Heading', 'ambersix' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading Padding', 'ambersix'),
				'param_name' => 'heading_padding',
				'value' => '',
				'description'	=> esc_html__('Top Right Bottom Left. Ex: 13px 25px 13px 25px', 'ambersix'),
				'group' => esc_html__( 'Heading', 'ambersix' ),
	        ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Rounded', 'ambersix'),
				'param_name' => 'heading_rounded',
				'value' => '',
				'description'	=> esc_html__('Ex: 25px', 'ambersix'),
				'group' => esc_html__( 'Heading', 'ambersix' ),
            ),
	        // Content
			array(
				'type' 		=> 'textarea_html',
				'heading' 	=> esc_html__('Content', 'ambersix'),
				'param_name' 	=> 'content',
				'value' 		=> '',
				'group' => esc_html__( 'Content', 'ambersix' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Content Padding', 'ambersix'),
				'param_name' => 'content_padding',
				'value' => '',
				'description'	=> esc_html__('Top Right Bottom Left. Ex: 20px 0px 30px 0px', 'ambersix'),
				'group' => esc_html__( 'Content', 'ambersix' ),
	        ),
	        // Typography
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading Font Family', 'ambersix' ),
				'param_name' => 'heading_font_family',
				'value'      =>  ambersix_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading Font Weight', 'ambersix' ),
				'param_name' => 'heading_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading Font Size', 'ambersix'),
				'param_name' => 'heading_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading Line-Height', 'ambersix'),
				'param_name' => 'heading_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
		)
	) );
} );

// Parallax Image Box
add_action( 'vc_before_init', function() {
    class WPBakeryShortCode_parallaxbox extends WPBakeryShortCodesContainer {}
} );
add_action( 'vc_before_init', function() {
	vc_map( array(
		'name'        => esc_html__( 'Parallax Image Box', 'ambersix' ),
        'description' => esc_html__('Parallax Box', 'ambersix'),
		'base'        => 'parallaxbox',
		'weight'	=>	180,
		'icon' => plugins_url('assets/icon.png', __FILE__),
		'as_parent' => array( 'only' => 'parallaxitem' ),
		'controls' => 'full',
		'show_settings_on_create' => false,
		'category' => esc_html__('WPRT VC Addons', 'ambersix'),
		'js_view' => 'VcColumnView'
	) );
} );

// Parallax Box Item
add_action( 'vc_before_init', function() {
	vc_map( array(
	'name'        => esc_html__( 'Item', 'ambersix' ),
    'description' => esc_html__('Item for Parallax Image Box', 'ambersix'),
		'base'        => 'parallaxitem',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'ambersix'),
		'as_child'    => array( 'only' => 'parallaxbox' ),
		'params'      => array(
			array(
				'type' => 'attach_image',
				'heading' => esc_html__('Image', 'ambersix'),
				'param_name' => 'image',
				'value' => '',
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Image Width', 'ambersix'),
				'param_name' => 'image_width',
				'value' => '',
				'description'	=> esc_html__('You can use % or px value. Ex: 50%.', 'ambersix'),
	        ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Image Rounded', 'ambersix'),
				'param_name' => 'image_rounded',
				'value' => '',
				'description'	=> esc_html__('Ex: 5px', 'ambersix'),
            ),
	        array(
	            'type' => 'textfield',
	            'heading' => esc_html__('Parallax X', 'ambersix'),
	            'param_name' => 'parallax_x',
	            'description'   => esc_html__('X axis translation.', 'ambersix'),
	        ),
	        array(
	            'type' => 'textfield',
	            'heading' => esc_html__('Parallax Y', 'ambersix'),
	            'param_name' => 'parallax_y',
	            'description'   => esc_html__('Y axis translation.', 'ambersix'),
	        ),
	        array(
	            'type' => 'textfield',
	            'heading' => esc_html__('Smoothness', 'ambersix'),
	            'param_name' => 'smoothness',
	            'value' => '30',
	            'description'   => esc_html__('Slowdown the animation.', 'ambersix'),
	        ),
			array(
				'type' => 'textfield',
				'heading' => esc_html__('Left', 'ambersix'),
				'param_name' => 'left',
				'value' => '',
			),
			array(
				'type' => 'textfield',
				'heading' => esc_html__('Top', 'ambersix'),
				'param_name' => 'top',
				'value' => '',
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Option Shadow', 'ambersix' ),
				'param_name'  => 'inset',
				'value'       => array(
					'Outset'   => '',
					'Inset'   => 'inset',
				),
				'std'		=> '',
				'group' => esc_html__( 'Box Shadow', 'ambersix' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Horizontal (Required)', 'ambersix'),
				'param_name' => 'horizontal',
				'value' => '',
				'group' => esc_html__( 'Box Shadow', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Vertical (Required)', 'ambersix'),
				'param_name' => 'vertical',
				'value' => '',
				'group' => esc_html__( 'Box Shadow', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Blur (Required)', 'ambersix'),
				'param_name' => 'blur',
				'value' => '',
				'group' => esc_html__( 'Box Shadow', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Spread (Required)', 'ambersix'),
				'param_name' => 'spread',
				'value' => '',
				'group' => esc_html__( 'Box Shadow', 'ambersix' ),
	        ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Shadow Color (Required)', 'ambersix'),
				'param_name' => 'shadow_color',
				'value' => '',
				'group' => esc_html__( 'Box Shadow', 'ambersix' ),
            ),
		)
	) );
} );

// Tabs
add_action( 'vc_before_init', function() {
    class WPBakeryShortCode_dtabs extends WPBakeryShortCodesContainer {}
} );
add_action( 'vc_before_init', function() {
	vc_map( array(
		'name'        => esc_html__( 'Tabs', 'ambersix' ),
        'description' => esc_html__('Displaying Tabbed Content.', 'ambersix'),
		'base'        => 'dtabs',
		'weight'	=>	180,
		'icon' => plugins_url('assets/icon.png', __FILE__),
		'as_parent' => array( 'only' => 'dtab' ),
		'controls' => 'full',
		'show_settings_on_create' => true,
		'category' => esc_html__('WPRT VC Addons', 'ambersix'),
		'js_view' => 'VcColumnView',
		'params' => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Style', 'ambersix' ),
				'param_name' => 'style',
				'value'      => array(
					'Style 1' => 'style-1',
					'Style 2' => 'style-2',
					'Style 3' => 'style-3',
					'Style 4' => 'style-4',
				),
				'std'		=> 'style-1',
			),
	        array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Title: Width', 'ambersix' ),
				'param_name' => 'title_width',
				'value'      => array(
					'150px' => 'w150',
					'160px' => 'w160',
					'170px' => 'w170',
					'180px' => 'w180',
					'190px' => 'w190',
					'200px' => 'w200',
					'220px' => 'w220',
					'240px' => 'w240',
					'260px' => 'w260',
					'280px' => 'w280',
					'300px' => 'w300',
				),
				'std'		=> 'w190',
				'dependency' => array( 'element' => 'style', 'value' => array('style-3','style-4')),
	        ),
		)
	) );
} );

// Tab
add_action( 'vc_before_init', function() {
	vc_map( array(
	'name'        => esc_html__( 'Tab', 'ambersix' ),
    'description' => esc_html__('Displaying Tab.', 'ambersix'),
		'base'        => 'dtab',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'ambersix'),
		'as_child'    => array( 'only' => 'dtabs' ),
		'params'      => array(
			// Title
            array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__('Title', 'ambersix'),
				'param_name' => 'title',
				'value' => 'Tab',
				'group' => esc_html__( 'Title', 'ambersix' ),
            ),
	        // Content
			array(
				'type' 		=> 'textarea_html',
				'heading' 	=> esc_html__('Content', 'ambersix'),
				'param_name' 	=> 'content',
				'value' 		=> '',
				'group' => esc_html__( 'Content', 'ambersix' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Content Padding', 'ambersix'),
				'param_name' => 'content_padding',
				'value' => '',
				'description'	=> esc_html__('Top Right Bottom Left. Default: 20px 0px 0px 37px;', 'ambersix'),
				'group' => esc_html__( 'Content', 'ambersix' ),
	        ),
	        // Typography
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Title Font Family', 'ambersix' ),
				'param_name' => 'title_font_family',
				'value'      => ambersix_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Title Font Weight', 'ambersix' ),
				'param_name' => 'title_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Title Font Size', 'ambersix'),
				'param_name' => 'title_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Title Line-Height', 'ambersix'),
				'param_name' => 'title_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
		)
	) );
} );

// Team Carousel
add_action( 'vc_before_init', function() {
	vc_map( array(
	    'name' => esc_html__('Team Carousel', 'ambersix'),
	    'description' => esc_html__('Displaying member posts in carousel.', 'ambersix'),
	    'base' => 'team',
		'weight'	=>	180,
	    'icon' => plugins_url('assets/icon.png', __FILE__),
	    'category' => esc_html__('WPRT VC Addons', 'ambersix'),
	    'params' => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Style', 'ambersix' ),
				'param_name' => 'style',
				'value'      => array(
					'Style 1' => 'style-1',
					'Style 2' => 'style-2',
				),
				'std'		=> 'style-1',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Text Alignment', 'ambersix' ),
				'param_name' => 'alignment',
				'value'      => array(
					'Left' => '',
					'Center' => 'text-center',
					'Right' => 'text-right',
				),
				'std'		=> 'text-center',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Image Cropping', 'ambersix' ),
				'param_name' => 'image_crop',
				'value'      => array(
					'Full' => 'full',
					'640 x 640' => 'square',
					'370 x 260' => 'rectangle',
					'370 x 570' => 'rectangle2',
				),
				'std'		=> 'full',
			),
            // Query
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Number of items', 'ambersix'),
				'param_name' => 'items',
				'value' => '4',
				'group' => esc_html__( 'Query', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Category Slug (Optional)', 'ambersix'),
				'param_name' => 'cat_slug',
				'value' => '',
				'group' => esc_html__( 'Query', 'ambersix' ),
				'description'	=> esc_html__('Display posts that have this category. Using category-slug.', 'ambersix'),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Spacing between items', 'ambersix'),
				'param_name' => 'gap',
				'value' => '30',
				'group' => esc_html__( 'Query', 'ambersix' ),
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Item: Auto Scroll?', 'ambersix' ),
				'param_name' => 'auto_scroll',
				'value'      => array(
					'No' => 'false',
					'Yes' => 'true',
				),
				'std'		=> 'false',
				'group' => esc_html__( 'Query', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Item: Infinity Loop?', 'ambersix' ),
				'param_name' => 'loop',
				'value'      => array(
					'No' => 'false',
					'Yes' => 'true',
				),
				'std'		=> 'false',
				'group' => esc_html__( 'Query', 'ambersix' ),
				'description'	=> esc_html__('Duplicate last and first items to get loop illusion.', 'ambersix'),
			),
	        // Controls
			array(
				'type' => 'headings',
				'text' => esc_html__('Bullets', 'ambersix'),
				'param_name' => 'bullets_heading',
				'group' => esc_html__( 'Controls', 'ambersix' ),
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Show Bullets?', 'ambersix' ),
				'param_name' => 'show_bullets',
				'group' => esc_html__( 'Controls', 'ambersix' ),
				'value'      => array( esc_html__( 'Yes, please.', 'ambersix' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Space between Bullets & Elements', 'ambersix' ),
				'param_name' => 'bullet_between',
				'value'      => array(
					'50px' => '50',
					'45px' => '45',
					'40px' => '40',
					'35px' => '35',
					'30px' => '30',
					'25px' => '25',
					'20px' => '20',
					'15px' => '15',
					'10px' => '10',
				),
				'std'		=> '50',
				'dependency' => array( 'element' => 'show_bullets', 'value' => 'yes' ),
				'group' => esc_html__( 'Controls', 'ambersix' ),
			),
			array(
				'type' => 'headings',
				'text' => esc_html__('Arrows', 'ambersix'),
				'param_name' => 'arrows_heading',
				'group' => esc_html__( 'Controls', 'ambersix' ),
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Show Arrows?', 'ambersix' ),
				'param_name' => 'show_arrows',
				'group' => esc_html__( 'Controls', 'ambersix' ),
				'value'      => array( esc_html__( 'Yes, please.', 'ambersix' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Arrow Position', 'ambersix' ),
				'param_name' => 'arrow_position',
				'value'      => array(
					'Center' => 'center',
					'Top' => 'top',
				),
				'std'		=> 'center',
				'group' => esc_html__( 'Controls', 'ambersix' ),
				'dependency' => array( 'element' => 'show_arrows', 'value' => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Arrows Offset: Horizontal', 'ambersix' ),
				'param_name' => 'arrow_offset',
				'group' => esc_html__( 'Controls', 'ambersix' ),
				'value'      => array(
					'-100' => '-100',
					'-90' => '-90',
					'-80' => '-80',
					'-70' => '-70',
					'-60' => '-60',
					'-50' => '-50',
					'-40' => '-40',
					'-30' => '-30',
					'-20' => '-20',
					'-10' => '-10',
					'Center' => 'center',
					'10' => '10',
					'20' => '20',
					'30' => '30',
					'40' => '40',
					'50' => '50',
					'60' => '60',
					'70' => '70',
					'80' => '80',
					'90' => '90',
					'100' => '100',
				),
				'std'		=> 'center',
				'dependency' => array( 'element' => 'arrow_position', 'value' => 'center' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Arrows Offset: Vertical', 'ambersix' ),
				'param_name' => 'arrow_offset_v',
				'group' => esc_html__( 'Controls', 'ambersix' ),
				'value'      => array(
					'-100' => '-100',
					'-90' => '-90',
					'-80' => '-80',
					'-70' => '-70',
					'-60' => '-60',
					'-50' => '-50',
					'-40' => '-40',
					'-30' => '-30',
					'-20' => '-20',
					'-10' => '-10',
					'0' => '0',
					'10' => '10',
					'20' => '20',
					'30' => '30',
					'40' => '40',
					'50' => '50',
					'60' => '60',
					'70' => '70',
					'80' => '80',
					'90' => '90',
					'100' => '100',
				),
				'std'		=> '0',
				'dependency' => array( 'element' => 'arrow_position', 'value' => 'center' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Arrows Offset: Horizontal', 'ambersix' ),
				'param_name' => 'arrow_offset_s',
				'group' => esc_html__( 'Controls', 'ambersix' ),
				'value'      => array(
					'20' => '20',
					'25' => '25',
					'30' => '30',
					'35' => '35',
					'40' => '40',
					'45' => '45',
					'50' => '50',
					'55' => '55',
					'60' => '60',
					'65' => '65',
					'70' => '70',
					'75' => '75',
					'80' => '80',
					'85' => '85',
					'90' => '90',
					'95' => '95',
					'100' => '100',
				),
				'std'		=> '50',
				'dependency' => array( 'element' => 'arrow_position', 'value' => 'top' ),
			),
			// Columns
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Screen > 1000px', 'ambersix' ),
				'param_name' => 'column',
				'group'      => esc_html__( 'Columns', 'ambersix' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
					'5 Columns' => '5c',
					'6 Columns' => '6c',
				),
				'std'		=> '3c',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Screen from 600px to 1000px', 'ambersix' ),
				'param_name' => 'column2',
				'group'      => esc_html__( 'Columns', 'ambersix' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
					'5 Columns' => '5c',
				),
				'std'		=> '2c',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Screen < 600px', 'ambersix' ),
				'param_name' => 'column3',
				'group'      => esc_html__( 'Columns', 'ambersix' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
				),
				'std'		=> '1c',
			),
			// Typography
			array(
				'type' => 'headings',
				'text' => esc_html__('Name', 'ambersix'),
				'param_name' => 'name_typograpy',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Name Font Family', 'ambersix' ),
				'param_name' => 'name_font_family',
				'value'      =>  ambersix_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Name Font Weight', 'ambersix' ),
				'param_name' => 'name_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Name Color', 'ambersix'),
				'param_name' => 'name_color',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Name Font Size', 'ambersix'),
				'param_name' => 'name_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Name Line-Height', 'ambersix'),
				'param_name' => 'name_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Position', 'ambersix'),
				'param_name' => 'position_typograpy',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Position Font Family', 'ambersix' ),
				'param_name' => 'position_font_family',
				'value'      =>  ambersix_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Position Font Weight', 'ambersix' ),
				'param_name' => 'position_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Position Color', 'ambersix'),
				'param_name' => 'position_color',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Position Font Size', 'ambersix'),
				'param_name' => 'position_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Position Line-Height', 'ambersix'),
				'param_name' => 'position_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Text', 'ambersix'),
				'param_name' => 'text_typograpy',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Text Font Family', 'ambersix' ),
				'param_name' => 'text_font_family',
				'value'      =>  ambersix_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Text Font Weight', 'ambersix' ),
				'param_name' => 'text_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Text Color', 'ambersix'),
				'param_name' => 'text_color',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Text Font Size', 'ambersix'),
				'param_name' => 'text_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Text Line-Height', 'ambersix'),
				'param_name' => 'text_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
			// Spacing
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Name: Top Margin', 'ambersix'),
				'param_name' => 'name_top_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Name: Bottom Margin', 'ambersix'),
				'param_name' => 'name_bottom_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Position: Top Margin', 'ambersix'),
				'param_name' => 'position_top_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Position: Bottom Margin', 'ambersix'),
				'param_name' => 'position_bottom_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Text: Top Margin', 'ambersix'),
				'param_name' => 'text_top_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Text: Bottom Margin', 'ambersix'),
				'param_name' => 'text_bottom_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'ambersix' ),
	        ),
	    )
	) );
} );

// Team Grid
add_action( 'vc_before_init', function() {
	vc_map( array(
	    'name' => esc_html__('Team Grid', 'ambersix'),
	    'description' => esc_html__('Displaying member posts in grid.', 'ambersix'),
	    'base' => 'teamgrid',
		'weight'	=>	180,
	    'icon' => plugins_url('assets/icon.png', __FILE__),
	    'category' => esc_html__('WPRT VC Addons', 'ambersix'),
	    'params' => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Text Alignment', 'ambersix' ),
				'param_name' => 'alignment',
				'value'      => array(
					'Left' => '',
					'Center' => 'text-center',
					'Right' => 'text-right',
				),
				'std'		=> 'text-center',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Image Cropping', 'ambersix' ),
				'param_name' => 'image_crop',
				'value'      => array(
					'Full' => 'full',
					'640 x 640' => 'square',
					'370 x 260' => 'rectangle',
					'370 x 570' => 'rectangle2',
				),
				'std'		=> 'full',
			),
            // Query
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Number of items', 'ambersix'),
				'param_name' => 'items',
				'value' => '3',
				'group' => esc_html__( 'Query', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Category Slug (Optional)', 'ambersix'),
				'param_name' => 'cat_slug',
				'value' => '',
				'group' => esc_html__( 'Query', 'ambersix' ),
				'description'	=> esc_html__('Display posts that have this category. Using category-slug.', 'ambersix'),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Spacing between items', 'ambersix'),
				'param_name' => 'gapv',
				'value' => '30',
				'group' => esc_html__( 'Query', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Spacing below items', 'ambersix'),
				'param_name' => 'gaph',
				'value' => '40',
				'group' => esc_html__( 'Query', 'ambersix' ),
	        ),
			// Columns
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Column(s)', 'ambersix' ),
				'param_name' => 'column',
				'group'      => esc_html__( 'Columns', 'ambersix' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
				),
				'std'		=> '3c',
			),
			// Typography
			array(
				'type' => 'headings',
				'text' => esc_html__('Name', 'ambersix'),
				'param_name' => 'name_typograpy',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Name Font Family', 'ambersix' ),
				'param_name' => 'name_font_family',
				'value'      =>  ambersix_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Name Font Weight', 'ambersix' ),
				'param_name' => 'name_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Name Color', 'ambersix'),
				'param_name' => 'name_color',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Name Font Size', 'ambersix'),
				'param_name' => 'name_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Name Line-Height', 'ambersix'),
				'param_name' => 'name_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Position', 'ambersix'),
				'param_name' => 'position_typograpy',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Position Font Family', 'ambersix' ),
				'param_name' => 'position_font_family',
				'value'      =>  ambersix_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Position Font Weight', 'ambersix' ),
				'param_name' => 'position_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Position Color', 'ambersix'),
				'param_name' => 'position_color',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Position Font Size', 'ambersix'),
				'param_name' => 'position_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Position Line-Height', 'ambersix'),
				'param_name' => 'position_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Text', 'ambersix'),
				'param_name' => 'text_typograpy',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Text Font Family', 'ambersix' ),
				'param_name' => 'text_font_family',
				'value'      =>  ambersix_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Text Font Weight', 'ambersix' ),
				'param_name' => 'text_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Text Color', 'ambersix'),
				'param_name' => 'text_color',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Text Font Size', 'ambersix'),
				'param_name' => 'text_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Text Line-Height', 'ambersix'),
				'param_name' => 'text_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
			// Spacing
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Name: Top Margin', 'ambersix'),
				'param_name' => 'name_top_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Name: Bottom Margin', 'ambersix'),
				'param_name' => 'name_bottom_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Position: Top Margin', 'ambersix'),
				'param_name' => 'position_top_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Position: Bottom Margin', 'ambersix'),
				'param_name' => 'position_bottom_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Text: Top Margin', 'ambersix'),
				'param_name' => 'text_top_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Text: Bottom Margin', 'ambersix'),
				'param_name' => 'text_bottom_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'ambersix' ),
	        ),
	    )
	) );
} );

// Action Box
add_action( 'vc_before_init', function() {
	vc_map( array(
	    'name' => esc_html__('Action Box', 'ambersix'),
	    'description' => esc_html__('Displaying Action-Box or Promo-Box.', 'ambersix'),
	    'base' => 'actionbox',
		'weight'	=>	180,
	    'icon' => plugins_url('assets/icon.png', __FILE__),
	    'category' => esc_html__('WPRT VC Addons', 'ambersix'),
	    'params' => array(
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Content Area: Width', 'ambersix'),
				'param_name' => 'content_width',
				'value' => '',
				'description'	=> esc_html__('Default: 70%', 'ambersix'),
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Content Area: Alignment', 'ambersix' ),
				'param_name' => 'content_align',
				'value'      => array(
					'Left' => '',
					'Center' => 'text-center',
					'Right' => 'text-right',
				),
				'std'		=> '',
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Button Area: Width', 'ambersix'),
				'param_name' => 'button_width',
				'value' => '',
				'description'	=> esc_html__('Default: 20%', 'ambersix'),
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Button Area: Alignment', 'ambersix' ),
				'param_name' => 'button_align',
				'value'      => array(
					'Left' => '',
					'Center' => 'text-center',
					'Right' => 'text-right',
				),
				'std'		=> 'text-right',
			),
            // Content
			array(
				'type' => 'headings',
				'text' => esc_html__('Heading', 'ambersix'),
				'param_name' => 'heading_content',
				'group' => esc_html__( 'Content', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading Tag', 'ambersix' ),
				'param_name' => 'heading_tag',
				'value'      => array(
					'H1' => 'h1',
					'H2' => 'h2',
					'H3' => 'h3',
					'H4' => 'h4',
					'H5' => 'h5',
					'H6' => 'h6',
				),
				'std'		=> 'h2',
				'group' => esc_html__( 'Content', 'ambersix' ),
			),
            array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__('Heading Text', 'ambersix'),
				'param_name' => 'heading_text',
				'value' => '',
				'group' => esc_html__( 'Content', 'ambersix' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Heading Color', 'ambersix'),
				'param_name' => 'heading_color',
				'value' => '',
				'group' => esc_html__( 'Content', 'ambersix' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading Max-Width', 'ambersix'),
				'param_name' => 'heading_width',
				'value' => '',
				'group' => esc_html__( 'Content', 'ambersix' ),
            ),
			array(
				'type' => 'textarea',
				'holder' => 'div',
				'heading' => esc_html__( 'Sub-Heading', 'ambersix' ),
				'param_name' => 'subheading_text',
				'group' => esc_html__( 'Content', 'ambersix' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Sub-Heading Color', 'ambersix'),
				'param_name' => 'subheading_color',
				'value' => '',
				'group' => esc_html__( 'Content', 'ambersix' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Sub-Heading Max-Width', 'ambersix'),
				'param_name' => 'subheading_width',
				'value' => '',
				'group' => esc_html__( 'Content', 'ambersix' ),
            ),
            // Button
	        array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__('Button Text (Required)', 'ambersix'),
				'param_name' => 'link_text',
				'value' => 'READ MORE',
				'group' => esc_html__( 'Button', 'ambersix' ),
	        ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Button URL (Required):', 'ambersix'),
				'param_name' => 'link_url',
				'value' => '',
				'group' => esc_html__( 'Button', 'ambersix' ),
            ),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Open Link in a new Tab', 'ambersix' ),
				'param_name' => 'new_tab',
				'value' => array(
					'Yes' => 'yes',
					'No' => 'no',
				),
				'std'		=> 'yes',
				'group' => esc_html__( 'Button', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Button Size', 'ambersix' ),
				'param_name' => 'button_size',
				'value'      => array(
					'Medium' => 'medium',
					'Small' => 'small',
					'Big' => 'big',
				),
				'std'		=> 'medium',
				'group' => esc_html__( 'Button', 'ambersix' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Button Rounded', 'ambersix'),
				'param_name' => 'button_rounded',
				'value' => '',
				'description'	=> esc_html__('Ex: 30px', 'ambersix'),
				'group' => esc_html__( 'Button', 'ambersix' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Text Color', 'ambersix'),
				'param_name' => 'button_text_color',
				'value' => '',
				'group' => esc_html__( 'Button', 'ambersix' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Background', 'ambersix'),
				'param_name' => 'button_background',
				'value' => '',
				'group' => esc_html__( 'Button', 'ambersix' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Button Border Width', 'ambersix'),
				'param_name' => 'button_border_width',
				'value' => '1px',
				'group' => esc_html__( 'Button', 'ambersix' ),
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Button Border Style', 'ambersix' ),
				'param_name' => 'button_border_style',
				'value'      => array(
					'Solid' => 'solid',
					'Dotted' => 'dotted',
					'Dashed' => 'dashed'
				),
				'std'		=> 'solid',
				'group' => esc_html__( 'Button', 'ambersix' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Border', 'ambersix'),
				'param_name' => 'button_border',
				'value' => '',
				'group' => esc_html__( 'Button', 'ambersix' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Text: Hover', 'ambersix'),
				'param_name' => 'button_text_hover',
				'value' => '',
				'group' => esc_html__( 'Button', 'ambersix' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Background: Hover', 'ambersix'),
				'param_name' => 'button_background_hover',
				'value' => '',
				'group' => esc_html__( 'Button', 'ambersix' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Border: Hover', 'ambersix'),
				'param_name' => 'button_border_hover',
				'value' => '',
				'group' => esc_html__( 'Button', 'ambersix' ),
            ),
            // Typography
			array(
				'type' => 'headings',
				'text' => esc_html__('Heading', 'ambersix'),
				'param_name' => 'heading_typograpy',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading Font Family', 'ambersix' ),
				'param_name' => 'heading_font_family',
				'value'      =>  ambersix_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading Font Weight', 'ambersix' ),
				'param_name' => 'heading_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading Font Size', 'ambersix'),
				'param_name' => 'heading_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading Line-Height', 'ambersix'),
				'param_name' => 'heading_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Sub-Heading', 'ambersix'),
				'param_name' => 'subheading_typograpy',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Sub-Heading: Font Family', 'ambersix' ),
				'param_name' => 'subheading_font_family',
				'value'      =>  ambersix_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Sub-Heading: Font Weight', 'ambersix' ),
				'param_name' => 'subheading_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Sub-Heading: Font Size', 'ambersix'),
				'param_name' => 'subheading_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Sub-Heading: Line Height', 'ambersix'),
				'param_name' => 'subheading_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Button', 'ambersix'),
				'param_name' => 'button_typograpy',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Button Font Family', 'ambersix' ),
				'param_name' => 'button_font_family',
				'value'      =>  ambersix_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Button Font Weight', 'ambersix' ),
				'param_name' => 'button_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Button Font Size', 'ambersix'),
				'param_name' => 'button_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Button Line-Height', 'ambersix'),
				'param_name' => 'button_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
	        // Spacing
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading Margin', 'ambersix'),
				'param_name' => 'heading_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Button Margin', 'ambersix'),
				'param_name' => 'button_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'ambersix' ),
	        ),
	    )
	) );
} );

// Image Box
add_action( 'vc_before_init', function() {
	vc_map( array(
	    'name' => esc_html__('Image Box', 'ambersix'),
	    'description' => esc_html__('Displaying image box.', 'ambersix'),
	    'base' => 'imagebox',
		'weight'	=>	180,
	    'icon' => plugins_url('assets/icon.png', __FILE__),
	    'category' => esc_html__('WPRT VC Addons', 'ambersix'),
	    'params' => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Style', 'ambersix' ),
				'param_name' => 'style',
				'value'      => array(
					'Style 1' => 'style-1',
					'Style 2' => 'style-2',
				),
				'std'		=> 'style-1',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Alignment', 'ambersix' ),
				'param_name' => 'alignment',
				'value'      => array(
					'Left' => '',
					'Center' => 'text-center',
					'Right' => 'text-right',
				),
				'std'		=> '',
			),
	        // Image
			array(
				'type' => 'attach_image',
				'heading' => esc_html__('Image', 'ambersix'),
				'param_name' => 'image',
				'value' => '',
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Content Padding', 'ambersix'),
				'param_name' => 'content_padding',
				'value' => '',
				'description'	=> esc_html__('Top Right Bottom Left.', 'ambersix'),
	        ),
	        // Animation
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Enable Animation?', 'ambersix' ),
				'param_name' => 'animation',
				'value'      => array( esc_html__( 'Yes, please.', 'ambersix' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Animation', 'ambersix' ),
				'param_name' => 'animation_effect',
				'value'      => array(
					'Fade In Up' => 'fadeInUp',
					'Fade In Down' => 'fadeInDown',
					'Fade In' => 'fadeIn',
					'Fade In Left' => 'fadeInLeft',
					'Fade In Right' => 'fadeInRight',
				),
				'std'		=> 'fadeInUp',
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Duration', 'ambersix'),
				'param_name' => 'animation_duration',
				'value' => '0.75s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'ambersix'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Delay', 'ambersix'),
				'param_name' => 'animation_delay',
				'value' => '0.3s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'ambersix'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
			// Content
			array(
				'type' => 'headings',
				'text' => esc_html__('Heading', 'ambersix'),
				'param_name' => 'hading_content',
				'group' => esc_html__( 'Content', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading Tag', 'ambersix' ),
				'param_name' => 'tag',
				'value'      => array(
					'H1' => 'h1',
					'H2' => 'h2',
					'H3' => 'h3',
					'H4' => 'h4',
					'H5' => 'h5',
					'H6' => 'h6',
				),
				'std'		=> 'h3',
				'group' => esc_html__( 'Content', 'ambersix' ),
			),
            array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__('Heading', 'ambersix'),
				'param_name' => 'heading',
				'value' => 'Heading Text',
				'group' => esc_html__( 'Content', 'ambersix' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Heading Color', 'ambersix'),
				'param_name' => 'heading_color',
				'value' => '',
				'group' => esc_html__( 'Content', 'ambersix' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading URL (Optional):', 'ambersix'),
				'param_name' => 'heading_url',
				'value' => '',
				'group' => esc_html__( 'Content', 'ambersix' ),
            ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Description', 'ambersix'),
				'param_name' => 'desc_content',
				'group' => esc_html__( 'Content', 'ambersix' ),
			),
			array(
				'type' 		=> 'textarea',
				'holder' => 'div',
				'heading' 	=> esc_html__('Description', 'ambersix'),
				'param_name' 	=> 'description',
				'value' 		=> '',
				'group' => esc_html__( 'Content', 'ambersix' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Description Color', 'ambersix'),
				'param_name' => 'desc_color',
				'value' => '',
				'group' => esc_html__( 'Content', 'ambersix' ),
				'dependency' => array( 'element' => 'style', 'value' => array( 'style-1', 'style-3' ) ),
            ),
			// Button or Link
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Show Link or Button?', 'ambersix' ),
				'param_name' => 'show_url',
				'value'      => array( esc_html__( 'Yes, please.', 'ambersix' ) => 'yes' ),
				'group' => esc_html__( 'URL', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Style', 'ambersix' ),
				'param_name' => 'url_style',
				'value'      => array(
					'Link' => 'link',
					'Button' => 'button',
				),
				'std'		=> 'link',
				'group' => esc_html__( 'URL', 'ambersix' ),
				'dependency' => array( 'element' => 'show_url', 'value' => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Link Style', 'ambersix' ),
				'param_name' => 'link_style',
				'value'      => array(
					'Style 1' => 'link-style-1',
					'Style 2' => 'link-style-2',
				),
				'std'		=> 'link-style-1',
				'group' => esc_html__( 'URL', 'ambersix' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'link' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Link Color', 'ambersix'),
				'param_name' => 'link_color',
				'value' => '',
				'group' => esc_html__( 'URL', 'ambersix' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'link' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Text (Required)', 'ambersix'),
				'param_name' => 'link_text',
				'value' => 'READ MORE',
				'group' => esc_html__( 'URL', 'ambersix' ),
				'dependency' => array( 'element' => 'show_url', 'value' => 'yes' ),
	        ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('URL (Required):', 'ambersix'),
				'param_name' => 'link_url',
				'value' => '',
				'group' => esc_html__( 'URL', 'ambersix' ),
				'dependency' => array( 'element' => 'show_url', 'value' => 'yes' ),
            ),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Open Link in a new Tab', 'ambersix' ),
				'param_name' => 'new_tab',
				'value' => array(
					'Yes' => 'yes',
					'No' => 'no',
				),
				'std'		=> 'yes',
				'group' => esc_html__( 'URL', 'ambersix' ),
				'dependency' => array( 'element' => 'show_url', 'value' => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Button Size', 'ambersix' ),
				'param_name' => 'button_size',
				'value'      => array(
					'Medium' => 'medium',
					'Small' => 'small',
					'Big' => 'big',
				),
				'std'		=> 'medium',
				'group' => esc_html__( 'URL', 'ambersix' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Button Rounded', 'ambersix'),
				'param_name' => 'button_rounded',
				'value' => '',
				'description'	=> esc_html__('Ex: 30px', 'ambersix'),
				'group' => esc_html__( 'URL', 'ambersix' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Text Color', 'ambersix'),
				'param_name' => 'button_text_color',
				'value' => '',
				'group' => esc_html__( 'URL', 'ambersix' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Background', 'ambersix'),
				'param_name' => 'button_background',
				'value' => '',
				'group' => esc_html__( 'URL', 'ambersix' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Button Border Width', 'ambersix'),
				'param_name' => 'button_border_width',
				'value' => '1px',
				'group' => esc_html__( 'URL', 'ambersix' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Button Border Style', 'ambersix' ),
				'param_name' => 'button_border_style',
				'value'      => array(
					'Solid' => 'solid',
					'Dotted' => 'dotted',
					'Dashed' => 'dashed'
				),
				'std'		=> 'solid',
				'group' => esc_html__( 'URL', 'ambersix' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Border Color', 'ambersix'),
				'param_name' => 'button_border',
				'value' => '',
				'group' => esc_html__( 'URL', 'ambersix' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Text: Hover', 'ambersix'),
				'param_name' => 'button_text_hover',
				'value' => '',
				'group' => esc_html__( 'URL', 'ambersix' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Background: Hover', 'ambersix'),
				'param_name' => 'button_background_hover',
				'value' => '',
				'group' => esc_html__( 'URL', 'ambersix' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Border: Hover', 'ambersix'),
				'param_name' => 'button_border_hover',
				'value' => '',
				'group' => esc_html__( 'URL', 'ambersix' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
            ),
			// Typography
			array(
				'type' => 'headings',
				'text' => esc_html__('Heading', 'ambersix'),
				'param_name' => 'heading_typograpy',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading Font Family', 'ambersix' ),
				'param_name' => 'heading_font_family',
				'value'      =>  ambersix_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading Font Weight', 'ambersix' ),
				'param_name' => 'heading_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading Font Size', 'ambersix'),
				'param_name' => 'heading_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading Line-Height', 'ambersix'),
				'param_name' => 'heading_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Description', 'ambersix'),
				'param_name' => 'desc_typograpy',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Description Font Family', 'ambersix' ),
				'param_name' => 'desc_font_family',
				'value'      =>  ambersix_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Description Font Weight', 'ambersix' ),
				'param_name' => 'desc_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Description Font Size', 'ambersix'),
				'param_name' => 'desc_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Description Line-Height', 'ambersix'),
				'param_name' => 'desc_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Button', 'ambersix'),
				'param_name' => 'btn_typograpy',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Button Font Family', 'ambersix' ),
				'param_name' => 'button_font_family',
				'value'      =>  ambersix_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Button Font Weight', 'ambersix' ),
				'param_name' => 'button_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Button Font Size', 'ambersix'),
				'param_name' => 'button_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
	        // Spacing
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading: Top Margin', 'ambersix'),
				'param_name' => 'heading_top_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading: Bottom Margin', 'ambersix'),
				'param_name' => 'heading_bottom_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Description: Top Margin', 'ambersix'),
				'param_name' => 'desc_top_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Description: Bottom Margin', 'ambersix'),
				'param_name' => 'desc_bottom_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'ambersix' ),
	        ),
	    )
	) );
} );

// Links
add_action( 'vc_before_init', function() {
	vc_map( array(
		'name'        => esc_html__( 'Links', 'ambersix' ),
        'description' => esc_html__('Displaying a link.', 'ambersix'),
		'base'        => 'advlinks',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'ambersix'),
		'params'      => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Style', 'ambersix' ),
				'param_name' => 'style',
				'value'      => array(
					'Style 1' => 'style-1',
					'Style 2' => 'style-2',
					'Style 3' => 'style-3',
					'Style 4' => 'style-4',
				),
				'std'		=> 'style-1',
			),
			array(
				'type' => 'textarea',
				'holder' => 'div',
				'heading' => esc_html__( 'Content (Required)', 'ambersix' ),
				'param_name' => 'content',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Color', 'ambersix' ),
				'param_name' => 'color',
				'value'      => array(
					'Acccent' => 'accent',
					'Dark' => 'dark',
					'Light' => 'light',
				),
				'std'		=> 'accent',
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Link (Required)', 'ambersix'),
				'param_name' => 'link_url',
				'value' => '',
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Margin', 'ambersix'),
				'param_name' => 'margin',
				'value' => '',
	        ),
	        // Animation
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Enable Animation?', 'ambersix' ),
				'param_name' => 'animation',
				'value'      => array( esc_html__( 'Yes, please.', 'ambersix' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Animation', 'ambersix' ),
				'param_name' => 'animation_effect',
				'value'      => array(
					'Fade In Up' => 'fadeInUp',
					'Fade In Down' => 'fadeInDown',
					'Fade In' => 'fadeIn',
					'Fade In Left' => 'fadeInLeft',
					'Fade In Right' => 'fadeInRight',
				),
				'std'		=> 'fadeInUp',
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Duration', 'ambersix'),
				'param_name' => 'animation_duration',
				'value' => '0.75s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'ambersix'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Delay', 'ambersix'),
				'param_name' => 'animation_delay',
				'value' => '0.3s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'ambersix'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
	        // Typography
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Font Family', 'ambersix' ),
				'param_name' => 'content_font_family',
				'value'      =>  ambersix_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Font Weight', 'ambersix' ),
				'param_name' => 'content_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Font Size', 'ambersix'),
				'param_name' => 'content_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
		)
	) );
} );

// List
add_action( 'vc_before_init', function() {
	vc_map( array(
		'name'        => esc_html__( 'List', 'ambersix' ),
        'description' => esc_html__('Displaying Icon lists with custom icon.', 'ambersix'),
		'base'        => 'advlist',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'ambersix'),
		'params'      => array(
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Background Color', 'ambersix'),
				'param_name' => 'content_background_color',
				'value' => '',
            ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Border Style', 'ambersix' ),
				'param_name' => 'content_border_style',
				'value'      => array(
					'Solid' => 'solid',
					'Dotted' => 'dotted',
					'Dashed' => 'dashed',
				),
				'std'		=> 'solid',
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Border Color', 'ambersix'),
				'param_name' => 'content_border_color',
				'value' => '',
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Border Width', 'ambersix'),
				'param_name' => 'content_border_width',
				'value' => '',
				'description'	=> esc_html__('Top Right Bottom Left. Ex: 0px 0px 1px 0px', 'ambersix'),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Padding', 'ambersix'),
				'param_name' => 'content_padding',
				'value' => '',
				'description'	=> esc_html__('Top Right Bottom Left. Ex: 12px 30px 12px 30px', 'ambersix'),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Rounded', 'ambersix'),
				'param_name' => 'content_rounded',
				'value' => '',
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Bottom Margin', 'ambersix'),
				'param_name' => 'content_bottom_margin',
				'value' => '',
	        ),
	        // Animation
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Enable Animation?', 'ambersix' ),
				'param_name' => 'animation',
				'value'      => array( esc_html__( 'Yes, please.', 'ambersix' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Animation', 'ambersix' ),
				'param_name' => 'animation_effect',
				'value'      => array(
					'Fade In Up' => 'fadeInUp',
					'Fade In Down' => 'fadeInDown',
					'Fade In' => 'fadeIn',
					'Fade In Left' => 'fadeInLeft',
					'Fade In Right' => 'fadeInRight',
				),
				'std'		=> 'fadeInUp',
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Duration', 'ambersix'),
				'param_name' => 'animation_duration',
				'value' => '0.75s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'ambersix'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Delay', 'ambersix'),
				'param_name' => 'animation_delay',
				'value' => '0.3s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'ambersix'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
			// Icon
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Icon library', 'ambersix' ),
				'param_name' => 'icon_type',
				'description' => esc_html__( 'Select icon library.', 'ambersix' ),
				'value' => array(
					esc_html__( '', 'ambersix' ) => '',
					esc_html__( 'Elegant Icons', 'ambersix' ) => 'extraicon',
					esc_html__( 'Stroke 7 Icons', 'ambersix' ) => 'extraicon2',
					esc_html__( 'FontAwesome', 'ambersix' ) => 'fontawesome',
					esc_html__( 'Open Iconic', 'ambersix' ) => 'openiconic',
					esc_html__( 'Typicons', 'ambersix' ) => 'typicons',
					esc_html__( 'Entypo', 'ambersix' ) => 'entypo',
					esc_html__( 'Linecons', 'ambersix' ) => 'linecons',
				),
				'group' => esc_html__( 'Icon', 'ambersix' ),
			),
			array(
			    'type' => 'iconpicker',
			    'heading' => esc_html__( 'Icon', 'ambersix' ),
			    'param_name' => 'icon_extraicon',
			    'settings' => array(
			        'emptyIcon' => true,
			        'type' => 'extraicon',
			        'iconsPerPage' => 200,
			    ),
			    'dependency' => array(
			        'element' => 'icon_type',
			        'value' => 'extraicon',
			    ),
			    'group' => esc_html__( 'Icon', 'ambersix' ),
			),
			array(
			    'type' => 'iconpicker',
			    'heading' => esc_html__( 'Icon', 'ambersix' ),
			    'param_name' => 'icon_extraicon2',
			    'settings' => array(
			        'emptyIcon' => true,
			        'type' => 'extraicon2',
			        'iconsPerPage' => 200,
			    ),
			    'dependency' => array(
			        'element' => 'icon_type',
			        'value' => 'extraicon2',
			    ),
			    'group' => esc_html__( 'Icon', 'ambersix' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'ambersix' ),
				'param_name' => 'icon',
				'settings' => array(
					'emptyIcon' => true,
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'fontawesome',
				),
				'group' => esc_html__( 'Icon', 'ambersix' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'ambersix' ),
				'param_name' => 'icon_openiconic',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'openiconic',
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'openiconic',
				),
				'group' => esc_html__( 'Icon', 'ambersix' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'ambersix' ),
				'param_name' => 'icon_typicons',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'typicons',
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'typicons',
				),
				'group' => esc_html__( 'Icon', 'ambersix' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'ambersix' ),
				'param_name' => 'icon_entypo',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'entypo',
					'iconsPerPage' => 300,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'entypo',
				),
				'group' => esc_html__( 'Icon', 'ambersix' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'ambersix' ),
				'param_name' => 'icon_linecons',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'linecons',
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'linecons',
				),
				'group' => esc_html__( 'Icon', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Icon Style', 'ambersix' ),
				'param_name' => 'icon_style',
				'value'      => array(
					'Simple' => 'simple',
					'Background' => 'background',
				),
				'std'		=> 'simple',
				'group' => esc_html__( 'Icon', 'ambersix' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Icon Background', 'ambersix'),
				'param_name' => 'icon_bg',
				'value' => '',
				'group' => esc_html__( 'Icon', 'ambersix' ),
				'dependency' => array(
					'element' => 'icon_style',
					'value' => 'background',
				),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Icon Color', 'ambersix'),
				'param_name' => 'icon_color',
				'value' => '',
				'group' => esc_html__( 'Icon', 'ambersix' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon Width', 'ambersix'),
				'param_name' => 'icon_width',
				'value' => '',
				'group' => esc_html__( 'Icon', 'ambersix' ),
				'dependency' => array(
					'element' => 'icon_style',
					'value' => 'background',
				),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon Height', 'ambersix'),
				'param_name' => 'icon_height',
				'value' => '',
				'group' => esc_html__( 'Icon', 'ambersix' ),
				'dependency' => array(
					'element' => 'icon_style',
					'value' => 'background',
				),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon Rounded', 'ambersix'),
				'param_name' => 'icon_rounded',
				'value' => '',
				'group' => esc_html__( 'Icon', 'ambersix' ),
				'dependency' => array(
					'element' => 'icon_style',
					'value' => 'background',
				),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon Font Size', 'ambersix'),
				'param_name' => 'icon_font_size',
				'value' => '',
				'group' => esc_html__( 'Icon', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon Line-Height', 'ambersix'),
				'param_name' => 'icon_line_height',
				'value' => '',
				'group' => esc_html__( 'Icon', 'ambersix' ),
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Icon Position', 'ambersix' ),
				'param_name' => 'icon_position',
				'value'      => array(
					'Middle' => 'icon-middle',
					'Top' => 'icon-top',
				),
				'std'		=> 'icon-middle',
				'group' => esc_html__( 'Icon', 'ambersix' ),
			),
			array(
				'type'       => 'textfield',
				'heading'    => esc_html__( 'Icon Top Margin', 'ambersix' ),
				'param_name' => 'icon_top_margin',
				'value' => '',
				'group' => esc_html__( 'Icon', 'ambersix' ),
			),
			// Content
			array(
				'type' => 'textarea',
				'holder' => 'div',
				'heading' => esc_html__( 'Content', 'ambersix' ),
				'param_name' => 'content',
				'group' => esc_html__( 'Content', 'ambersix' ), 
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Content Color', 'ambersix'),
				'param_name' => 'content_color',
				'value' => '',
				'group' => esc_html__( 'Content', 'ambersix' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Content Left Padding', 'ambersix'),
				'param_name' => 'content_left_padding',
				'value' => '30',
				'group' => esc_html__( 'Content', 'ambersix' ),
				'description'	=> esc_html__('Spacing between the icon and the content', 'ambersix'),
				'dependency' => array( 'element' => 'style', 'value' => 'icon-left' ),
	        ),
	        // Typography
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Content Font Family', 'ambersix' ),
				'param_name' => 'content_font_family',
				'value'      =>  ambersix_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Content Font Weight', 'ambersix' ),
				'param_name' => 'content_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Content Font Size', 'ambersix'),
				'param_name' => 'content_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Content Line-Height', 'ambersix'),
				'param_name' => 'content_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
		)
	) );
} );

// Menu List
add_action( 'vc_before_init', function() {
	vc_map( array(
	    'name' => esc_html__('Menu List', 'ambersix'),
	    'description' => esc_html__('Menu List.', 'ambersix'),
	    'base' => 'menulist',
		'weight'	=>	180,
	    'icon' => plugins_url('assets/icon.png', __FILE__),
	    'category' => esc_html__('WPRT VC Addons', 'ambersix'),
		'params'      => array(
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Background Color', 'ambersix'),
				'param_name' => 'background',
				'value' => '#f5f5f5',
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Border Color', 'ambersix'),
				'param_name' => 'border_color',
				'value' => '#b2b2b2',
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Border Width', 'ambersix'),
				'param_name' => 'border_width',
				'value' => '1px 0px 1px 0px',
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Border Style', 'ambersix' ),
				'param_name' => 'border_style',
				'value'      => array(
					'Solid' => 'solid',
					'Dotted' => 'dotted',
					'Dashed' => 'dashed',
				),
				'std'		=> 'solid',
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Padding', 'ambersix'),
				'param_name' => 'padding',
				'value' => '',
				'description'	=> esc_html__('Top Right Bottom Left. Default: 10px 20px 10px 20px', 'ambersix'),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Bottom Margin', 'ambersix'),
				'param_name' => 'bottom_margin',
				'value' => '10',
	        ),
	        // Content
			array(
				'type' => 'headings',
				'text' => esc_html__('Text', 'ambersix'),
				'param_name' => 'text_content',
				'group' => esc_html__( 'Content', 'ambersix' ),
			),
            array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__('Text', 'ambersix'),
				'param_name' => 'text',
				'value' => '',
				'group' => esc_html__( 'Content', 'ambersix' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Color', 'ambersix'),
				'param_name' => 'text_color',
				'value' => '',
				'group' => esc_html__( 'Content', 'ambersix' ),
            ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Value', 'ambersix'),
				'param_name' => 'value_content',
				'group' => esc_html__( 'Content', 'ambersix' ),
			),
            array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__('Value', 'ambersix'),
				'param_name' => 'value',
				'value' => '',
				'group' => esc_html__( 'Content', 'ambersix' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Color', 'ambersix'),
				'param_name' => 'value_color',
				'value' => '',
				'group' => esc_html__( 'Content', 'ambersix' ),
            ),
			// Typography
			array(
				'type' => 'headings',
				'text' => esc_html__('Text', 'ambersix'),
				'param_name' => 'text_typograpy',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Text: Font Family', 'ambersix' ),
				'param_name' => 'text_font_family',
				'value'      =>  ambersix_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Text: Font Weight', 'ambersix' ),
				'param_name' => 'text_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Text: Font Size', 'ambersix'),
				'param_name' => 'text_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Value', 'ambersix'),
				'param_name' => 'value_typograpy',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Value: Font Family', 'ambersix' ),
				'param_name' => 'value_font_family',
				'value'      =>  ambersix_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Value: Font Weight', 'ambersix' ),
				'param_name' => 'value_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Value: Font Size', 'ambersix'),
				'param_name' => 'value_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
		)
	) );
} );

// Icon Box
add_action( 'vc_before_init', function() {
	vc_map( array(
		'name'        => esc_html__( 'Icon Box', 'ambersix' ),
        'description' => esc_html__('Displaying Icon Box with custom icon.', 'ambersix'),
		'base'        => 'iconbox',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'ambersix'),
		'params'      => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Style', 'ambersix' ),
				'param_name' => 'style',
				'value'      => array(
					'Icon Top' => 'icon-top',
					'Icon Left' => 'icon-left',
					'Icon Right' => 'icon-right',
					'Icon Left 2' => 'icon-left2',
				),
				'std'		=> 'icon-top',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Text Alignment', 'ambersix' ),
				'param_name' => 'text_align',
				'value'      => array(
					'Left' => 'align-left',
					'Center' => 'align-center',
					'Right' => 'align-right',
				),
				'std'		=> 'align-left',
				'dependency' => array( 'element' => 'style', 'value' => 'icon-top' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Icon to Display', 'ambersix' ),
				'param_name' => 'icon_display',
				'value'      => array(
					'Icon Font' => 'icon-font',
					'Icon Image' => 'icon-image',
				),
				'std'		=> 'icon-font',
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Wrap Padding', 'ambersix'),
				'param_name' => 'wrap_padding',
				'value' => '',
				'description'	=> esc_html__('Top Right Bottom Left.', 'ambersix'),
	        ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Wrap Background', 'ambersix'),
				'param_name' => 'wrap_background',
				'value' => '',
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Wrap Rounded', 'ambersix'),
				'param_name' => 'wrap_rounded',
				'value' => '',
	        ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Wrap Border Color', 'ambersix'),
				'param_name' => 'wrap_border',
				'value' => '#e7e7e7',
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Wrap Border Width', 'ambersix'),
				'param_name' => 'wrap_border_width',
				'value' => '',
				'description'	=> esc_html__('Ex: 1px', 'ambersix'),
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Wrap Border Style', 'ambersix' ),
				'param_name' => 'wrap_border_style',
				'value'      => array(
					'Solid' => 'solid',
					'Dotted' => 'dotted',
					'Dashed' => 'dashed'
				),
				'std'		=> 'solid',
			),
	        // Image
			array(
				'type' => 'attach_image',
				'heading' => esc_html__('Image', 'ambersix'),
				'param_name' => 'image',
				'value' => '',
				'group' => esc_html__( 'Image', 'ambersix' ),
				'dependency' => array( 'element' => 'icon_display', 'value' => 'icon-image' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Image Width', 'ambersix'),
				'param_name' => 'image_width',
				'value' => '',
				'description'	=> esc_html__('Ex: 100px', 'ambersix'),
				'group' => esc_html__( 'Image', 'ambersix' ),
				'dependency' => array( 'element' => 'icon_display', 'value' => 'icon-image' ),
	        ),
	        // Animation
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Enable Animation?', 'ambersix' ),
				'param_name' => 'animation',
				'value'      => array( esc_html__( 'Yes, please.', 'ambersix' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Animation', 'ambersix' ),
				'param_name' => 'animation_effect',
				'value'      => array(
					'Fade In Up' => 'fadeInUp',
					'Fade In Down' => 'fadeInDown',
					'Fade In' => 'fadeIn',
					'Fade In Left' => 'fadeInLeft',
					'Fade In Right' => 'fadeInRight',
				),
				'std'		=> 'fadeInUp',
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Duration', 'ambersix'),
				'param_name' => 'animation_duration',
				'value' => '0.75s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'ambersix'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Delay', 'ambersix'),
				'param_name' => 'animation_delay',
				'value' => '0.3s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'ambersix'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
			// Icon
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Icon library', 'ambersix' ),
				'param_name' => 'icon_type',
				'description' => esc_html__( 'Select icon library.', 'ambersix' ),
				'value' => array(
					esc_html__( '', 'ambersix' ) => '',
					esc_html__( 'Linea Icons', 'ambersix' ) => 'extraicon',
					esc_html__( 'Stroke 7 Icons', 'ambersix' ) => 'extraicon2',
					esc_html__( 'FontAwesome', 'ambersix' ) => 'fontawesome',
					esc_html__( 'Open Iconic', 'ambersix' ) => 'openiconic',
					esc_html__( 'Typicons', 'ambersix' ) => 'typicons',
					esc_html__( 'Entypo', 'ambersix' ) => 'entypo',
					esc_html__( 'Linecons', 'ambersix' ) => 'linecons',
				),
				'group' => esc_html__( 'Icon', 'ambersix' ),
				'dependency' => array( 'element' => 'icon_display', 'value' => 'icon-font' ),
			),
			array(
			    'type' => 'iconpicker',
			    'heading' => esc_html__( 'Icon', 'ambersix' ),
			    'param_name' => 'icon_extraicon',
			    'settings' => array(
			        'emptyIcon' => true,
			        'type' => 'extraicon',
			        'iconsPerPage' => 200,
			    ),
			    'dependency' => array(
			        'element' => 'icon_type',
			        'value' => 'extraicon',
			    ),
			    'group' => esc_html__( 'Icon', 'ambersix' ),
			),
			array(
			    'type' => 'iconpicker',
			    'heading' => esc_html__( 'Icon', 'ambersix' ),
			    'param_name' => 'icon_extraicon2',
			    'settings' => array(
			        'emptyIcon' => true,
			        'type' => 'extraicon2',
			        'iconsPerPage' => 200,
			    ),
			    'dependency' => array(
			        'element' => 'icon_type',
			        'value' => 'extraicon2',
			    ),
			    'group' => esc_html__( 'Icon', 'ambersix' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'ambersix' ),
				'param_name' => 'icon_fontawesome',
				'settings' => array(
					'emptyIcon' => true,
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'fontawesome',
				),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'ambersix' ),
				'param_name' => 'icon_openiconic',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'openiconic',
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'openiconic',
				),
				'group' => esc_html__( 'Icon', 'ambersix' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'ambersix' ),
				'param_name' => 'icon_typicons',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'typicons',
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'typicons',
				),
				'group' => esc_html__( 'Icon', 'ambersix' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'ambersix' ),
				'param_name' => 'icon_entypo',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'entypo',
					'iconsPerPage' => 300,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'entypo',
				),
				'group' => esc_html__( 'Icon', 'ambersix' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'ambersix' ),
				'param_name' => 'icon_linecons',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'linecons',
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'linecons',
				),
				'group' => esc_html__( 'Icon', 'ambersix' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon Font Size', 'ambersix'),
				'param_name' => 'icon_font_size',
				'value' => '30px',
				'group' => esc_html__( 'Icon', 'ambersix' ),
				'dependency' => array( 'element' => 'icon_display', 'value' => 'icon-font' ),
	        ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon Width', 'ambersix'),
				'param_name' => 'icon_width',
				'value' => '60',
				'group' => esc_html__( 'Icon', 'ambersix' ),
				'dependency' => array( 'element' => 'icon_display', 'value' => 'icon-font' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon Height', 'ambersix'),
				'param_name' => 'icon_height',
				'value' => '60',
				'group' => esc_html__( 'Icon', 'ambersix' ),
				'dependency' => array( 'element' => 'icon_display', 'value' => 'icon-font' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon Line Height', 'ambersix'),
				'param_name' => 'icon_line_height',
				'value' => '',
				'group' => esc_html__( 'Icon', 'ambersix' ),
				'dependency' => array( 'element' => 'icon_display', 'value' => 'icon-font' ),
	        ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon Rounded', 'ambersix'),
				'param_name' => 'icon_rounded',
				'value' => '',
				'description'	=> esc_html__('ex: 10px', 'ambersix'),
				'group' => esc_html__( 'Icon', 'ambersix' ),
				'dependency' => array( 'element' => 'icon_display', 'value' => 'icon-font' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Icon Color', 'ambersix'),
				'param_name' => 'icon_color',
				'value' => '',
				'group' => esc_html__( 'Icon', 'ambersix' ),
				'dependency' => array( 'element' => 'icon_display', 'value' => 'icon-font' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Icon Background', 'ambersix'),
				'param_name' => 'icon_background',
				'value' => '',
				'group' => esc_html__( 'Icon', 'ambersix' ),
				'dependency' => array( 'element' => 'icon_display', 'value' => 'icon-font' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Icon Border Color', 'ambersix'),
				'param_name' => 'icon_border',
				'value' => '',
				'group' => esc_html__( 'Icon', 'ambersix' ),
				'dependency' => array( 'element' => 'icon_display', 'value' => 'icon-font' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon Border Width', 'ambersix'),
				'param_name' => 'icon_border_width',
				'value' => '',
				'description'	=> esc_html__('Default: 1px', 'ambersix'),
				'group' => esc_html__( 'Icon', 'ambersix' ),
				'dependency' => array( 'element' => 'icon_display', 'value' => 'icon-font' ),
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Icon Border Style', 'ambersix' ),
				'param_name' => 'icon_border_style',
				'value'      => array(
					'Solid' => 'solid',
					'Dotted' => 'dotted',
					'Dashed' => 'dashed'
				),
				'std'		=> 'solid',
				'group' => esc_html__( 'Icon', 'ambersix' ),
				'dependency' => array( 'element' => 'icon_display', 'value' => 'icon-font' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Icon Color: Hover', 'ambersix'),
				'param_name' => 'icon_color_hover',
				'value' => '',
				'group' => esc_html__( 'Icon', 'ambersix' ),
				'dependency' => array( 'element' => 'icon_display', 'value' => 'icon-font' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Icon Background: Hover', 'ambersix'),
				'param_name' => 'icon_background_hover',
				'value' => '',
				'group' => esc_html__( 'Icon', 'ambersix' ),
				'dependency' => array( 'element' => 'icon_display', 'value' => 'icon-font' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Icon Border: Hover', 'ambersix'),
				'param_name' => 'icon_border_hover',
				'value' => '',
				'group' => esc_html__( 'Icon', 'ambersix' ),
				'dependency' => array( 'element' => 'icon_display', 'value' => 'icon-font' ),
            ),
			// Icon Shadow
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Option Icon Shadow', 'ambersix' ),
				'param_name'  => 'icon_inset',
				'value'       => array(
					'Outset'   => '',
					'Inset'   => 'inset',
				),
				'std'		=> '',
				'group' => esc_html__( 'Icon', 'ambersix' ),
				'dependency' => array( 'element' => 'icon_display', 'value' => 'icon-font' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Horizontal (Required)', 'ambersix'),
				'param_name' => 'icon_horizontal',
				'value' => '',
				'group' => esc_html__( 'Icon', 'ambersix' ),
				'dependency' => array( 'element' => 'icon_display', 'value' => 'icon-font' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Vertical (Required)', 'ambersix'),
				'param_name' => 'icon_vertical',
				'value' => '',
				'group' => esc_html__( 'Icon', 'ambersix' ),
				'dependency' => array( 'element' => 'icon_display', 'value' => 'icon-font' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Blur (Required)', 'ambersix'),
				'param_name' => 'icon_blur',
				'value' => '',
				'group' => esc_html__( 'Icon', 'ambersix' ),
				'dependency' => array( 'element' => 'icon_display', 'value' => 'icon-font' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Spread (Required)', 'ambersix'),
				'param_name' => 'icon_spread',
				'value' => '',
				'group' => esc_html__( 'Icon', 'ambersix' ),
				'dependency' => array( 'element' => 'icon_display', 'value' => 'icon-font' ),
	        ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Shadow Color (Required)', 'ambersix'),
				'param_name' => 'icon_shadow_color',
				'value' => '',
				'group' => esc_html__( 'Icon', 'ambersix' ),
				'dependency' => array( 'element' => 'icon_display', 'value' => 'icon-font' ),
            ),
			// Content
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading Tag', 'ambersix' ),
				'param_name' => 'tag',
				'value'      => array(
					'H1' => 'h1',
					'H2' => 'h2',
					'H3' => 'h3',
					'H4' => 'h4',
					'H5' => 'h5',
					'H6' => 'h6',
				),
				'std'		=> 'h3',
				'group' => esc_html__( 'Content', 'ambersix' ),
			),
            array(
				'type' => 'textarea',
				'holder' => 'div',
				'heading' => esc_html__('Heading', 'ambersix'),
				'param_name' => 'heading',
				'value' => '',
				'group' => esc_html__( 'Content', 'ambersix' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading URL (Optional):', 'ambersix'),
				'param_name' => 'heading_url',
				'value' => '',
				'group' => esc_html__( 'Content', 'ambersix' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Heading Color', 'ambersix'),
				'param_name' => 'heading_color',
				'value' => '',
				'group' => esc_html__( 'Content', 'ambersix' ),
            ),
			array(
				'type' 		=> 'textarea_html',
				'holder' => 'div',
				'heading' 	=> esc_html__('Description', 'ambersix'),
				'param_name' 	=> 'content',
				'value' 		=> '',
				'group' => esc_html__( 'Content', 'ambersix' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Description Color', 'ambersix'),
				'param_name' => 'desc_color',
				'value' => '',
				'group' => esc_html__( 'Content', 'ambersix' ),
            ),
			// Button or Link
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Show Link or Button?', 'ambersix' ),
				'param_name' => 'show_url',
				'value'      => array( esc_html__( 'Yes, please.', 'ambersix' ) => 'yes' ),
				'group' => esc_html__( 'URL', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Style', 'ambersix' ),
				'param_name' => 'url_style',
				'value'      => array(
					'Link' => 'link',
					'Button' => 'button',
				),
				'std'		=> 'link',
				'group' => esc_html__( 'URL', 'ambersix' ),
				'dependency' => array( 'element' => 'show_url', 'value' => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Link Style', 'ambersix' ),
				'param_name' => 'link_style',
				'value'      => array(
					'Style 1' => 'link-style-1',
					'Style 2' => 'link-style-2',
				),
				'std'		=> 'link-style-1',
				'group' => esc_html__( 'URL', 'ambersix' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'link' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Link Color', 'ambersix'),
				'param_name' => 'link_color',
				'value' => '',
				'group' => esc_html__( 'URL', 'ambersix' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'link' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Text (Required)', 'ambersix'),
				'param_name' => 'link_text',
				'value' => 'READ MORE',
				'group' => esc_html__( 'URL', 'ambersix' ),
				'dependency' => array( 'element' => 'show_url', 'value' => 'yes' ),
	        ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('URL (Required):', 'ambersix'),
				'param_name' => 'link_url',
				'value' => '',
				'group' => esc_html__( 'URL', 'ambersix' ),
				'dependency' => array( 'element' => 'show_url', 'value' => 'yes' ),
            ),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Open Link in a new Tab', 'ambersix' ),
				'param_name' => 'new_tab',
				'value' => array(
					'Yes' => 'yes',
					'No' => 'no',
				),
				'std'		=> 'yes',
				'group' => esc_html__( 'URL', 'ambersix' ),
				'dependency' => array( 'element' => 'show_url', 'value' => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Button Size', 'ambersix' ),
				'param_name' => 'button_size',
				'value'      => array(
					'Medium' => 'medium',
					'Small' => 'small',
					'Big' => 'big',
				),
				'std'		=> 'medium',
				'group' => esc_html__( 'URL', 'ambersix' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Button Rounded', 'ambersix'),
				'param_name' => 'button_rounded',
				'value' => '',
				'description'	=> esc_html__('Ex: 30px', 'ambersix'),
				'group' => esc_html__( 'URL', 'ambersix' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Text Color', 'ambersix'),
				'param_name' => 'button_text_color',
				'value' => '',
				'group' => esc_html__( 'URL', 'ambersix' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Background', 'ambersix'),
				'param_name' => 'button_background',
				'value' => '',
				'group' => esc_html__( 'URL', 'ambersix' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Button Border Width', 'ambersix'),
				'param_name' => 'button_border_width',
				'value' => '1px',
				'group' => esc_html__( 'URL', 'ambersix' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Button Border Style', 'ambersix' ),
				'param_name' => 'button_border_style',
				'value'      => array(
					'Solid' => 'solid',
					'Dotted' => 'dotted',
					'Dashed' => 'dashed'
				),
				'std'		=> 'solid',
				'group' => esc_html__( 'URL', 'ambersix' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Border', 'ambersix'),
				'param_name' => 'button_border',
				'value' => '',
				'group' => esc_html__( 'URL', 'ambersix' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Text: Hover', 'ambersix'),
				'param_name' => 'button_text_hover',
				'value' => '',
				'group' => esc_html__( 'URL', 'ambersix' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Background: Hover', 'ambersix'),
				'param_name' => 'button_background_hover',
				'value' => '',
				'group' => esc_html__( 'URL', 'ambersix' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Border: Hover', 'ambersix'),
				'param_name' => 'button_border_hover',
				'value' => '',
				'group' => esc_html__( 'URL', 'ambersix' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
            ),
	        // Typography
			array(
				'type' => 'headings',
				'text' => esc_html__('Heading', 'ambersix'),
				'param_name' => 'heading_typograpy',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading Font Family', 'ambersix' ),
				'param_name' => 'heading_font_family',
				'value'      =>  ambersix_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading Font Weight', 'ambersix' ),
				'param_name' => 'heading_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading Font Size', 'ambersix'),
				'param_name' => 'heading_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading Line-Height', 'ambersix'),
				'param_name' => 'heading_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Description', 'ambersix'),
				'param_name' => 'desc_typograpy',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Description Font Family', 'ambersix' ),
				'param_name' => 'desc_font_family',
				'value'      =>  ambersix_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Description Font Weight', 'ambersix' ),
				'param_name' => 'desc_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Description Font Size', 'ambersix'),
				'param_name' => 'desc_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Description Line-Height', 'ambersix'),
				'param_name' => 'desc_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Button', 'ambersix'),
				'param_name' => 'button_typograpy',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Button Font Family', 'ambersix' ),
				'param_name' => 'button_font_family',
				'value'      =>  ambersix_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Button Font Weight', 'ambersix' ),
				'param_name' => 'button_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Button Font Size', 'ambersix'),
				'param_name' => 'button_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Button Line-Height', 'ambersix'),
				'param_name' => 'button_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
	        // Spacing
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon: Margin', 'ambersix'),
				'param_name' => 'icon_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Content: Left Padding', 'ambersix'),
				'param_name' => 'content_left_padding',
				'value' => '85px',
				'group' => esc_html__( 'Spacing', 'ambersix' ), 
				'dependency' => array( 'element' => 'style', 'value' => 'icon-left' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Content: Right Padding', 'ambersix'),
				'param_name' => 'content_right_padding',
				'value' => '85px',
				'group' => esc_html__( 'Spacing', 'ambersix' ), 
				'dependency' => array( 'element' => 'style', 'value' => 'icon-right' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading: Left Margin', 'ambersix'),
				'param_name' => 'heading_left_margin',
				'value' => '85px',
				'group' => esc_html__( 'Spacing', 'ambersix' ), 
				'dependency' => array( 'element' => 'style', 'value' => 'icon-left2' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading: Top Margin', 'ambersix'),
				'param_name' => 'heading_top_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading: Bottom Margin', 'ambersix'),
				'param_name' => 'heading_bottom_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Description: Top Margin', 'ambersix'),
				'param_name' => 'desc_top_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Description: Bottom Margin', 'ambersix'),
				'param_name' => 'desc_bottom_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'ambersix' ),
	        ),
	        // Hover
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Hover Style', 'ambersix' ),
				'param_name' => 'hover_style',
				'value'      => array(
					'No' => '',
					'Light' => 'hover-style-1',
					'Dark' => 'hover-style-2',
					'Accent' => 'hover-style-3',
				),
				'std'		=> '',
				'group' => esc_html__( 'Hover', 'ambersix' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Background Color', 'ambersix'),
				'param_name' => 'bg_color',
				'value' => '',
				'group' => esc_html__( 'Hover', 'ambersix' ),
				'dependency' => array( 'element' => 'hover_style', 'value' => array( 'hover-style-1', 'hover-style-2' ) ),
            ),
			array(
				'type' => 'attach_image',
				'heading' => esc_html__('Background Image', 'ambersix'),
				'param_name' => 'bg_image',
				'value' => '',
				'group' => esc_html__( 'Hover', 'ambersix' ),
				'dependency' => array( 'element' => 'hover_style', 'value' => array( 'hover-style-1', 'hover-style-2' ) ),
			),
		)
	) );
} );

// Icon List
add_action( 'vc_before_init', function() {
    class WPBakeryShortCode_iconlists extends WPBakeryShortCodesContainer {}
} );
add_action( 'vc_before_init', function() {
	vc_map( array(
		'name'        => esc_html__( 'Icon List', 'ambersix' ),
        'description' => esc_html__('Icon List', 'ambersix'),
		'base'        => 'iconlists',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'ambersix'),
		'as_parent' => array( 'only' => 'iconlist' ),
		'controls' => 'full',
		'show_settings_on_create' => false,
		'js_view' => 'VcColumnView',
		'params' => array(
		)
	) );
} );

// Icon List Item
add_action( 'vc_before_init', function() {
	vc_map( array(
	'name'        => esc_html__( 'Item', 'ambersix' ),
    'description' => esc_html__('Item for Icon List', 'ambersix'),
		'base'        => 'iconlist',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'ambersix'),
		'as_child'    => array( 'only' => 'iconlists' ),
		'params'      => array(
            array(
				'type' => 'textarea',
				'holder' => 'div',
				'heading' => esc_html__('Number', 'ambersix'),
				'param_name' => 'number',
				'value' => '',
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Number Color', 'ambersix'),
				'param_name' => 'number_color',
				'value' => '',
            ),
            array(
				'type' => 'textarea',
				'holder' => 'div',
				'heading' => esc_html__('Heading', 'ambersix'),
				'param_name' => 'heading',
				'value' => '',
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Heading Color', 'ambersix'),
				'param_name' => 'heading_color',
				'value' => '',
            ),
			array(
				'type' => 'textarea',
				'holder' => 'div',
				'heading' => esc_html__( 'Description', 'ambersix' ),
				'param_name' => 'description',
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Description Color', 'ambersix'),
				'param_name' => 'desc_color',
				'value' => '',
            ),
	        // Typography
			array(
				'type' => 'headings',
				'text' => esc_html__('Number', 'ambersix'),
				'param_name' => 'number_typograpy',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Number Font Family', 'ambersix' ),
				'param_name' => 'number_font_family',
				'value'      =>  ambersix_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Number Font Weight', 'ambersix' ),
				'param_name' => 'number_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Number Font Size', 'ambersix'),
				'param_name' => 'number_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Number Line-Height', 'ambersix'),
				'param_name' => 'number_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Heading', 'ambersix'),
				'param_name' => 'heading_typograpy',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading Font Family', 'ambersix' ),
				'param_name' => 'heading_font_family',
				'value'      =>  ambersix_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading Font Weight', 'ambersix' ),
				'param_name' => 'heading_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading Font Size', 'ambersix'),
				'param_name' => 'heading_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading Line-Height', 'ambersix'),
				'param_name' => 'heading_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Description', 'ambersix'),
				'param_name' => 'desc_typograpy',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Description Font Family', 'ambersix' ),
				'param_name' => 'desc_font_family',
				'value'      =>  ambersix_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Description Font Weight', 'ambersix' ),
				'param_name' => 'desc_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Description Font Size', 'ambersix'),
				'param_name' => 'desc_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Description Line-Height', 'ambersix'),
				'param_name' => 'desc_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
			// Spacing
			array(
				'type' => 'textfield',
				'heading' => esc_html__('Item: Bottom Margin', 'ambersix'),
				'param_name' => 'bottom_margin',
				'value' => '50px',
				'group' => esc_html__( 'Spacing', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Number Margin', 'ambersix'),
				'param_name' => 'number_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading Margin', 'ambersix'),
				'param_name' => 'heading_margin',
				'value' => '0 0 12px 100px',
				'group' => esc_html__( 'Spacing', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Description Margin', 'ambersix'),
				'param_name' => 'desc_margin',
				'value' => '0 0 0 100px',
				'group' => esc_html__( 'Spacing', 'ambersix' ),
	        ),
		)
	) );
} );

// PriceTable
add_action( 'vc_before_init', function() {
	vc_map( array(
		'name'        => esc_html__( 'Price Table', 'ambersix' ),
        'description' => esc_html__('Displaying Price Tables.', 'ambersix'),
		'base'        => 'pricetable',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'ambersix'),
		'params'      => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Text Alignment', 'ambersix' ),
				'param_name' => 'alignment',
				'value'      => array(
					'Left' => '',
					'Center' => 'text-center',
					'Right' => 'text-right',
				),
				'std'		=> '',
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Padding', 'ambersix'),
				'param_name' => 'padding',
				'value' => '',
	        ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Rounded', 'ambersix'),
				'param_name' => 'rounded',
				'value' => '',
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Background Color', 'ambersix'),
				'param_name' => 'bg_color',
				'value' => '',
            ),
			array(
				'type' => 'attach_image',
				'heading' => esc_html__('Background Image', 'ambersix'),
				'param_name' => 'bg_image',
				'value' => '',
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Background Position', 'ambersix' ),
				'param_name'  => 'bg_position',
				'value'       => array(
					'Left Top' => 'lt',
					'Right Top' => 'rt',
					'Center Top' => 'ct',
					'Center Center' => 'cc',
					'Center Bottom'   => 'cb',
					'Left Bottom' => 'lb',
					'Right Bottom'   => 'rb',
				),
				'std'		=> 'lt',
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Background Repeat', 'ambersix' ),
				'param_name'  => 'bg_repeat',
				'value'       => array(
					'No Repeat' => 'no-repeat',
					'Repeat'   => 'repeat',
					'Repeat X'   => 'repeat-x',
					'Repeat Y'   => 'repeat-y',
				),
				'std'		=> 'no-repeat',
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Background Size', 'ambersix' ),
				'param_name'  => 'bg_size',
				'value'       => array(
					'Auto' 	   => '',
					'Cover'        => 'cover',
				),
				'std'		=> '',
			),
	        // Animation
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Enable Animation?', 'ambersix' ),
				'param_name' => 'animation',
				'value'      => array( esc_html__( 'Yes, please.', 'ambersix' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Animation', 'ambersix' ),
				'param_name' => 'animation_effect',
				'value'      => array(
					'Fade In Up' => 'fadeInUp',
					'Fade In Down' => 'fadeInDown',
					'Fade In' => 'fadeIn',
					'Fade In Left' => 'fadeInLeft',
					'Fade In Right' => 'fadeInRight',
				),
				'std'		=> 'fadeInUp',
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Duration', 'ambersix'),
				'param_name' => 'animation_duration',
				'value' => '0.75s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'ambersix'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Delay', 'ambersix'),
				'param_name' => 'animation_delay',
				'value' => '0.3s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'ambersix'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
			// Box Shadow
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Option Shadow', 'ambersix' ),
				'param_name'  => 'inset',
				'value'       => array(
					'Outset'   => '',
					'Inset'   => 'inset',
				),
				'std'		=> '',
				'group' => esc_html__( 'Box Shadow', 'ambersix' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Horizontal (Required)', 'ambersix'),
				'param_name' => 'horizontal',
				'value' => '',
				'group' => esc_html__( 'Box Shadow', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Vertical (Required)', 'ambersix'),
				'param_name' => 'vertical',
				'value' => '',
				'group' => esc_html__( 'Box Shadow', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Blur (Required)', 'ambersix'),
				'param_name' => 'blur',
				'value' => '',
				'group' => esc_html__( 'Box Shadow', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Spread (Required)', 'ambersix'),
				'param_name' => 'spread',
				'value' => '',
				'group' => esc_html__( 'Box Shadow', 'ambersix' ),
	        ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Shadow Color (Required)', 'ambersix'),
				'param_name' => 'shadow_color',
				'value' => '',
				'group' => esc_html__( 'Box Shadow', 'ambersix' ),
            ),
			// Heading
            array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__('Heading', 'ambersix'),
				'param_name' => 'heading',
				'value' => 'Heading Text',
				'group' => esc_html__( 'Heading', 'ambersix' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Heading Color', 'ambersix'),
				'param_name' => 'heading_color',
				'value' => '',
				'group' => esc_html__( 'Heading', 'ambersix' ),
            ),
            array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__('Sub-Heading', 'ambersix'),
				'param_name' => 'subheading',
				'value' => '',
				'group' => esc_html__( 'Heading', 'ambersix' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Sub-Heading Color', 'ambersix'),
				'param_name' => 'subheading_color',
				'value' => '',
				'group' => esc_html__( 'Heading', 'ambersix' ),
            ),
			// Price
            array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__('Price', 'ambersix'),
				'param_name' => 'price',
				'value' => '199',
				'group' => esc_html__( 'Price', 'ambersix' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Price Color', 'ambersix'),
				'param_name' => 'price_color',
				'value' => '',
				'group' => esc_html__( 'Price', 'ambersix' ),
            ),
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Currency', 'ambersix' ),
				'param_name' => 'currency',
				'value' => '$',
				'group' => esc_html__( 'Price', 'ambersix' ), 
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Currency Color', 'ambersix'),
				'param_name' => 'currency_color',
				'value' => '',
				'group' => esc_html__( 'Price', 'ambersix' ),
            ),
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Unit', 'ambersix' ),
				'param_name' => 'unit',
				'value' => '/MO',
				'group' => esc_html__( 'Price', 'ambersix' ), 
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Unit Color', 'ambersix'),
				'param_name' => 'unit_color',
				'value' => '',
				'group' => esc_html__( 'Price', 'ambersix' ),
            ),
	        // Content
			array(
				'type' 		=> 'textarea_html',
				'holder' => 'div',
				'heading' 	=> esc_html__('Content', 'ambersix'),
				'param_name' 	=> 'content',
				'value' 		=> '',
				'group' => esc_html__( 'Content', 'ambersix' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Content Color', 'ambersix'),
				'param_name' => 'content_color',
				'value' => '',
				'group' => esc_html__( 'Content', 'ambersix' ),
            ),
			// Button
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Button Text (Required)', 'ambersix'),
				'param_name' => 'link_text',
				'value' => 'Sign Up',
				'group' => esc_html__( 'Button', 'ambersix' ),
				'dependency' => array( 'element' => 'show_url', 'value' => 'yes' ),
	        ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('URL (Required):', 'ambersix'),
				'param_name' => 'link_url',
				'value' => '',
				'group' => esc_html__( 'Button', 'ambersix' ),
				'dependency' => array( 'element' => 'show_url', 'value' => 'yes' ),
            ),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Open Link in a new Tab', 'ambersix' ),
				'param_name' => 'new_tab',
				'value' => array(
					'Yes' => 'yes',
					'No' => 'no',
				),
				'std'		=> 'yes',
				'group' => esc_html__( 'Button', 'ambersix' ),
				'dependency' => array( 'element' => 'show_url', 'value' => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Button Size', 'ambersix' ),
				'param_name' => 'button_size',
				'value'      => array(
					'Medium' => 'medium',
					'Small' => 'small',
					'Big' => 'big',
				),
				'std'		=> 'medium',
				'group' => esc_html__( 'Button', 'ambersix' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Button Rounded', 'ambersix'),
				'param_name' => 'button_rounded',
				'value' => '',
				'group' => esc_html__( 'Button', 'ambersix' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Text Color', 'ambersix'),
				'param_name' => 'button_text_color',
				'value' => '',
				'group' => esc_html__( 'Button', 'ambersix' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Background', 'ambersix'),
				'param_name' => 'button_background',
				'value' => '',
				'group' => esc_html__( 'Button', 'ambersix' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Border Color', 'ambersix'),
				'param_name' => 'button_border',
				'value' => '',
				'group' => esc_html__( 'Button', 'ambersix' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Button Border Width', 'ambersix'),
				'param_name' => 'button_border_width',
				'value' => '1px',
				'group' => esc_html__( 'Button', 'ambersix' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Button Border Style', 'ambersix' ),
				'param_name' => 'button_border_style',
				'value'      => array(
					'Solid' => 'solid',
					'Dotted' => 'dotted',
					'Dashed' => 'dashed'
				),
				'std'		=> 'solid',
				'group' => esc_html__( 'Button', 'ambersix' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Text: Hover', 'ambersix'),
				'param_name' => 'button_text_hover',
				'value' => '',
				'group' => esc_html__( 'Button', 'ambersix' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Background: Hover', 'ambersix'),
				'param_name' => 'button_background_hover',
				'value' => '',
				'group' => esc_html__( 'Button', 'ambersix' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Border: Hover', 'ambersix'),
				'param_name' => 'button_border_hover',
				'value' => '',
				'group' => esc_html__( 'Button', 'ambersix' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
            ),
	        // Typography
			array(
				'type' => 'headings',
				'text' => esc_html__('Heading', 'ambersix'),
				'param_name' => 'heading_typograpy',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading Font Family', 'ambersix' ),
				'param_name' => 'heading_font_family',
				'value'      =>  ambersix_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading Font Weight', 'ambersix' ),
				'param_name' => 'heading_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading Font Size', 'ambersix'),
				'param_name' => 'heading_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading Line-Height', 'ambersix'),
				'param_name' => 'heading_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),      
			array(
				'type' => 'headings',
				'text' => esc_html__('Price', 'ambersix'),
				'param_name' => 'price_typograpy',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Price Font Family', 'ambersix' ),
				'param_name' => 'price_font_family',
				'value'      =>  ambersix_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Price Font Weight', 'ambersix' ),
				'param_name' => 'price_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Price Font Size', 'ambersix'),
				'param_name' => 'price_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Price Line-Height', 'ambersix'),
				'param_name' => 'price_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Unit', 'ambersix'),
				'param_name' => 'unit_typograpy',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Unit Font Family', 'ambersix' ),
				'param_name' => 'unit_font_family',
				'value'      =>  ambersix_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Unit Font Weight', 'ambersix' ),
				'param_name' => 'unit_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Unit Font Size', 'ambersix'),
				'param_name' => 'unit_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Description Line-Height', 'ambersix'),
				'param_name' => 'unit_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
	        // Spacing
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading Margin', 'ambersix'),
				'param_name' => 'heading_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Price Margin', 'ambersix'),
				'param_name' => 'price_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Content Margin', 'ambersix'),
				'param_name' => 'content_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Button Margin', 'ambersix'),
				'param_name' => 'button_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'ambersix' ),
	        ),
		)
	) );
} );

// Content Box
add_action( 'vc_before_init', function() {
    class WPBakeryShortCode_contentbox extends WPBakeryShortCodesContainer {}
} );
add_action( 'vc_before_init', function() {
    vc_map( array(
		'name' => esc_html__('Content Box', 'ambersix'),
		'description' => esc_html__('Content Box.', 'ambersix'),
		'base' => 'contentbox',
		'weight'	=>	180,
		'icon' => plugins_url('assets/icon.png', __FILE__),
		'as_parent' => array('except' => 'contentbox'),
		'controls' => 'full',
		'show_settings_on_create' => true,
		'category' => esc_html__('WPRT VC Addons', 'ambersix'),
		'js_view' => 'VcColumnView',
		'params' => array(
			array(
				'type' => 'attach_image',
				'heading' => esc_html__('Background Image', 'ambersix'),
				'param_name' => 'bg_image',
				'value' => '',
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Background Position', 'ambersix' ),
				'param_name'  => 'bg_position',
				'value'       => array(
					'Left Top' => 'lt',
					'Right Top' => 'rt',
					'Center Top' => 'ct',
					'Center Center' => 'cc',
					'Center Bottom'   => 'cb',
					'Left Bottom' => 'lb',
					'Right Bottom'   => 'rb',
				),
				'std'		=> 'lt',
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Background Repeat', 'ambersix' ),
				'param_name'  => 'bg_repeat',
				'value'       => array(
					'No Repeat' => 'no-repeat',
					'Repeat'   => 'repeat',
					'Repeat X'   => 'repeat-x',
					'Repeat Y'   => 'repeat-y',
				),
				'std'		=> 'no-repeat',
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Background Size', 'ambersix' ),
				'param_name'  => 'bg_size',
				'value'       => array(
					'Auto' 	   => '',
					'Cover'        => 'cover',
				),
				'std'		=> '',
			),
	        // Animation
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Enable Animation?', 'ambersix' ),
				'param_name' => 'animation',
				'value'      => array( esc_html__( 'Yes, please.', 'ambersix' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Animation', 'ambersix' ),
				'param_name' => 'animation_effect',
				'value'      => array(
					'Fade In Up' => 'fadeInUp',
					'Fade In Down' => 'fadeInDown',
					'Fade In' => 'fadeIn',
					'Fade In Left' => 'fadeInLeft',
					'Fade In Right' => 'fadeInRight',
				),
				'std'		=> 'fadeInUp',
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Duration', 'ambersix'),
				'param_name' => 'animation_duration',
				'value' => '0.75s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'ambersix'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Delay', 'ambersix'),
				'param_name' => 'animation_delay',
				'value' => '0.3s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'ambersix'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
            // Spacing
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Alignment', 'ambersix' ),
				'param_name' => 'alignment',
				'value'      => array(
					'Left' => '',
					'Center' => 'center',
				),
				'std'		=> '',
				'group' => esc_html__( 'Spacing', 'ambersix' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Width', 'ambersix'),
				'param_name' => 'width',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'ambersix' ),
				'description'	=> esc_html__('Ex: 600px', 'ambersix'),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Width on mobile', 'ambersix'),
				'param_name' => 'mobile_width',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'ambersix' ),
				'description'	=> esc_html__('Ex: 400px', 'ambersix'),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Height', 'ambersix'),
				'param_name' => 'height',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'ambersix' ),
				'description'	=> esc_html__('Ex: 400px', 'ambersix'),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Padding', 'ambersix'),
				'param_name' => 'padding',
				'value' => '',
				'description'	=> esc_html__('Top Right Bottom Left. You can use % or px value.', 'ambersix'),
				'group' => esc_html__( 'Spacing', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Padding on mobile', 'ambersix'),
				'param_name' => 'mobile_padding',
				'value' => '',
				'description'	=> esc_html__('Top Right Bottom Left. You can use % or px value.', 'ambersix'),
				'group' => esc_html__( 'Spacing', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Margin', 'ambersix'),
				'param_name' => 'margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'ambersix' ),
				'description'	=> esc_html__('Top Right Bottom Left. You can use % or px value.', 'ambersix'),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Margin on mobile', 'ambersix'),
				'param_name' => 'mobile_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'ambersix' ), 
				'description'	=> esc_html__('Top Right Bottom Left. You can use % or px value.', 'ambersix'),
	        ),
            // Design
			array(
				'type' => 'headings',
				'text' => esc_html__('Background', 'ambersix'),
				'param_name' => 'heading_background',
				'group' => esc_html__( 'Design', 'ambersix' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Background Color', 'ambersix'),
				'param_name' => 'background_color',
				'value' => '',
				'group' => esc_html__( 'Design', 'ambersix' ),
            ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Border', 'ambersix'),
				'param_name' => 'heading_border',
				'group' => esc_html__( 'Design', 'ambersix' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Border Color', 'ambersix'),
				'param_name' => 'border_color',
				'value' => '',
				'group' => esc_html__( 'Design', 'ambersix' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Border Width', 'ambersix'),
				'param_name' => 'border_width',
				'value' => '',
				'description'	=> esc_html__('Top Right Bottom Left. Ex: 0px 0px 1px 0px', 'ambersix'),
				'group' => esc_html__( 'Design', 'ambersix' ),
	        ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Rounded', 'ambersix'),
				'param_name' => 'heading_rounded',
				'group' => esc_html__( 'Design', 'ambersix' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Rounded', 'ambersix'),
				'param_name' => 'rounded',
				'value' => '',
				'description'	=> esc_html__('Ex: 6px', 'ambersix'),
				'group' => esc_html__( 'Design', 'ambersix' ),
            ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Box Shadow', 'ambersix'),
				'param_name' => 'heading_shadow',
				'group' => esc_html__( 'Design', 'ambersix' ),
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Option Shadow', 'ambersix' ),
				'param_name'  => 'inset',
				'value'       => array(
					'Outset'   => '',
					'Inset'   => 'inset',
				),
				'std'		=> '',
				'group' => esc_html__( 'Design', 'ambersix' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Horizontal (Required)', 'ambersix'),
				'param_name' => 'horizontal',
				'value' => '',
				'group' => esc_html__( 'Design', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Vertical (Required)', 'ambersix'),
				'param_name' => 'vertical',
				'value' => '',
				'group' => esc_html__( 'Design', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Blur (Required)', 'ambersix'),
				'param_name' => 'blur',
				'value' => '',
				'group' => esc_html__( 'Design', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Spread (Required)', 'ambersix'),
				'param_name' => 'spread',
				'value' => '',
				'group' => esc_html__( 'Design', 'ambersix' ),
	        ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Shadow Color (Required)', 'ambersix'),
				'param_name' => 'shadow_color',
				'value' => '',
				'group' => esc_html__( 'Design', 'ambersix' ),
            ),
	        // Hover
			array(
				'type' => 'headings',
				'text' => esc_html__('Background', 'ambersix'),
				'param_name' => 'heading_background_hover',
				'group' => esc_html__( 'Hover', 'ambersix' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Background Color', 'ambersix'),
				'param_name' => 'background_color_hover',
				'value' => '',
				'group' => esc_html__( 'Hover', 'ambersix' ),
            ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Border', 'ambersix'),
				'param_name' => 'heading_border_hover',
				'group' => esc_html__( 'Hover', 'ambersix' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Border Color', 'ambersix'),
				'param_name' => 'border_color_hover',
				'value' => '',
				'group' => esc_html__( 'Hover', 'ambersix' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Border Width', 'ambersix'),
				'param_name' => 'border_width_hover',
				'value' => '',
				'description'	=> esc_html__('Top Right Bottom Left. Ex: 0px 0px 1px 0px', 'ambersix'),
				'group' => esc_html__( 'Hover', 'ambersix' ),
	        ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Rounded', 'ambersix'),
				'param_name' => 'heading_rounded_hover',
				'group' => esc_html__( 'Hover', 'ambersix' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Rounded', 'ambersix'),
				'param_name' => 'rounded_hover',
				'value' => '',
				'description'	=> esc_html__('Ex: 6px', 'ambersix'),
				'group' => esc_html__( 'Hover', 'ambersix' ),
            ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Box Shadow', 'ambersix'),
				'param_name' => 'heading_shadow_hover',
				'group' => esc_html__( 'Hover', 'ambersix' ),
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Option Shadow', 'ambersix' ),
				'param_name'  => 'inset_hover',
				'value'       => array(
					'Outset'   => '',
					'Inset'   => 'inset',
				),
				'std'		=> '',
				'group' => esc_html__( 'Hover', 'ambersix' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Horizontal (Required)', 'ambersix'),
				'param_name' => 'horizontal_hover',
				'value' => '',
				'group' => esc_html__( 'Hover', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Vertical (Required)', 'ambersix'),
				'param_name' => 'vertical_hover',
				'value' => '',
				'group' => esc_html__( 'Hover', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Blur (Required)', 'ambersix'),
				'param_name' => 'blur_hover',
				'value' => '',
				'group' => esc_html__( 'Hover', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Spread (Required)', 'ambersix'),
				'param_name' => 'spread_hover',
				'value' => '',
				'group' => esc_html__( 'Hover', 'ambersix' ),
	        ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Shadow Color (Required)', 'ambersix'),
				'param_name' => 'shadow_color_hover',
				'value' => '',
				'group' => esc_html__( 'Hover', 'ambersix' ),
            ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Transforms', 'ambersix'),
				'param_name' => 'heading_transforms',
				'group' => esc_html__( 'Hover', 'ambersix' ),
			),
			array(
				'type' => 'number',
				'heading' => esc_html__('Translate X', 'ambersix'),
				'param_name' => 'translatex',
				'value' => 0,
				'suffix' => 'px',
				'group' => esc_html__( 'Hover', 'ambersix' ),
		  	),
			array(
				'type' => 'number',
				'heading' => esc_html__('Translate Y', 'ambersix'),
				'param_name' => 'translatey',
				'value' => 0,
				'suffix' => 'px',
				'group' => esc_html__( 'Hover', 'ambersix' ),
		  	),
        )
    ) );
} );

// Advanced Text
add_action( 'vc_before_init', function() {
	vc_map( array(
		'name'        => esc_html__( 'Advanced Text', 'ambersix' ),
        'description' => esc_html__('Displaying a text with some styles.', 'ambersix'),
		'base'        => 'advtext',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'ambersix'),
		'params'      => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Alignment', 'ambersix' ),
				'param_name' => 'alignment',
				'value'      => array(
					'Left' => '',
					'Center' => 'text-center',
				),
				'std'		=> '',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Tag', 'ambersix' ),
				'param_name' => 'tag',
				'value'      => array(
					'H1' => 'h1',
					'H2' => 'h2',
					'H3' => 'h3',
					'H4' => 'h4',
					'H5' => 'h5',
					'H6' => 'h6',
					'DIV' => 'div'
				),
				'std'		=> 'h2',
			),
			array(
				'type' 		=> 'textarea_html',
				'holder' => 'div',
				'heading' 	=> esc_html__('Content', 'ambersix'),
				'param_name' 	=> 'content',
				'value' 		=> '',
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Color', 'ambersix'),
				'param_name' => 'color',
				'value' => '',
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Max-Width', 'ambersix'),
				'param_name' => 'max_width',
				'value' => '',
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Bottom Margin', 'ambersix'),
				'param_name' => 'bottom_margin',
				'value' => '',
	        ),
            // Animation
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Enable Animation?', 'ambersix' ),
				'param_name' => 'animation',
				'value'      => array( esc_html__( 'Yes, please.', 'ambersix' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Animation', 'ambersix' ),
				'param_name' => 'animation_effect',
				'value'      => array(
					'Fade In Up' => 'fadeInUp',
					'Fade In Down' => 'fadeInDown',
					'Fade In' => 'fadeIn',
					'Fade In Left' => 'fadeInLeft',
					'Fade In Right' => 'fadeInRight',
				),
				'std'		=> 'fadeInUp',
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Duration', 'ambersix'),
				'param_name' => 'animation_duration',
				'value' => '0.75s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'ambersix'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Delay', 'ambersix'),
				'param_name' => 'animation_delay',
				'value' => '0.3s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'ambersix'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
	        // Typography
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Font Family', 'ambersix' ),
				'param_name' => 'font_family',
				'value'      =>  ambersix_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Font Weight', 'ambersix' ),
				'param_name' => 'font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Font Size', 'ambersix'),
				'param_name' => 'font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Line Height', 'ambersix'),
				'param_name' => 'line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
		)
	) );
} );

// Single Heading
add_action( 'vc_before_init', function() {
	vc_map( array(
		'name'        => esc_html__( 'Single Heading', 'ambersix' ),
        'description' => esc_html__('Displaying a single heading with some styles.', 'ambersix'),
		'base'        => 'singleheading',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'ambersix'),
		'params'      => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Alignment', 'ambersix' ),
				'param_name' => 'alignment',
				'value'      => array(
					'Left' => '',
					'Center' => 'text-center',
				),
				'std'		=> '',
			),
			array(
				'type' => 'textarea',
				'holder' => 'div',
				'heading' => esc_html__( 'Heading Text', 'ambersix' ),
				'param_name' => 'heading',
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Heading Color', 'ambersix'),
				'param_name' => 'heading_color',
				'value' => '',
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading: Bottom Margin', 'ambersix'),
				'param_name' => 'heading_bottom_margin',
				'value' => '',
	        ),
            // Animation
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Enable Animation?', 'ambersix' ),
				'param_name' => 'animation',
				'value'      => array( esc_html__( 'Yes, please.', 'ambersix' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Animation', 'ambersix' ),
				'param_name' => 'animation_effect',
				'value'      => array(
					'Fade In Up' => 'fadeInUp',
					'Fade In Down' => 'fadeInDown',
					'Fade In' => 'fadeIn',
					'Fade In Left' => 'fadeInLeft',
					'Fade In Right' => 'fadeInRight',
				),
				'std'		=> 'fadeInUp',
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Duration', 'ambersix'),
				'param_name' => 'animation_duration',
				'value' => '0.75s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'ambersix'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Delay', 'ambersix'),
				'param_name' => 'animation_delay',
				'value' => '0.3s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'ambersix'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Line Width', 'ambersix'),
				'param_name' => 'line_width',
				'value' => '40',
				'group' => esc_html__( 'Line', 'ambersix' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Line Height', 'ambersix'),
				'param_name' => 'line_height',
				'value' => '2',
				'group' => esc_html__( 'Line', 'ambersix' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Line Color', 'ambersix'),
				'param_name' => 'line_color',
				'value' => '#4f9be8',
				'group' => esc_html__( 'Line', 'ambersix' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Spacing Between', 'ambersix'),
				'param_name' => 'heading_padding',
				'value' => '',
				'group' => esc_html__( 'Line', 'ambersix' ),
				'description'	=> esc_html__('Spacing between the line and the text. Ex: 50px.', 'ambersix'),
	        ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Line Offset Top', 'ambersix'),
				'param_name' => 'line_top',
				'value' => '',
				'group' => esc_html__( 'Line', 'ambersix' ),
				'description'	=> esc_html__('Ex: 5px.', 'ambersix'),
            ),
	        // Typography
			array(
				'type' => 'headings',
				'text' => esc_html__('Heading', 'ambersix'),
				'param_name' => 'heading_typograpy',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading: Font Family', 'ambersix' ),
				'param_name' => 'heading_font_family',
				'value'      =>  ambersix_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading: Font Weight', 'ambersix' ),
				'param_name' => 'heading_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading: Font Size', 'ambersix'),
				'param_name' => 'heading_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading: Line Height', 'ambersix'),
				'param_name' => 'heading_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading: Letter Spacing', 'ambersix'),
				'param_name' => 'heading_letter_spacing',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
		)
	) );
} );

// Headings
add_action( 'vc_before_init', function() {
	vc_map( array(
		'name'        => esc_html__( 'Headings', 'ambersix' ),
        'description' => esc_html__('Displaying awesome heading styles.', 'ambersix'),
		'base'        => 'headings',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'ambersix'),
		'params'      => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Alignment', 'ambersix' ),
				'param_name' => 'alignment',
				'value'      => array(
					'Left' => '',
					'Right' => 'text-right',
					'Center' => 'text-center',
				),
				'std'		=> 'text-center',
			),
			array(
				'type' => 'textarea',
				'holder' => 'div',
				'heading' => esc_html__( 'Heading Text', 'ambersix' ),
				'param_name' => 'heading',
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Heading Color', 'ambersix'),
				'param_name' => 'heading_color',
				'value' => '',
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading Max-Width', 'ambersix'),
				'param_name' => 'heading_width',
				'value' => '',
            ),
			array(
				'type' => 'textarea',
				'holder' => 'div',
				'heading' => esc_html__( 'Sub-Heading (Optional)', 'ambersix' ),
				'param_name' => 'subheading',
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Sub-Heading Color', 'ambersix'),
				'param_name' => 'subheading_color',
				'value' => '',
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Sub-Heading Max-Width', 'ambersix'),
				'param_name' => 'subheading_width',
				'value' => '',
            ),
			array(
				'type' 		=> 'textarea_html',
				'holder' => 'div',
				'heading' 	=> esc_html__('Extra Content', 'ambersix'),
				'param_name' 	=> 'content',
				'value' 		=> '',
				'group' => esc_html__( 'Extra Content', 'ambersix' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Extra Content Max-Width', 'ambersix'),
				'param_name' => 'content_width',
				'value' => '',
				'group' => esc_html__( 'Extra Content', 'ambersix' ),
            ),
            // Animation
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Enable Animation?', 'ambersix' ),
				'param_name' => 'animation',
				'value'      => array( esc_html__( 'Yes, please.', 'ambersix' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Animation', 'ambersix' ),
				'param_name' => 'animation_effect',
				'value'      => array(
					'Fade In Up' => 'fadeInUp',
					'Fade In Down' => 'fadeInDown',
					'Fade In' => 'fadeIn',
					'Fade In Left' => 'fadeInLeft',
					'Fade In Right' => 'fadeInRight',
				),
				'std'		=> 'fadeInUp',
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Duration', 'ambersix'),
				'param_name' => 'animation_duration',
				'value' => '0.75s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'ambersix'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Delay', 'ambersix'),
				'param_name' => 'animation_delay',
				'value' => '0.3s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'ambersix'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Separator', 'ambersix' ),
				'param_name' => 'separator',
				'value'      => array(
					'No Separator' => '',
					'Line' => 'line',
					'Image' => 'image',
				),
				'std'		=> '',
				'group' => esc_html__( 'Separator', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Separator Position', 'ambersix' ),
				'param_name' => 'sep_position',
				'value'      => array(
					'Top' => 'top',
					'Between Heading & Sub-Heading' => 'between',
					'Bottom' => 'bottom',
					'Left' => 'left',
				),
				'std'		=> 'between',
				'group' => esc_html__( 'Separator', 'ambersix' ),
				'dependency' => array( 'element' => 'separator', 'value' => array( 'line', 'image' ) ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Line Width', 'ambersix'),
				'param_name' => 'line_width',
				'value' => '70',
				'group' => esc_html__( 'Separator', 'ambersix' ),
				'dependency' => array( 'element' => 'separator', 'value' => 'line' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Line Height', 'ambersix'),
				'param_name' => 'line_height',
				'value' => '2',
				'group' => esc_html__( 'Separator', 'ambersix' ),
				'dependency' => array( 'element' => 'separator', 'value' => 'line' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Line: Right Margin', 'ambersix'),
				'param_name' => 'line_right_margin',
				'value' => '20',
				'group' => esc_html__( 'Separator', 'ambersix' ),
				'dependency' => array( 'element' => 'sep_position', 'value' => 'left' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Line Color', 'ambersix'),
				'param_name' => 'line_color',
				'value' => '#4f9be8',
				'group' => esc_html__( 'Separator', 'ambersix' ),
				'dependency' => array( 'element' => 'separator', 'value' => 'line' ),
            ),
	        // Image
			array(
				'type' => 'attach_image',
				'heading' => esc_html__('Image', 'ambersix'),
				'param_name' => 'image',
				'value' => '',
				'group' => esc_html__( 'Separator', 'ambersix' ),
				'dependency' => array( 'element' => 'separator', 'value' => 'image' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Image Width (Optional)', 'ambersix'),
				'param_name' => 'image_width',
				'value' => '',
				'group' => esc_html__( 'Separator', 'ambersix' ),
				'dependency' => array( 'element' => 'separator', 'value' => 'image' ),
	        ),
	        // Typography
			array(
				'type' => 'headings',
				'text' => esc_html__('Heading', 'ambersix'),
				'param_name' => 'heading_typograpy',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading Tag', 'ambersix' ),
				'param_name' => 'tag',
				'value'      => array(
					'H1' => 'h1',
					'H2' => 'h2',
					'H3' => 'h3',
					'H4' => 'h4',
					'H5' => 'h5',
					'H6' => 'h6',
				),
				'std'		=> 'h2',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading: Font Family', 'ambersix' ),
				'param_name' => 'heading_font_family',
				'value'      =>  ambersix_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading: Font Weight', 'ambersix' ),
				'param_name' => 'heading_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading: Font Size', 'ambersix'),
				'param_name' => 'heading_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading: Font Size on Mobile', 'ambersix'),
				'param_name' => 'heading_font_size_mobile',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading: Line Height', 'ambersix'),
				'param_name' => 'heading_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Sub-Heading', 'ambersix'),
				'param_name' => 'subheading_typograpy',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Sub-Heading: Font Family', 'ambersix' ),
				'param_name' => 'subheading_font_family',
				'value'      =>  ambersix_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Sub-Heading: Font Weight', 'ambersix' ),
				'param_name' => 'subheading_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Sub-Heading: Font Size', 'ambersix'),
				'param_name' => 'subheading_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Sub-Heading: Line Height', 'ambersix'),
				'param_name' => 'subheading_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Sub-Heading: Font Style', 'ambersix' ),
				'param_name' => 'subheading_font_style',
				'value'      => array(
					'Normal' => 'normal',
					'Italic' => 'italic',
				),
				'std'		=> 'normal',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
	        // Spacing
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading: Top Margin', 'ambersix'),
				'param_name' => 'heading_top_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading: Bottom Margin', 'ambersix'),
				'param_name' => 'heading_bottom_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Sub-Heading: Top Margin', 'ambersix'),
				'param_name' => 'subheading_top_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Sub-Heading: Bottom Margin', 'ambersix'),
				'param_name' => 'subheading_bottom_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'ambersix' ),
	        ),
		)
	) );
} );

// Animation Block
add_action( 'vc_before_init', function() {
    class WPBakeryShortCode_animationblock extends WPBakeryShortCodesContainer {}
} );
add_action( 'vc_before_init', function() {
    vc_map( array(
		'name' => esc_html__('Animation Block', 'ambersix'),
		'description' => esc_html__('Apply animations anywhere.', 'ambersix'),
		'base' => 'animationblock',
		'weight'	=>	180,
		'icon' => plugins_url('assets/icon.png', __FILE__),
		'as_parent' => array('except' => 'animationblock'),
		'controls' => 'full',
		'show_settings_on_create' => true,
		'category' => esc_html__('WPRT VC Addons', 'ambersix'),
		'js_view' => 'VcColumnView',
		'params' => array(
	        // Animation
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Enable Animation?', 'ambersix' ),
				'param_name' => 'animation',
				'value'      => array( esc_html__( 'Yes, please.', 'ambersix' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Animation', 'ambersix' ),
				'param_name' => 'animation_effect',
				'value'      => array(
					'Fade In Up' => 'fadeInUp',
					'Fade In Down' => 'fadeInDown',
					'Fade In' => 'fadeIn',
					'Fade In Left' => 'fadeInLeft',
					'Fade In Right' => 'fadeInRight',
				),
				'std'		=> 'fadeInUp',
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Duration', 'ambersix'),
				'param_name' => 'animation_duration',
				'value' => '0.75s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'ambersix'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Delay', 'ambersix'),
				'param_name' => 'animation_delay',
				'value' => '0.3s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'ambersix'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
         )
    ) );
} );

// Counter
add_action( 'vc_before_init', function() {
	vc_map( array(
		'name'        => esc_html__( 'Counter', 'ambersix' ),
        'description' => esc_html__('Displaying a counter.', 'ambersix'),
		'base'        => 'counter',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'ambersix'),
		'params'      => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Style', 'ambersix' ),
				'param_name' => 'style',
				'value'      => array(
					'Style 1' => 'style-1',
					'Style 2' => 'style-2',
					'Style 3' => 'style-3',
				),
				'std'		=> 'style-1',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Alignment', 'ambersix' ),
				'param_name' => 'alignment',
				'value'      => array(
					'Left' => '',
					'Center' => 'text-center',
					'Right' => 'text-right',
				),
				'std'		=> '',
				'dependency' => array( 'element' => 'style', 'value' => array('style-1')  ),
			),
			array(
				'type' => 'number',
				'heading' => esc_html__('Left Width', 'ambersix'),
				'param_name' => 'left_width',
				'value' => 50,
				'suffix' => '%',
				'dependency' => array( 'element' => 'style', 'value' => array('style-2', 'style-3')  ),
		  	),
			array(
				'type' => 'number',
				'heading' => esc_html__('Right Width', 'ambersix'),
				'param_name' => 'right_width',
				'value' => 50,
				'suffix' => '%',
				'dependency' => array( 'element' => 'style', 'value' => array('style-2', 'style-3')  ),
		  	),
	        // Animation
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Enable Animation?', 'ambersix' ),
				'param_name' => 'animation',
				'value'      => array( esc_html__( 'Yes, please.', 'ambersix' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Animation', 'ambersix' ),
				'param_name' => 'animation_effect',
				'value'      => array(
					'Fade In Up' => 'fadeInUp',
					'Fade In Down' => 'fadeInDown',
					'Fade In' => 'fadeIn',
					'Fade In Left' => 'fadeInLeft',
					'Fade In Right' => 'fadeInRight',
				),
				'std'		=> 'fadeInUp',
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Duration', 'ambersix'),
				'param_name' => 'animation_duration',
				'value' => '0.75s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'ambersix'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Delay', 'ambersix'),
				'param_name' => 'animation_delay',
				'value' => '0.3s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'ambersix'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
			// Icon
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Icon library', 'ambersix' ),
				'param_name' => 'icon_type',
				'description' => esc_html__( 'Select icon library.', 'ambersix' ),
				'value' => array(
					esc_html__( '', 'ambersix' ) => '',
					esc_html__( 'Elegant Icons', 'ambersix' ) => 'extraicon',
					esc_html__( 'Stroke 7 Icons', 'ambersix' ) => 'extraicon2',
					esc_html__( 'FontAwesome', 'ambersix' ) => 'fontawesome',
					esc_html__( 'Open Iconic', 'ambersix' ) => 'openiconic',
					esc_html__( 'Typicons', 'ambersix' ) => 'typicons',
					esc_html__( 'Entypo', 'ambersix' ) => 'entypo',
					esc_html__( 'Linecons', 'ambersix' ) => 'linecons',
				),
				'group' => esc_html__( 'Icon', 'ambersix' ),
				'dependency' => array( 'element' => 'style', 'value' => array('style-1','style-2') ),
			),
			array(
			    'type' => 'iconpicker',
			    'heading' => esc_html__( 'Icon', 'ambersix' ),
			    'param_name' => 'icon_extraicon',
			    'settings' => array(
			        'emptyIcon' => true,
			        'type' => 'extraicon',
			        'iconsPerPage' => 200,
			    ),
			    'dependency' => array(
			        'element' => 'icon_type',
			        'value' => 'extraicon',
			    ),
			    'group' => esc_html__( 'Icon', 'ambersix' ),
			),
			array(
			    'type' => 'iconpicker',
			    'heading' => esc_html__( 'Icon', 'ambersix' ),
			    'param_name' => 'icon_extraicon2',
			    'settings' => array(
			        'emptyIcon' => true,
			        'type' => 'extraicon2',
			        'iconsPerPage' => 200,
			    ),
			    'dependency' => array(
			        'element' => 'icon_type',
			        'value' => 'extraicon2',
			    ),
			    'group' => esc_html__( 'Icon', 'ambersix' ),
			),
			array(
			    'type' => 'iconpicker',
			    'heading' => esc_html__( 'Icon', 'ambersix' ),
			    'param_name' => 'icon_extraicon3',
			    'settings' => array(
			        'emptyIcon' => true,
			        'type' => 'extraicon3',
			        'iconsPerPage' => 200,
			    ),
			    'dependency' => array(
			        'element' => 'icon_type',
			        'value' => 'extraicon3',
			    ),
			    'group' => esc_html__( 'Icon', 'ambersix' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'ambersix' ),
				'param_name' => 'icon',
				'settings' => array(
					'emptyIcon' => true,
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'fontawesome',
				),
				'group' => esc_html__( 'Icon', 'ambersix' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'ambersix' ),
				'param_name' => 'icon_openiconic',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'openiconic',
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'openiconic',
				),
				'group' => esc_html__( 'Icon', 'ambersix' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'ambersix' ),
				'param_name' => 'icon_typicons',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'typicons',
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'typicons',
				),
				'group' => esc_html__( 'Icon', 'ambersix' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'ambersix' ),
				'param_name' => 'icon_entypo',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'entypo',
					'iconsPerPage' => 300,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'entypo',
				),
				'group' => esc_html__( 'Icon', 'ambersix' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'ambersix' ),
				'param_name' => 'icon_linecons',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'linecons',
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'linecons',
				),
				'group' => esc_html__( 'Icon', 'ambersix' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Icon Color', 'ambersix'),
				'param_name' => 'icon_color',
				'value' => '',
				'group' => esc_html__( 'Icon', 'ambersix' ),
				'dependency' => array( 'element' => 'style', 'value' => array('style-1','style-2') ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon Font Size', 'ambersix'),
				'param_name' => 'icon_font_size',
				'value' => '',
				'group' => esc_html__( 'Icon', 'ambersix' ),
				'dependency' => array( 'element' => 'style', 'value' => array('style-1','style-2') ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon Line-Height', 'ambersix'),
				'param_name' => 'icon_line_height',
				'value' => '',
				'group' => esc_html__( 'Icon', 'ambersix' ),
				'dependency' => array( 'element' => 'style', 'value' => array('style-1','style-2') ),
	        ),
			// Number
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Number Tag', 'ambersix' ),
				'param_name' => 'number_tag',
				'value'      => array(
					'H1' => 'h1',
					'H2' => 'h2',
					'H3' => 'h3',
					'H4' => 'h4',
					'H5' => 'h5',
					'H6' => 'h6',
					'div' => 'div',
				),
				'std'		=> 'h3',
				'group' => esc_html__( 'Number', 'ambersix' ),
			),
			array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__( 'Number', 'ambersix' ),
				'param_name' => 'number',
				'group' => esc_html__( 'Number', 'ambersix' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Number Color', 'ambersix'),
				'param_name' => 'number_color',
				'value' => '',
				'group' => esc_html__( 'Number', 'ambersix' ),
            ),
			array(
				'type' => 'number',
				'heading' => esc_html__('Rolling Time', 'ambersix'),
				'param_name' => 'time',
				'value' => 5000,
				'suffix' => 'ms',
				'group' => esc_html__( 'Number', 'ambersix' ),
		  	),
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Prefix (Optional)', 'ambersix' ),
				'param_name' => 'number_prefix',
				'group' => esc_html__( 'Number', 'ambersix' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Prefix Color', 'ambersix'),
				'param_name' => 'prefix_color',
				'value' => '',
				'group' => esc_html__( 'Number', 'ambersix' ),
            ),
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Suffix (Optional)', 'ambersix' ),
				'param_name' => 'number_suffix',
				'group' => esc_html__( 'Number', 'ambersix' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Suffix Color', 'ambersix'),
				'param_name' => 'suffix_color',
				'value' => '',
				'group' => esc_html__( 'Number', 'ambersix' ),
            ),
		  	// Heading
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading Tag', 'ambersix' ),
				'param_name' => 'heading_tag',
				'value'      => array(
					'H1' => 'h1',
					'H2' => 'h2',
					'H3' => 'h3',
					'H4' => 'h4',
					'H5' => 'h5',
					'H6' => 'h6',
					'div' => 'div',
				),
				'std'		=> 'div',
				'group' => esc_html__( 'Heading', 'ambersix' ),
			),
			array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__( 'Heading', 'ambersix' ),
				'param_name' => 'heading',
				'group' => esc_html__( 'Heading', 'ambersix' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Heading Color', 'ambersix'),
				'param_name' => 'heading_color',
				'value' => '',
				'group' => esc_html__( 'Heading', 'ambersix' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading Max-Width', 'ambersix'),
				'param_name' => 'heading_max_width',
				'value' => '',
				'group' => esc_html__( 'Heading', 'ambersix' ),
				'dependency' => array( 'element' => 'style', 'value' => array('style-3') ),
            ),
	        // Typography
			array(
				'type' => 'headings',
				'text' => esc_html__('Number Settings', 'ambersix'),
				'param_name' => 'number_typograpy',
				'group' => esc_html__( 'Typography', 'ambersix' ),
				'class' => '',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Number: Font Family', 'ambersix' ),
				'param_name' => 'number_font_family',
				'value'      =>  ambersix_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Number: Font Weight', 'ambersix' ),
				'param_name' => 'number_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Number: Font Size', 'ambersix'),
				'param_name' => 'number_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Number: Font Size on Mobile', 'ambersix'),
				'param_name' => 'number_font_size_mobile',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Number: Line Height', 'ambersix'),
				'param_name' => 'number_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Number: Letter Spacing', 'ambersix'),
				'param_name' => 'number_letter_spacing',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Heading Settings', 'ambersix'),
				'param_name' => 'heading_typograpy',
				'group' => esc_html__( 'Typography', 'ambersix' ),
				'class' => '',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading: Font Family', 'ambersix' ),
				'param_name' => 'heading_font_family',
				'value'      =>  ambersix_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading: Font Weight', 'ambersix' ),
				'param_name' => 'heading_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading: Font Size', 'ambersix'),
				'param_name' => 'heading_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading: Line Height', 'ambersix'),
				'param_name' => 'heading_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading: Letter Spacing', 'ambersix'),
				'param_name' => 'heading_letter_spacing',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
	        // Spacing
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon: Top Margin', 'ambersix'),
				'param_name' => 'icon_top_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'ambersix' ),
				'dependency' => array( 'element' => 'style', 'value' => array('style-1','style-2') ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon: Right Margin', 'ambersix'),
				'param_name' => 'icon_right_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'ambersix' ),
				'dependency' => array( 'element' => 'style', 'value' => array('style-1','style-2') ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Number: Top Margin', 'ambersix'),
				'param_name' => 'number_top_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Number: Right Margin', 'ambersix'),
				'param_name' => 'number_right_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Number: Bottom Margin', 'ambersix'),
				'param_name' => 'number_bottom_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading: Top Margin', 'ambersix'),
				'param_name' => 'heading_top_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading: Bottom Margin', 'ambersix'),
				'param_name' => 'heading_bottom_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'ambersix' ),
	        ),
		)
	) );
} );

// Video Icon
add_action( 'vc_before_init', function() {
	vc_map( array(
		'name'        => esc_html__( 'Video Icon', 'ambersix' ),
        'description' => esc_html__('Displaying Icon with custom video popup.', 'ambersix'),
		'base'        => 'videoicon',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'ambersix'),
		'params'      => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Alignment', 'ambersix' ),
				'param_name' => 'alignment',
				'value'      => array(
					'Left' => 'text-left',
					'Right' => 'text-right',
					'Center' => 'text-center',
				),
				'std'		=> 'text-center',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Style', 'ambersix' ),
				'param_name' => 'style',
				'value'      => array(
					'White' => 'white',
					'Accent' => 'accent',
					'Outline' => 'white2',
				),
				'std'		=> 'white',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Size', 'ambersix' ),
				'param_name' => 'size',
				'value'      => array(
					'Big' => 'big',
					'Small' => 'small',
				),
				'std'		=> 'big',
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Link Youtube/Vimeo (URL)', 'ambersix'),
				'param_name' => 'video_url',
				'value' => '',
	        ),
            // Animation
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Enable Animation?', 'ambersix' ),
				'param_name' => 'animation',
				'value'      => array( esc_html__( 'Yes, please.', 'ambersix' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Animation', 'ambersix' ),
				'param_name' => 'animation_effect',
				'value'      => array(
					'Fade In Up' => 'fadeInUp',
					'Fade In Down' => 'fadeInDown',
					'Fade In' => 'fadeIn',
					'Fade In Left' => 'fadeInLeft',
					'Fade In Right' => 'fadeInRight',
				),
				'std'		=> 'fadeInUp',
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Duration', 'ambersix'),
				'param_name' => 'animation_duration',
				'value' => '0.75s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'ambersix'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Delay', 'ambersix'),
				'param_name' => 'animation_delay',
				'value' => '0.3s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'ambersix'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
		)
	) );
} );

// Simple Image
add_action( 'vc_before_init', function() {
	vc_map( array(
		'name'        => esc_html__( 'Simple Image', 'ambersix' ),
        'description' => esc_html__('Displaying a simple image with animation.', 'ambersix'),
		'base'        => 'simpleimage',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'ambersix'),
		'params'      => array(
			array(
				'type' => 'attach_image',
				'heading' => esc_html__('Image', 'ambersix'),
				'param_name' => 'image',
				'value' => '',
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Image Width (Optional)', 'ambersix'),
				'param_name' => 'image_width',
				'value' => '',
	        ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Image Rounded', 'ambersix'),
				'param_name' => 'rounded',
				'value' => '',
				'description'	=> esc_html__('ex: 10px', 'ambersix'),
            ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Image Stretch', 'ambersix' ),
				'param_name' => 'stretch',
				'value'      => array(
					'No Stretch' => '',
					'Stretch To Right' => 'stretch_right',
					'Stretch To Left' => 'stretch_left',
					'Stretch on Mobile' => 'stretch_mobi',
				),
				'std'		=> '',
			),
	        // Hyperlink
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Link (URL):', 'ambersix'),
				'param_name' => 'url',
				'value' => '',
            ),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Open Link in a new Tab', 'ambersix' ),
				'param_name' => 'new_tab',
				'value' => array(
					'Yes' => 'yes',
					'No' => 'no',
				),
				'std'		=> 'yes',
			),
            // Animation
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Enable Animation?', 'ambersix' ),
				'param_name' => 'animation',
				'value'      => array( esc_html__( 'Yes, please.', 'ambersix' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Animation', 'ambersix' ),
				'param_name' => 'animation_effect',
				'value'      => array(
					'Fade In Up' => 'fadeInUp',
					'Fade In Down' => 'fadeInDown',
					'Fade In' => 'fadeIn',
					'Fade In Left' => 'fadeInLeft',
					'Fade In Right' => 'fadeInRight',
				),
				'std'		=> 'fadeInUp',
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Duration', 'ambersix'),
				'param_name' => 'animation_duration',
				'value' => '0.75s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'ambersix'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Delay', 'ambersix'),
				'param_name' => 'animation_delay',
				'value' => '0.3s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'ambersix'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
			// Box Shadow
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Option Shadow', 'ambersix' ),
				'param_name'  => 'inset',
				'value'       => array(
					'Outset'   => '',
					'Inset'   => 'inset',
				),
				'std'		=> '',
				'group' => esc_html__( 'Box Shadow', 'ambersix' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Horizontal (Required)', 'ambersix'),
				'param_name' => 'horizontal',
				'value' => '',
				'group' => esc_html__( 'Box Shadow', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Vertical (Required)', 'ambersix'),
				'param_name' => 'vertical',
				'value' => '',
				'group' => esc_html__( 'Box Shadow', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Blur (Required)', 'ambersix'),
				'param_name' => 'blur',
				'value' => '',
				'group' => esc_html__( 'Box Shadow', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Spread (Required)', 'ambersix'),
				'param_name' => 'spread',
				'value' => '',
				'group' => esc_html__( 'Box Shadow', 'ambersix' ),
	        ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Shadow Color (Required)', 'ambersix'),
				'param_name' => 'shadow_color',
				'value' => '',
				'group' => esc_html__( 'Box Shadow', 'ambersix' ),
            ),
            // Effect
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Effect', 'ambersix' ),
				'param_name' => 'effect',
				'value'      => array(
					'No Effect' => '',
					'Reveal' => 'reveal',
					'Background' => 'background',
				),
				'std'		=> 'reveal',
				'group' => esc_html__( 'Effect', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Reveal Direction', 'ambersix' ),
				'param_name' => 'reveal_dir',
				'value'      => array(
					'Left - Right' => 'lr',
					'Right - Left' => 'rl',
					'Top - Bottom' => 'tb',
					'Bottom - Top' => 'bt',
				),
				'std'		=> 'lr',
				'group' => esc_html__( 'Effect', 'ambersix' ),
				'dependency' => array( 'element' => 'effect', 'value' => 'reveal' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Reveal Background', 'ambersix'),
				'param_name' => 'reveal_bg',
				'value' => '#dddddd',
				'group' => esc_html__( 'Effect', 'ambersix' ),
				'dependency' => array( 'element' => 'effect', 'value' => 'reveal' ),
            ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Background Position', 'ambersix' ),
				'param_name' => 'bg_pos',
				'value'      => array(
					'Top' => 'top',
					'Right' => 'right',
					'Bottom' => 'bottom',
					'Left' => 'left',
				),
				'std'		=> 'top',
				'group' => esc_html__( 'Effect', 'ambersix' ),
				'dependency' => array( 'element' => 'effect', 'value' => 'background' ),
			),
			// Video Icon
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Style', 'ambersix' ),
				'param_name' => 'icon_style',
				'value'      => array(
					'White' => 'white',
					'Accent' => 'accent',
					'Outline' => 'white2',
				),
				'std'		=> 'white',
				'group' => esc_html__( 'Video Icon', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Size', 'ambersix' ),
				'param_name' => 'icon_size',
				'value'      => array(
					'Big' => 'big',
					'Small' => 'small',
				),
				'std'		=> 'big',
				'group' => esc_html__( 'Video Icon', 'ambersix' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Link Youtube/Vimeo (URL)', 'ambersix'),
				'param_name' => 'video_url',
				'value' => '',
				'group' => esc_html__( 'Video Icon', 'ambersix' ),
	        ),
		)
	) );
} );

// Icons
add_action( 'vc_before_init', function() {
	vc_map( array(
		'name'        => esc_html__( 'Icons', 'ambersix' ),
        'description' => esc_html__('Displaying Icon lists with custom icon.', 'ambersix'),
		'base'        => 'icons',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'ambersix'),
		'params'      => array(
			// Icon
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Icon library', 'ambersix' ),
				'param_name' => 'icon_type',
				'description' => esc_html__( 'Select icon library.', 'ambersix' ),
				'value' => array(
					esc_html__( '', 'ambersix' ) => '',
					esc_html__( 'Elegant Icons', 'ambersix' ) => 'extraicon',
					esc_html__( 'Stroke 7 Icons', 'ambersix' ) => 'extraicon2',
					esc_html__( 'FontAwesome', 'ambersix' ) => 'fontawesome',
					esc_html__( 'Open Iconic', 'ambersix' ) => 'openiconic',
					esc_html__( 'Typicons', 'ambersix' ) => 'typicons',
					esc_html__( 'Entypo', 'ambersix' ) => 'entypo',
					esc_html__( 'Linecons', 'ambersix' ) => 'linecons',
				),
			),
			array(
			    'type' => 'iconpicker',
			    'heading' => esc_html__( 'Icon', 'ambersix' ),
			    'param_name' => 'icon_extraicon',
			    'settings' => array(
			        'emptyIcon' => true,
			        'type' => 'extraicon',
			        'iconsPerPage' => 200,
			    ),
			    'dependency' => array(
			        'element' => 'icon_type',
			        'value' => 'extraicon',
			    ),
			),
			array(
			    'type' => 'iconpicker',
			    'heading' => esc_html__( 'Icon', 'ambersix' ),
			    'param_name' => 'icon_extraicon2',
			    'settings' => array(
			        'emptyIcon' => true,
			        'type' => 'extraicon2',
			        'iconsPerPage' => 200,
			    ),
			    'dependency' => array(
			        'element' => 'icon_type',
			        'value' => 'extraicon2',
			    ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'ambersix' ),
				'param_name' => 'icon_fontawesome',
				'settings' => array(
					'emptyIcon' => true,
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'fontawesome',
				),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'ambersix' ),
				'param_name' => 'icon_openiconic',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'openiconic',
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'openiconic',
				),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'ambersix' ),
				'param_name' => 'icon_typicons',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'typicons',
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'typicons',
				),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'ambersix' ),
				'param_name' => 'icon_entypo',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'entypo',
					'iconsPerPage' => 300,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'entypo',
				),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'ambersix' ),
				'param_name' => 'icon_linecons',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'linecons',
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'linecons',
				),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Font Size', 'ambersix'),
				'param_name' => 'font_size',
				'value' => '',
				'group' => esc_html__( 'Design', 'ambersix' ),
	        ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Width', 'ambersix'),
				'param_name' => 'width',
				'value' => '60',
				'group' => esc_html__( 'Design', 'ambersix' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Height', 'ambersix'),
				'param_name' => 'height',
				'value' => '60',
				'group' => esc_html__( 'Design', 'ambersix' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Line Height', 'ambersix'),
				'param_name' => 'line_height',
				'value' => '',
				'group' => esc_html__( 'Design', 'ambersix' ),
	        ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Rounded', 'ambersix'),
				'param_name' => 'rounded',
				'value' => '',
				'description'	=> esc_html__('ex: 10px', 'ambersix'),
				'group' => esc_html__( 'Design', 'ambersix' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Color', 'ambersix'),
				'param_name' => 'color',
				'value' => '',
				'group' => esc_html__( 'Design', 'ambersix' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Background Color', 'ambersix'),
				'param_name' => 'background_color',
				'value' => '',
				'group' => esc_html__( 'Design', 'ambersix' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Border Color', 'ambersix'),
				'param_name' => 'border_color',
				'value' => '',
				'group' => esc_html__( 'Design', 'ambersix' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Border Width', 'ambersix'),
				'param_name' => 'border_width',
				'value' => '',
				'description'	=> esc_html__('Default: 1px', 'ambersix'),
				'group' => esc_html__( 'Design', 'ambersix' ),
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Border Style', 'ambersix' ),
				'param_name' => 'border_style',
				'value'      => array(
					'Solid' => 'solid',
					'Dotted' => 'dotted',
					'Dashed' => 'dashed'
				),
				'std'		=> 'solid',
				'group' => esc_html__( 'Design', 'ambersix' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Margin', 'ambersix'),
				'param_name' => 'margin',
				'value' => '',
				'group' => esc_html__( 'Design', 'ambersix' ),
	        ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Color: Hover', 'ambersix'),
				'param_name' => 'color_hover',
				'value' => '',
				'group' => esc_html__( 'Hover', 'ambersix' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Background Color: Hover', 'ambersix'),
				'param_name' => 'background_color_hover',
				'value' => '',
				'group' => esc_html__( 'Hover', 'ambersix' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Border Color: Hover', 'ambersix'),
				'param_name' => 'border_color_hover',
				'value' => '',
				'group' => esc_html__( 'Hover', 'ambersix' ),
            ),
	        // Hyperlink
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Link (URL):', 'ambersix'),
				'param_name' => 'link_url',
				'value' => '',
				'group' => esc_html__( 'Hyperlink', 'ambersix' ),
            ),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Open Link in a new Tab', 'ambersix' ),
				'param_name' => 'new_tab',
				'group' => esc_html__( 'Hyperlink', 'ambersix' ),
				'value' => array(
					'Yes' => 'yes',
					'No' => 'no',
				),
				'std'		=> 'yes',
			),
		)
	) );
} );

// Divider
add_action( 'vc_before_init', function() {
    vc_map( array(
        'name' => esc_html__('Divider', 'ambersix'),
        'description' => esc_html__('Displaying lines separator.', 'ambersix'),
        'base' => 'divider',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'ambersix'),
        'params' => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Alignment', 'ambersix' ),
				'param_name' => 'alignment',
				'value'      => array(
					'Left' => 'divider-left',
					'Center' => 'divider-center',
					'Right' => 'divider-right',
				),
				'std'		=> 'divider-center',
				'dependency' => array( 'element' => 'icon_display', 'value' => 'no-icon' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Line Style', 'ambersix' ),
				'param_name' => 'style',
				'value'      => array(
					'Solid' => 'solid',
					'Dotted' => 'dotted',
					'Dashed' => 'dashed',
					'Double' => 'double',
				),
				'std'		=> 'solid',
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Line: Width', 'ambersix'),
				'param_name' => 'width',
				'value' => '',
				'description' => esc_html__( 'Default: 100%.', 'ambersix' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Line: Height', 'ambersix'),
				'param_name' => 'height',
				'value' => '',
				'description'	=> esc_html__('Default: 1px', 'ambersix'),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Line: Color', 'ambersix'),
				'param_name' => 'color',
				'value' => '',
            ),
			// Icon
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Icon to Display', 'ambersix' ),
				'param_name' => 'icon_display',
				'value'      => array(
					'No Icon' => 'no-icon',
					'Icon Font' => 'icon-font',
				),
				'std'		=> 'no-icon',
				'group' => esc_html__( 'Icon', 'ambersix' ),
			),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Icon library', 'ambersix' ),
				'param_name' => 'icon_type',
				'description' => esc_html__( 'Select icon library.', 'ambersix' ),
				'value' => array(
					esc_html__( '', 'ambersix' ) => '',
					esc_html__( 'Elegant Icons', 'ambersix' ) => 'extraicon',
					esc_html__( 'Stroke 7 Icons', 'ambersix' ) => 'extraicon2',
					esc_html__( 'Open Iconic', 'ambersix' ) => 'openiconic',
					esc_html__( 'Typicons', 'ambersix' ) => 'typicons',
					esc_html__( 'Entypo', 'ambersix' ) => 'entypo',
					esc_html__( 'Linecons', 'ambersix' ) => 'linecons',
				),
				'group' => esc_html__( 'Icon', 'ambersix' ),
				'dependency' => array( 'element' => 'icon_display', 'value' => 'icon-font' ),
			),
			array(
			    'type' => 'iconpicker',
			    'heading' => esc_html__( 'Icon', 'ambersix' ),
			    'param_name' => 'icon_extraicon',
			    'settings' => array(
			        'emptyIcon' => true,
			        'type' => 'extraicon',
			        'iconsPerPage' => 200,
			    ),
			    'dependency' => array(
			        'element' => 'icon_type',
			        'value' => 'extraicon',
			    ),
			    'group' => esc_html__( 'Icon', 'ambersix' ),
			),
			array(
			    'type' => 'iconpicker',
			    'heading' => esc_html__( 'Icon', 'ambersix' ),
			    'param_name' => 'icon_extraicon2',
			    'settings' => array(
			        'emptyIcon' => true,
			        'type' => 'extraicon2',
			        'iconsPerPage' => 200,
			    ),
			    'dependency' => array(
			        'element' => 'icon_type',
			        'value' => 'extraicon2',
			    ),
			    'group' => esc_html__( 'Icon', 'ambersix' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'ambersix' ),
				'param_name' => 'icon_openiconic',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'openiconic',
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'openiconic',
				),
				'group' => esc_html__( 'Icon', 'ambersix' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'ambersix' ),
				'param_name' => 'icon_typicons',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'typicons',
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'typicons',
				),
				'group' => esc_html__( 'Icon', 'ambersix' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'ambersix' ),
				'param_name' => 'icon_entypo',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'entypo',
					'iconsPerPage' => 300,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'entypo',
				),
				'group' => esc_html__( 'Icon', 'ambersix' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'ambersix' ),
				'param_name' => 'icon_linecons',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'linecons',
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'linecons',
				),
				'group' => esc_html__( 'Icon', 'ambersix' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Icon: Color', 'ambersix'),
				'param_name' => 'icon_color',
				'value' => '',
				'group' => esc_html__( 'Icon', 'ambersix' ),
				'dependency' => array( 'element' => 'icon_display', 'value' => 'icon-font' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon: Font Size', 'ambersix'),
				'param_name' => 'icon_font_size',
				'value' => '',
				'group' => esc_html__( 'Icon', 'ambersix' ),
				'dependency' => array( 'element' => 'icon_display', 'value' => 'icon-font' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon: Padding', 'ambersix'),
				'param_name' => 'icon_padding',
				'value' => '',
				'group' => esc_html__( 'Icon', 'ambersix' ),
				'description'	=> esc_html__('Top Right Bottom Left. Default: 0px 12px 0px 12px', 'ambersix'),
				'dependency' => array( 'element' => 'icon_display', 'value' => 'icon-font' ),
	        ),
	        // Spacing
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon: Top Margin', 'ambersix'),
				'param_name' => 'icon_top_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Line: Top Margin', 'ambersix'),
				'param_name' => 'top_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Line: Bottom Margin', 'ambersix'),
				'param_name' => 'bottom_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'ambersix' ),
	        ),
        )
    ) );
} );

// Alignment Box
add_action( 'vc_before_init', function() {
    class WPBakeryShortCode_alignbox extends WPBakeryShortCodesContainer {}
} );
add_action( 'vc_before_init', function() {
	vc_map( array(
		'name'        => esc_html__( 'Alignment Box', 'ambersix' ),
        'description' => esc_html__('Align elements.', 'ambersix'),
		'base'        => 'alignbox',
		'weight'	=>	180,
		'icon' => plugins_url('assets/icon.png', __FILE__),
		'as_parent' => array('except' => 'alignbox'),
		'controls' => 'full',
		'show_settings_on_create' => true,
		'category' => esc_html__('WPRT VC Addons', 'ambersix'),
		'js_view' => 'VcColumnView',
		'params' => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Alignment', 'ambersix' ),
				'param_name' => 'alignment',
				'value'      => array(
					'Left' => 'text-left',
					'Right' => 'text-right',
					'Center' => 'text-center',
				),
				'std'		=> 'text-center',
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Hide on Mobile?', 'ambersix' ),
				'param_name' => 'mobi_hide',
				'value'      => array( esc_html__( 'Yes, please.', 'ambersix' ) => 'yes' ),
			),
		)
	) );
} );

// Featured Box
add_action( 'vc_before_init', function() {
    class WPBakeryShortCode_featuredbox extends WPBakeryShortCodesContainer {}
} );
add_action( 'vc_before_init', function() {
	vc_map( array(
		'name'        => esc_html__( 'Featured Box', 'ambersix' ),
        'description' => esc_html__('Featured Box.', 'ambersix'),
		'base'        => 'featuredbox',
		'weight'	=>	180,
		'icon' => plugins_url('assets/icon.png', __FILE__),
		'as_parent' => array('except' => 'featuredbox'),
		'controls' => 'full',
		'show_settings_on_create' => true,
		'category' => esc_html__('WPRT VC Addons', 'ambersix'),
		'js_view' => 'VcColumnView',
		'params' => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Style', 'ambersix' ),
				'param_name' => 'style',
				'value'      => array(
					'Style 1' => 'style-1',
					'Style 2' => 'style-2',
				),
				'std'		=> 'style-1',
			),
	        array(
				'type' => 'number',
				'heading' => esc_html__('Height', 'ambersix'),
				'param_name' => 'height',
				'value' => 570,
				'suffix' => 'px',
	        ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Rounded', 'ambersix'),
				'param_name' => 'rounded',
				'value' => '',
				'description'	=> esc_html__('Ex: 5px', 'ambersix'),
            ),
	        // Animation
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Enable Animation?', 'ambersix' ),
				'param_name' => 'animation',
				'value'      => array( esc_html__( 'Yes, please.', 'ambersix' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Animation', 'ambersix' ),
				'param_name' => 'animation_effect',
				'value'      => array(
					'Fade In Up' => 'fadeInUp',
					'Fade In Down' => 'fadeInDown',
					'Fade In' => 'fadeIn',
					'Fade In Left' => 'fadeInLeft',
					'Fade In Right' => 'fadeInRight',
				),
				'std'		=> 'fadeInUp',
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Duration', 'ambersix'),
				'param_name' => 'animation_duration',
				'value' => '0.75s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'ambersix'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Delay', 'ambersix'),
				'param_name' => 'animation_delay',
				'value' => '0.3s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'ambersix'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
            // Image
	        array(
				'type' => 'number',
				'heading' => esc_html__('Image Width', 'ambersix'),
				'param_name' => 'img_width',
				'value' => 50,
				'suffix' => '%',
				'group' => esc_html__( 'Image', 'ambersix' ),
	        ),
			array(
				'type' => 'attach_image',
				'heading' => esc_html__('Image', 'ambersix'),
				'param_name' => 'image',
				'value' => '',
				'group' => esc_html__( 'Image', 'ambersix' ),
			),
			// Content
	        array(
				'type' => 'number',
				'heading' => esc_html__('Content Width', 'ambersix'),
				'param_name' => 'content_width',
				'value' => 50,
				'suffix' => '%',
				'group' => esc_html__( 'Content', 'ambersix' ),
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Content Alignment', 'ambersix' ),
				'param_name' => 'content_align',
				'value'      => array(
					'Top' => 'top',
					'Middle' => 'middle',
					'Bottom' => 'bottom',
				),
				'std'		=> 'top',
				'group' => esc_html__( 'Content', 'ambersix' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Content Padding', 'ambersix'),
				'param_name' => 'content_padding',
				'value' => '',
				'description'	=> esc_html__('Top Right Bottom Left.', 'ambersix'),
				'group' => esc_html__( 'Content', 'ambersix' ),
	        ),
		)
	) );
} );

// Grid Box
add_action( 'vc_before_init', function() {
    class WPBakeryShortCode_gridbox extends WPBakeryShortCodesContainer {}
} );
add_action( 'vc_before_init', function() {
    vc_map( array(
		'name' => esc_html__('Grid Box', 'ambersix'),
		'description' => esc_html__('Grid Box.', 'ambersix'),
		'base' => 'gridbox',
		'weight'	=>	180,
		'icon' => plugins_url('assets/icon.png', __FILE__),
		'as_parent' => array('except' => 'gridbox'),
		'controls' => 'full',
		'show_settings_on_create' => true,
		'category' => esc_html__('WPRT VC Addons', 'ambersix'),
		'js_view' => 'VcColumnView',
		'params' => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Grid', 'ambersix' ),
				'param_name' => 'grid',
				'value'      => array(
					'Grid 4' => '4',
					'Grid 3' => '3',
					'Grid 2' => '2',
				),
				'std'		=> '3',
			),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Border Type?', 'ambersix' ),
				'param_name' => 'border_type',
				'value' => array(
					'Separator' => 'separator',
					'Wrap' => 'wrap',
					'No Border' => 'no',
				),
				'std'		=> 'separator',
			),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Border Color', 'ambersix' ),
				'param_name' => 'border_color',
				'value' => array(
					'Light' => 'light',
					'Dark' => 'dark',
					'Very Light' => 'verylight',
				),
				'std'		=> 'light',
				'dependency' => array( 'element' => 'border_type', 'value' => array('separator', 'wrap') ),
			),
			array(
				'type'       => 'dropdown',
				'heading' => esc_html__('Spacing between items', 'ambersix'),
				'param_name' => 'gapv',
				'value'      => array(
					'0' => '0',
					'5' => '5',
					'10' => '10',
					'15' => '15',
					'20' => '20',
					'25' => '25',
					'30' => '30',
					'35' => '35',
					'40' => '40',
					'45' => '45',
					'50' => '50',
					'55' => '55',
					'60' => '60',
				),
				'std'		=> '30',
				'dependency' => array( 'element' => 'border_type', 'value' => 'no' ),
			),
			array(
				'type'       => 'dropdown',
				'heading' => esc_html__('Spacing below items', 'ambersix'),
				'param_name' => 'gaph',
				'value'      => array(
					'0' => '0',
					'5' => '5',
					'10' => '10',
					'15' => '15',
					'20' => '20',
					'25' => '25',
					'30' => '30',
					'35' => '35',
					'40' => '40',
					'45' => '45',
					'50' => '50',
					'60' => '60',
				),
				'std'		=> '15',
				'dependency' => array( 'element' => 'border_type', 'value' => 'no' ),
			),
	        // Animation
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Enable Animation?', 'ambersix' ),
				'param_name' => 'animation',
				'value'      => array( esc_html__( 'Yes, please.', 'ambersix' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Animation', 'ambersix' ),
				'param_name' => 'animation_effect',
				'value'      => array(
					'Fade In Up' => 'fadeInUp',
					'Fade In Down' => 'fadeInDown',
					'Fade In' => 'fadeIn',
					'Fade In Left' => 'fadeInLeft',
					'Fade In Right' => 'fadeInRight',
				),
				'std'		=> 'fadeInUp',
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Duration', 'ambersix'),
				'param_name' => 'animation_duration',
				'value' => '0.75s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'ambersix'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Delay', 'ambersix'),
				'param_name' => 'animation_delay',
				'value' => '0.3s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'ambersix'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
        )
    ) );
} );

// Buttons
add_action( 'vc_before_init', function() {
    vc_map( array(
        'name' => esc_html__('Buttons', 'ambersix'),
        'description' => esc_html__('Advanced Buttons.', 'ambersix'),
        'base' => 'buttons',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'ambersix'),
        'params' => array(
            array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__('Text', 'ambersix'),
				'param_name' => 'text',
				'value' => 'Button Text',
            ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Size', 'ambersix' ),
				'param_name' => 'size',
				'value'      => array(
					'Medium' => 'medium',
					'Small' => 'small',
					'Big' => 'big',
				),
				'std'		=> 'medium',
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Text Color', 'ambersix'),
				'param_name' => 'text_color',
				'value' => '',
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Background Color', 'ambersix'),
				'param_name' => 'background_color',
				'value' => '',
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Border Color', 'ambersix'),
				'param_name' => 'border_color',
				'value' => '',
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Border Width', 'ambersix'),
				'param_name' => 'border_width',
				'value' => '1px',
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Border Style', 'ambersix' ),
				'param_name' => 'border_style',
				'value'      => array(
					'Solid' => 'solid',
					'Dotted' => 'dotted',
					'Dashed' => 'dashed'
				),
				'std'		=> 'solid',
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Rounded', 'ambersix'),
				'param_name' => 'rounded',
				'value' => '',
				'description'	=> esc_html__('ex: 10px', 'ambersix'),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Padding', 'ambersix'),
				'param_name' => 'padding',
				'value' => '',
				'description'	=> esc_html__('Top Right Bottom Left. Ex: 13px 40px 13px 40px', 'ambersix'),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Margin', 'ambersix'),
				'param_name' => 'margin',
				'value' => '',
				'description'	=> esc_html__('Top Right Bottom Left.', 'ambersix'),
	        ),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Full-width Button?', 'ambersix' ),
				'param_name' => 'full_width',
				'value'      => array( esc_html__( 'Yes, please.', 'ambersix' ) => 'yes' ),
			),
	        // Animation
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Enable Animation?', 'ambersix' ),
				'param_name' => 'animation',
				'value'      => array( esc_html__( 'Yes, please.', 'ambersix' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Animation', 'ambersix' ),
				'param_name' => 'animation_effect',
				'value'      => array(
					'Fade In Up' => 'fadeInUp',
					'Fade In Down' => 'fadeInDown',
					'Fade In' => 'fadeIn',
					'Fade In Left' => 'fadeInLeft',
					'Fade In Right' => 'fadeInRight',
				),
				'std'		=> 'fadeInUp',
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Duration', 'ambersix'),
				'param_name' => 'animation_duration',
				'value' => '0.75s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'ambersix'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Delay', 'ambersix'),
				'param_name' => 'animation_delay',
				'value' => '0.3s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'ambersix'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
			// Hover
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Text Color: Hover', 'ambersix'),
				'param_name' => 'text_color_hover',
				'value' => '',
				'group' => esc_html__( 'Hover', 'ambersix' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Background Color: Hover', 'ambersix'),
				'param_name' => 'background_color_hover',
				'value' => '',
				'group' => esc_html__( 'Hover', 'ambersix' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Border Color: Hover', 'ambersix'),
				'param_name' => 'border_color_hover',
				'value' => '',
				'group' => esc_html__( 'Hover', 'ambersix' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Icon Color: Hover', 'ambersix'),
				'param_name' => 'icon_color_hover',
				'value' => '',
				'group' => esc_html__( 'Hover', 'ambersix' ),
            ),
			// Icon
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Icon Style', 'ambersix' ),
				'param_name' => 'icon_style',
				'value'      => array(
					'No Icon' => 'no_icon',
					'Icon Style 1' => 'icon_style_1',
					'Icon Style 2' => 'icon_style_2',
					'Custom Icon' => 'custom',
				),
				'std'		=> 'no_icon',
				'group' => esc_html__( 'Icon', 'ambersix' ),
			),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Icon library', 'ambersix' ),
				'param_name' => 'icon_type',
				'description' => esc_html__( 'Select icon library.', 'ambersix' ),
				'value' => array(
					esc_html__( '', 'ambersix' ) => '',
					esc_html__( 'Elegant Icons', 'ambersix' ) => 'extraicon',
					esc_html__( 'Stroke 7 Icons', 'ambersix' ) => 'extraicon2',
					esc_html__( 'FontAwesome', 'ambersix' ) => 'fontawesome',
					esc_html__( 'Open Iconic', 'ambersix' ) => 'openiconic',
					esc_html__( 'Typicons', 'ambersix' ) => 'typicons',
					esc_html__( 'Entypo', 'ambersix' ) => 'entypo',
					esc_html__( 'Linecons', 'ambersix' ) => 'linecons',
				),
				'group' => esc_html__( 'Icon', 'ambersix' ),
				'dependency' => array( 'element' => 'icon_style', 'value' => 'custom' ),
			),
			array(
			    'type' => 'iconpicker',
			    'heading' => esc_html__( 'Icon', 'ambersix' ),
			    'param_name' => 'icon_extraicon',
			    'settings' => array(
			        'emptyIcon' => true,
			        'type' => 'extraicon',
			        'iconsPerPage' => 200,
			    ),
			    'dependency' => array(
			        'element' => 'icon_type',
			        'value' => 'extraicon',
			    ),
			    'group' => esc_html__( 'Icon', 'ambersix' ),
			),
			array(
			    'type' => 'iconpicker',
			    'heading' => esc_html__( 'Icon', 'ambersix' ),
			    'param_name' => 'icon_extraicon2',
			    'settings' => array(
			        'emptyIcon' => true,
			        'type' => 'extraicon2',
			        'iconsPerPage' => 200,
			    ),
			    'dependency' => array(
			        'element' => 'icon_type',
			        'value' => 'extraicon2',
			    ),
			    'group' => esc_html__( 'Icon', 'ambersix' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'ambersix' ),
				'param_name' => 'icon',
				'settings' => array(
					'emptyIcon' => true,
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'fontawesome',
				),
				'group' => esc_html__( 'Icon', 'ambersix' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'ambersix' ),
				'param_name' => 'icon_openiconic',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'openiconic',
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'openiconic',
				),
				'group' => esc_html__( 'Icon', 'ambersix' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'ambersix' ),
				'param_name' => 'icon_typicons',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'typicons',
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'typicons',
				),
				'group' => esc_html__( 'Icon', 'ambersix' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'ambersix' ),
				'param_name' => 'icon_entypo',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'entypo',
					'iconsPerPage' => 300,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'entypo',
				),
				'group' => esc_html__( 'Icon', 'ambersix' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'ambersix' ),
				'param_name' => 'icon_linecons',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'linecons',
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'linecons',
				),
				'group' => esc_html__( 'Icon', 'ambersix' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Icon Color', 'ambersix'),
				'param_name' => 'icon_color',
				'value' => '',
				'group' => esc_html__( 'Icon', 'ambersix' ),
				'dependency' => array( 'element' => 'icon_style', 'value' => 'custom' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon Font Size', 'ambersix'),
				'param_name' => 'icon_font_size',
				'value' => '',
				'group' => esc_html__( 'Icon', 'ambersix' ),
				'dependency' => array( 'element' => 'icon_style', 'value' => 'custom' ),
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Icon Position', 'ambersix' ),
				'param_name' => 'icon_position',
				'value'      => array(
					'Icon Left' => 'icon-left',
					'Icon Right' => 'icon-right',
				),
				'std'		=> 'icon-right',
				'group' => esc_html__( 'Icon', 'ambersix' ),
				'dependency' => array( 'element' => 'icon_style', 'value' => 'custom' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon: Right Padding', 'ambersix'),
				'param_name' => 'icon_right_padding',
				'value' => '',
				'group' => esc_html__( 'Icon', 'ambersix' ),
				'description'	=> esc_html__('Spacing between the icon and the text. Ex: 40px.', 'ambersix'),
				'dependency' => array( 'element' => 'icon_position', 'value' => 'icon-left' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon Left Padding', 'ambersix'),
				'param_name' => 'icon_left_padding',
				'value' => '',
				'group' => esc_html__( 'Icon', 'ambersix' ),
				'description'	=> esc_html__('Spacing between the icon and the text. Ex: 40px.', 'ambersix'),
				'dependency' => array( 'element' => 'icon_position', 'value' => 'icon-right' ),
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Icon: Offset', 'ambersix' ),
				'param_name' => 'icon_offset',
				'value'      => array(
					'-15px' => '-15',
					'-14px' => '-14',
					'-13px' => '-13',
					'-12px' => '-12',
					'-11px' => '-11',
					'-10px' => '-10',
					'-9px' => '-9',
					'-8px' => '-8',
					'-7px' => '-7',
					'-6px' => '-6',
					'-5px' => '-5',
					'-4px' => '-4',
					'-3px' => '-3',
					'-2px' => '-2',
					'-1px' => '-1',
					'0px' => '0',
					'1px' => '1',
					'2px' => '2',
					'3px' => '3',
					'4px' => '4',
					'5px' => '5',
					'6px' => '6',
					'7px' => '7',
					'8px' => '8',
					'9px' => '9',
					'10px' => '10',
					'11px' => '11',
					'12px' => '12',
					'13px' => '13',
					'14px' => '14',
					'15px' => '15',
				),
				'std'		=> '0',
				'group' => esc_html__( 'Icon', 'ambersix' ),
				'description'	=> esc_html__('Use this to change the distance middle the icon and top of button.', 'ambersix'),
				'dependency' => array( 'element' => 'icon_style', 'value' => 'custom' ),
			),
	        // Hyperlink
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Link (URL):', 'ambersix'),
				'param_name' => 'link_url',
				'value' => '',
				'group' => esc_html__( 'Hyperlink', 'ambersix' ),
            ),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Open Link in a new Tab', 'ambersix' ),
				'param_name' => 'new_tab',
				'group' => esc_html__( 'Hyperlink', 'ambersix' ),
				'value' => array(
					'Yes' => 'yes',
					'No' => 'no',
				),
				'std'		=> 'yes',
			),
			// Box Shadow
			array(
				'type' => 'headings',
				'text' => esc_html__('Box Shadow', 'ambersix'),
				'param_name' => 'heading_shadow',
				'group' => esc_html__( 'Box Shadow', 'ambersix' ),
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Option Shadow', 'ambersix' ),
				'param_name'  => 'inset',
				'value'       => array(
					'Outset'   => '',
					'Inset'   => 'inset',
				),
				'std'		=> '',
				'group' => esc_html__( 'Box Shadow', 'ambersix' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Horizontal (Required)', 'ambersix'),
				'param_name' => 'horizontal',
				'value' => '',
				'group' => esc_html__( 'Box Shadow', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Vertical (Required)', 'ambersix'),
				'param_name' => 'vertical',
				'value' => '',
				'group' => esc_html__( 'Box Shadow', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Blur (Required)', 'ambersix'),
				'param_name' => 'blur',
				'value' => '',
				'group' => esc_html__( 'Box Shadow', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Spread (Required)', 'ambersix'),
				'param_name' => 'spread',
				'value' => '',
				'group' => esc_html__( 'Box Shadow', 'ambersix' ),
	        ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Shadow Color (Required)', 'ambersix'),
				'param_name' => 'shadow_color',
				'value' => '',
				'group' => esc_html__( 'Box Shadow', 'ambersix' ),
            ),
	        // Typography
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Font Family', 'ambersix' ),
				'param_name' => 'font_family',
				'value'      =>  ambersix_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Font Weight', 'ambersix' ),
				'param_name' => 'font_weight',
				'value'      => array(
					'Default' => 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Font Size', 'ambersix'),
				'param_name' => 'font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Line-Height', 'ambersix'),
				'param_name' => 'line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
        )
    ) );
} );

// Hero Section
add_action( 'vc_before_init', function() {
    class WPBakeryShortCode_hero extends WPBakeryShortCodesContainer {}
} );
add_action( 'vc_before_init', function() {
    vc_map( array(
        'name' => esc_html__('Hero Section', 'ambersix'),
        'description' => esc_html__('Hero Section.', 'ambersix'),
        'base' => 'hero',
		'weight'	=>	180,
		'icon' => plugins_url('assets/icon.png', __FILE__),
		'as_parent' => array('except' => 'hero'),
		'controls' => 'full',
		'show_settings_on_create' => true,
		'category' => esc_html__('WPRT VC Addons', 'ambersix'),
		'js_view' => 'VcColumnView',
		'params' => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Hero Height', 'ambersix' ),
				'param_name' => 'hero_height',
				'value'      => array(
					'Full Screen' => 'full-height',
					'Custom Height' => 'custom-height',
				),
				'std'		=> 'full-height',
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Hero Custom Height', 'ambersix'),
				'param_name' => 'hero_custom_height',
				'value' => '',
				'description'	=> esc_html__('Ex: 600px.', 'ambersix'),
				'dependency' => array( 'element' => 'hero_height', 'value' => 'custom-height' ),
            ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Showcase', 'ambersix' ),
				'param_name' => 'showcase',
				'value'      => array(
					'Background Slideshow' => 'slideshow',
					'Background Video' => 'video',
				),
				'std'		=> 'slideshow',
			),
			array(
				'type' => 'attach_images',
				'heading' => esc_html__('Background Images', 'ambersix'),
				'param_name' => 'images',
				'value' => '',
				'description' => esc_html__('Choose multi-images for background slideshow.', 'ambersix'),
				'dependency' => array( 'element' => 'showcase', 'value' => 'slideshow' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Effects', 'ambersix' ),
				'param_name' => 'effect',
				'value'      => array(
					'fade' => 'fade',
					'fade2' => 'fade2',
					'slideLeft' => 'slideLeft',
					'slideLeft2' => 'slideLeft2',
					'slideRight' => 'slideRight',
					'slideRight2' => 'slideRight2',
					'slideUp' => 'slideUp',
					'slideDown' => 'slideDown',
					'slideDown2' => 'slideDown2',
					'zoomIn' => 'zoomIn',
					'zoomIn2' => 'zoomIn2',
					'zoomOut' => 'zoomOut',
					'zoomOut2' => 'zoomOut2',
					'swirlLeft' => 'swirlLeft',
					'swirlLeft2' => 'swirlLeft2',
					'swirlRight' => 'swirlRight',
					'swirlRight2' => 'swirlRight2',
					'burn' => 'burn',
					'burn2' => 'burn2',
					'blur' => 'blur',
					'blur2' => 'blur2',
					'flash' => 'flash',
					'flash2' => 'flash2'
				),
				'std'		=> 'fade',
				'dependency' => array( 'element' => 'showcase', 'value' => 'slideshow' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Youtube link (URL)', 'ambersix'),
				'param_name' => 'video_link',
				'value' => '',
				'description' => esc_html__('Youtube link or ID. Ex: https://www.youtube.com/watch?v=vQqZIFCab9o', 'ambersix'),
				'dependency' => array( 'element' => 'showcase', 'value' => 'video' ),
            ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Pattern Overlay', 'ambersix' ),
				'param_name' => 'pattern_overlay',
				'value'      => array(
					'No Parttern' => '',
					'Style 1' => 'style-1',
					'Style 2' => 'style-2',
					'Style 3' => 'style-3',
					'Style 4' => 'style-4',
					'Style 5' => 'style-5',
					'Style 6' => 'style-6',
					'Style 7' => 'style-7',
					'Style 8' => 'style-8',
					'Style 9' => 'style-9',
				),
				'std'		=> 'style-1',
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Color Overlay', 'ambersix'),
				'param_name' => 'color_overlay',
				'value' => '',
            ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Content Alignment', 'ambersix' ),
				'param_name' => 'alignment',
				'value'      => array(
					'Left' => 'text-left',
					'Center' => 'text-center',
					'Right' => 'text-right',
				),
				'std'		=> 'text-center',
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Content: Top Margin', 'ambersix'),
				'param_name' => 'content_top',
				'value' => '',
				'description'	=> esc_html__('Ex: 50px. In case you want to set a spacing above the content area.', 'ambersix'),
            ),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Content area into Grid?', 'ambersix' ),
				'param_name' => 'grid',
				'value'      => array( esc_html__( 'Yes, please.', 'ambersix' ) => 'yes' ),
			),
			// Arrow
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Show arrow?', 'ambersix' ),
				'param_name' => 'scroll',
				'value'      => array( esc_html__( 'Yes, please.', 'ambersix' ) => 'yes' ),
				'group' => esc_html__( 'Arrow', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Arrow Style', 'ambersix' ),
				'param_name' => 'arrow_style',
				'value'      => array(
					'Style 1' => 'style-1',
					'Style 2' => 'style-2',
				),
				'std'		=> 'style-1',
				'group' => esc_html__( 'Arrow', 'ambersix' ),
				'dependency' => array( 'element' => 'scroll', 'value' => 'yes' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Scroll to Row (ID)', 'ambersix'),
				'param_name' => 'scroll_id',
				'value' => '',
				'description' => esc_html__('Enter the anchor ID you assigned to the element.', 'ambersix'),
				'group' => esc_html__( 'Arrow', 'ambersix' ),
				'dependency' => array( 'element' => 'scroll', 'value' => 'yes' ),
            ),
        )
    ) );
} );

// Images Grid
add_action( 'vc_before_init', function() {
	vc_map( array(
		'name' => esc_html__( 'Images Grid', 'ambersix' ),
		'description' => esc_html__('Displaying images in masonry or mosaic grid.', 'ambersix'),
		'base' => 'imagesgrid',
		'weight'	=>	180,
		'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'ambersix'),
		'params' => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Layout', 'ambersix' ),
				'param_name' => 'mode',
				'value'      => array(
					'Masonry' => 'grid',
					'Masonry' => 'mosaic',
				),
				'std'		=> 'grid',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Image Cropping', 'ambersix' ),
				'param_name' => 'image_crop',
				'value'      => array(
					'Full' => 'full',
					'640 x 640' => 'square',
					'370 x 260' => 'rectangle',
					'370 x 570' => 'rectangle2',
				),
				'std'		=> 'square',
			),
			array(
				'type' => 'attach_images',
				'heading' => esc_html__('Images', 'ambersix'),
				'param_name' => 'images',
				'value' => '',
				'description' => esc_html__('Choose multi-images for Images Grid.', 'ambersix')
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Image Rounded', 'ambersix'),
				'param_name' => 'rounded',
				'value' => '',
				'description'	=> esc_html__('ex: 10px', 'ambersix'),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Spacing between items', 'ambersix'),
				'param_name' => 'gapv',
				'value' => '0',
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Spacing below items', 'ambersix'),
				'param_name' => 'gaph',
				'value' => '0',
            ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'If Wrap > 1100px.', 'ambersix' ),
				'param_name' => 'column',
				'group'      => esc_html__( 'Column Options', 'ambersix' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
					'5 Columns' => '5c',
					'6 Columns' => '6c',
					'7 Columns' => '7c',
				),
				'std'		=> '4c',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'If Wrap from 800px to 1099px.', 'ambersix' ),
				'param_name' => 'column2',
				'group'      => esc_html__( 'Column Options', 'ambersix' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
					'5 Columns' => '5c',
					'6 Columns' => '6c',
				),
				'std'		=> '3c',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'If Wrap from 550px to 799px.', 'ambersix' ),
				'param_name' => 'column3',
				'group'      => esc_html__( 'Column Options', 'ambersix' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
					'5 Columns' => '5c',
				),
				'std'		=> '2c',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'If Wrap < 549px.', 'ambersix' ),
				'param_name' => 'column4',
				'group'      => esc_html__( 'Column Options', 'ambersix' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
				),
				'std'		=> '1c',
			),
		)
	) );
} );

// Images Carousel
add_action( 'vc_before_init', function() {
	vc_map( array(
		'name' => esc_html__( 'Images Carousel', 'ambersix' ),
		'description' => esc_html__('Displaying images in carousel.', 'ambersix'),
		'base' => 'imagescarousel',
		'weight'	=>	180,
		'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'ambersix'),
		'params' => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Image Cropping', 'ambersix' ),
				'param_name' => 'image_crop',
				'value'      => array(
					'Full' => 'full',
					'640 x 640' => 'square',
					'370 x 260' => 'rectangle',
					'370 x 570' => 'rectangle2',
				),
				'std'		=> 'full',
			),
			array(
				'type' => 'attach_images',
				'heading' => esc_html__('Images', 'ambersix'),
				'param_name' => 'images',
				'value' => '',
				'description' => esc_html__('Choose multi-images for Images Grid.', 'ambersix')
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Show Border?', 'ambersix' ),
				'param_name' => 'show_borders',
				'value'      => array( esc_html__( 'Yes, please.', 'ambersix' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Item: Auto Scroll?', 'ambersix' ),
				'param_name' => 'auto_scroll',
				'value'      => array(
					'No' => 'false',
					'Yes' => 'true',
				),
				'std'		=> 'false',
				'group' => esc_html__( 'Query', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Item: Infinity Loop?', 'ambersix' ),
				'param_name' => 'loop',
				'value'      => array(
					'No' => 'false',
					'Yes' => 'true',
				),
				'std'		=> 'false',
				'group' => esc_html__( 'Query', 'ambersix' ),
				'description'	=> esc_html__('Duplicate last and first items to get loop illusion.', 'ambersix'),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Item: Spacing Between', 'ambersix'),
				'param_name' => 'gap',
				'value' => '30',
				'group' => esc_html__( 'Query', 'ambersix' ),
	        ),
	        // Controls
			array(
				'type' => 'headings',
				'text' => esc_html__('Arrows', 'ambersix'),
				'param_name' => 'arrows_heading',
				'group' => esc_html__( 'Controls', 'ambersix' ),
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Show Arrows?', 'ambersix' ),
				'param_name' => 'show_arrows',
				'group' => esc_html__( 'Controls', 'ambersix' ),
				'value'      => array( esc_html__( 'Yes, please.', 'ambersix' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Arrow Position', 'ambersix' ),
				'param_name' => 'arrow_position',
				'value'      => array(
					'Center' => 'center',
					'Bottom' => 'bottom',
				),
				'std'		=> 'center',
				'group' => esc_html__( 'Controls', 'ambersix' ),
				'dependency' => array( 'element' => 'show_arrows', 'value' => 'yes' ),
			),
			// Column
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Screen > 1000px', 'ambersix' ),
				'param_name' => 'column',
				'group'      => esc_html__( 'Columns', 'ambersix' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
					'5 Columns' => '5c',
					'6 Columns' => '6c',
					'7 Columns' => '7c',
				),
				'std'		=> '3c',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Screen from 600px to 1000px', 'ambersix' ),
				'param_name' => 'column2',
				'group'      => esc_html__( 'Columns', 'ambersix' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
					'5 Columns' => '5c',
				),
				'std'		=> '2c',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Screen < 600px', 'ambersix' ),
				'param_name' => 'column3',
				'group'      => esc_html__( 'Columns', 'ambersix' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
				),
				'std'		=> '1c',
			),
		)
	) );
} );

// Scroll Target
add_action( 'vc_before_init', function() {
	vc_map( array(
		'name'        => esc_html__( 'Scroll to ID Target', 'ambersix' ),
        'description' => esc_html__('Displaying a arrow for scrolling down when clicked.', 'ambersix'),
		'base'        => 'scrolltarget',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'ambersix'),
		'params'      => array(
            array(
				'type' => 'textfield',
				'heading' => esc_html__('ID Target', 'ambersix'),
				'param_name' => 'id_target',
				'value' => '',
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Color', 'ambersix'),
				'param_name' => 'color',
				'value' => '',
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Size', 'ambersix'),
				'param_name' => 'size',
				'value' => '',
	        ),
		)
	) );
} );

// Special Text
add_action( 'vc_before_init', function() {
    vc_map( array(
        'name' => esc_html__('Special Text', 'ambersix'),
        'description' => esc_html__('Awesome Texts.', 'ambersix'),
        'base' => 'specialtext',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'ambersix'),
        'params' => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Alignment', 'ambersix' ),
				'param_name' => 'alignment',
				'value'      => array(
					'Left' => 'text-left',
					'Center' => 'text-center',
					'Right' => 'text-right',
				),
				'std'		=> 'text-left',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Tag', 'ambersix' ),
				'param_name' => 'tag',
				'value'      => array(
					'Div' => 'div',
					'H1' => 'h1',
					'H2' => 'h2',
					'H3' => 'h3',
					'H4' => 'h4',
					'H5' => 'h5',
					'H6' => 'h6',
				),
				'std'		=> 'div',
			),
			array(
				'type' => 'textfield',
				'holder' => 'span',
				'heading' => esc_html__( 'Text 1 (Optional)', 'ambersix' ),
				'param_name' => 'text1',
			),
			array(
				'type' => 'textfield',
				'holder' => 'span',
				'heading' => esc_html__( 'Text 2 (Optional)', 'ambersix' ),
				'param_name' => 'text2',
			),
			array(
				'type' => 'textfield',
				'holder' => 'span',
				'heading' => esc_html__( 'Text 3 (Optional)', 'ambersix' ),
				'param_name' => 'text3',
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Text 1 Color', 'ambersix'),
				'param_name' => 'color1',
				'value' => '',
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Text 2 Color', 'ambersix'),
				'param_name' => 'color2',
				'value' => '',
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Text 3 Color', 'ambersix'),
				'param_name' => 'color3',
				'value' => '',
            ),
			// Typography
			array(
				'type' => 'headings',
				'text' => esc_html__('Text 1', 'ambersix'),
				'param_name' => 'text1_typograpy',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Text 1: Font Family', 'ambersix' ),
				'param_name' => 'text1_font_family',
				'value'      =>  ambersix_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Text 1: Font Weight', 'ambersix' ),
				'param_name' => 'text1_font_weight',
				'value'      => array(
					'Default' => 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Text 1: Font Size', 'ambersix'),
				'param_name' => 'text1_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Text 1: Font Style', 'ambersix' ),
				'param_name' => 'text1_font_style',
				'value'      => array(
					'Normal' => '',
					'Italic' => 'italic',
				),
				'std'		=> '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type' => 'headings',
				'text' => esc_html__('Text 2', 'ambersix'),
				'param_name' => 'text2_typograpy',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Text 2: Font Family', 'ambersix' ),
				'param_name' => 'text2_font_family',
				'value'      =>  ambersix_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Text 2: Font Weight', 'ambersix' ),
				'param_name' => 'text2_font_weight',
				'value'      => array(
					'Default' => 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Text 2: Font Size', 'ambersix'),
				'param_name' => 'text2_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Text 2: Font Style', 'ambersix' ),
				'param_name' => 'text2_font_style',
				'value'      => array(
					'Normal' => '',
					'Italic' => 'italic',
				),
				'std'		=> '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type' => 'headings',
				'text' => esc_html__('Text 3', 'ambersix'),
				'param_name' => 'text3_typograpy',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Text 3: Font Family', 'ambersix' ),
				'param_name' => 'text3_font_family',
				'value'      =>  ambersix_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Text 3: Font Weight', 'ambersix' ),
				'param_name' => 'text3_font_weight',
				'value'      => array(
					'Default' => 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Text 3: Font Size', 'ambersix'),
				'param_name' => 'text3_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Text 3: Font Style', 'ambersix' ),
				'param_name' => 'text3_font_style',
				'value'      => array(
					'Normal' => '',
					'Italic' => 'italic',
				),
				'std'		=> '',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			// Spacing
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Text 1: Right Padding', 'ambersix'),
				'param_name' => 'text1_right_padding',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'ambersix' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Text 2: Right Padding', 'ambersix'),
				'param_name' => 'text2_right_padding',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'ambersix' ),
            ),
        )
    ) );
} );

// Fancy Text
add_action( 'vc_before_init', function() {
    vc_map( array(
        'name' => esc_html__('Fancy Text', 'ambersix'),
        'description' => esc_html__('Awesome Animation Text.', 'ambersix'),
        'base' => 'fancytext',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'ambersix'),
        'params' => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Text Alignment', 'ambersix' ),
				'param_name' => 'alignment',
				'value'      => array(
					'Left' => '',
					'Center' => 'text-center',
					'Right' => 'text-right',
				),
				'std'		=> 'text-center',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Animation', 'ambersix' ),
				'param_name' => 'animation',
				'value'      => array(
					'Scrolling' => 'scroll',
					'Typing' => 'typed',
				),
				'std'		=> 'scroll',
			),
			array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__( 'Text 1 (Optional)', 'ambersix' ),
				'param_name' => 'text1',
			),
			array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__( 'Text 2 (Optional)', 'ambersix' ),
				'param_name' => 'text2',
			),
			array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__( 'Text 3 (Optional)', 'ambersix' ),
				'param_name' => 'text3',
			),
			array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__( 'Text 4 (Optional)', 'ambersix' ),
				'param_name' => 'text4',
			),
			array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__( 'Text 5 (Optional)', 'ambersix' ),
				'param_name' => 'text5',
			),
			array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__( 'Prefix Text (Optional)', 'ambersix' ),
				'param_name' => 'prefix_text',
				'group' => esc_html__( 'Prefix & Suffix', 'ambersix' ),
				'dependency' => array( 'element' => 'animation', 'value' => 'typed' ),
			),
			array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__( 'Suffix Text (Optional)', 'ambersix' ),
				'param_name' => 'suffix_text',
				'group' => esc_html__( 'Prefix & Suffix', 'ambersix' ),
				'dependency' => array( 'element' => 'animation', 'value' => 'typed' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Text Color', 'ambersix'),
				'param_name' => 'text_color',
				'value' => '',
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Prefix Text Color', 'ambersix'),
				'param_name' => 'prefix_color',
				'value' => '',
				'group' => esc_html__( 'Prefix & Suffix', 'ambersix' ),
				'dependency' => array( 'element' => 'animation', 'value' => 'typed' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Suffix Text Color', 'ambersix'),
				'param_name' => 'suffix_color',
				'value' => '',
				'group' => esc_html__( 'Prefix & Suffix', 'ambersix' ),
				'dependency' => array( 'element' => 'animation', 'value' => 'typed' ),
            ),
	        // Typography
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Tag', 'ambersix' ),
				'param_name' => 'tag',
				'value'      => array(
					'H1' => 'h1',
					'H2' => 'h2',
					'H3' => 'h3',
					'H4' => 'h4',
					'H5' => 'h5',
					'H6' => 'h6',
				),
				'std'		=> 'h2',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Font Family', 'ambersix' ),
				'param_name' => 'font_family',
				'value'      =>  ambersix_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Font Weight', 'ambersix' ),
				'param_name' => 'font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'ambersix' ),
			),
			array(
				'type' => 'number',
				'heading' => esc_html__( 'Font Size: Max', 'ambersix' ),
				'param_name' => 'font_max',
				'value' => 70,
				'suffix' => 'px',
				'group' => esc_html__( 'Typography', 'ambersix' ),
				'description'	=> esc_html__('Important! This size only appear exactly on the full-width grid, 65px max-size on the 1170 grid and 32px max-size on the 570px grid.', 'ambersix'),
		  	),
		  	array(
				'type' => 'number',
				'heading' => esc_html__( 'Font Size: Min', 'ambersix' ),
				'param_name' => 'font_min',
				'value' => 22,
				'suffix' => 'px',
				'group' => esc_html__( 'Typography', 'ambersix' ),
		  	),
        )
    ) );
} );

// Partner Carousel
add_action( 'vc_before_init', function() {
	vc_map( array(
	    'name' => esc_html__('Partner Carousel', 'ambersix'),
	    'description' => esc_html__('Displaying partner posts in carousel.', 'ambersix'),
	    'base' => 'partners',
		'weight'	=>	180,
	    'icon' => plugins_url('assets/icon.png', __FILE__),
	    'category' => esc_html__('WPRT VC Addons', 'ambersix'),
	    'params' => array(
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Show Border?', 'ambersix' ),
				'param_name' => 'show_border',
				'value'      => array( esc_html__( 'Yes, please.', 'ambersix' ) => 'yes' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Spacing between items', 'ambersix'),
				'param_name' => 'gap',
				'value' => '10',
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Item: Auto Scroll?', 'ambersix' ),
				'param_name' => 'auto_scroll',
				'value'      => array(
					'No' => 'false',
					'Yes' => 'true',
				),
				'std'		=> 'false',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Item: Infinity Loop?', 'ambersix' ),
				'param_name' => 'loop',
				'value'      => array(
					'No' => 'false',
					'Yes' => 'true',
				),
				'std'		=> 'false',
				'description'	=> esc_html__('Duplicate last and first items to get loop illusion.', 'ambersix'),
			),
			// Query
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Number of items', 'ambersix'),
				'param_name' => 'items',
				'value' => '5',
				'group' => esc_html__( 'Query', 'ambersix' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Category Slug', 'ambersix'),
				'param_name' => 'cat_slug',
				'value' => '',
				'group' => esc_html__( 'Query', 'ambersix' ),
				'description'	=> esc_html__('Only show posts from specific category-slug (optional).', 'ambersix'),
	        ),
	        // Controls
			array(
				'type' => 'headings',
				'text' => esc_html__('Bullets', 'ambersix'),
				'param_name' => 'bullets_heading',
				'group' => esc_html__( 'Controls', 'ambersix' ),
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Show Bullets?', 'ambersix' ),
				'param_name' => 'show_bullets',
				'group' => esc_html__( 'Controls', 'ambersix' ),
				'value'      => array( esc_html__( 'Yes, please.', 'ambersix' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Space between Bullets & Images', 'ambersix' ),
				'param_name' => 'bullet_between',
				'value'      => array(
					'50px' => '50',
					'45px' => '45',
					'40px' => '40',
					'35px' => '35',
					'30px' => '30',
					'25px' => '25',
					'20px' => '20',
					'15px' => '15',
					'10px' => '10',
				),
				'std'		=> '50',
				'dependency' => array( 'element' => 'show_bullets', 'value' => 'yes' ),
				'group' => esc_html__( 'Controls', 'ambersix' ),
			),
			array(
				'type' => 'headings',
				'text' => esc_html__('Arrows', 'ambersix'),
				'param_name' => 'arrows_heading',
				'group' => esc_html__( 'Controls', 'ambersix' ),
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Show Arrows?', 'ambersix' ),
				'param_name' => 'show_arrows',
				'group' => esc_html__( 'Controls', 'ambersix' ),
				'value'      => array( esc_html__( 'Yes, please.', 'ambersix' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Arrows Offset: Horizontal', 'ambersix' ),
				'param_name' => 'arrow_offset',
				'group' => esc_html__( 'Controls', 'ambersix' ),
				'value'      => array(
					'-100' => '-100',
					'-90' => '-90',
					'-80' => '-80',
					'-70' => '-70',
					'-60' => '-60',
					'-50' => '-50',
					'-40' => '-40',
					'-30' => '-30',
					'-20' => '-20',
					'-10' => '-10',
					'Center' => 'center',
					'10' => '10',
					'20' => '20',
					'30' => '30',
					'40' => '40',
					'50' => '50',
					'60' => '60',
					'70' => '70',
					'80' => '80',
					'90' => '90',
					'100' => '100',
				),
				'std'		=> 'center',
				'dependency' => array( 'element' => 'show_arrows', 'value' => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Arrows Offset: Vertical', 'ambersix' ),
				'param_name' => 'arrow_offset_v',
				'group' => esc_html__( 'Controls', 'ambersix' ),
				'value'      => array(
					'-100' => '-100',
					'-90' => '-90',
					'-80' => '-80',
					'-70' => '-70',
					'-60' => '-60',
					'-50' => '-50',
					'-40' => '-40',
					'-30' => '-30',
					'-20' => '-20',
					'0' => '0',
					'20' => '20',
					'30' => '30',
					'40' => '40',
					'50' => '50',
					'60' => '60',
					'70' => '70',
					'80' => '80',
					'90' => '90',
					'100' => '100',
				),
				'std'		=> '0',
				'dependency' => array( 'element' => 'show_arrows', 'value' => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Screen > 1000px', 'ambersix' ),
				'param_name' => 'column',
				'group'      => esc_html__( 'Columns', 'ambersix' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
					'5 Columns' => '5c',
					'6 Columns' => '6c',
					'7 Columns' => '7c',
				),
				'std'		=> '3c',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Screen from 600px to 1000px', 'ambersix' ),
				'param_name' => 'column2',
				'group'      => esc_html__( 'Columns', 'ambersix' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
					'5 Columns' => '5c',
				),
				'std'		=> '2c',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Screen < 600px', 'ambersix' ),
				'param_name' => 'column3',
				'group'      => esc_html__( 'Columns', 'ambersix' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
				),
				'std'		=> '1c',
			),
	    )
	) );
} );

// Subscribe Form
add_action( 'vc_before_init', function() {
    vc_map( array(
        'name' => esc_html__('Subscribe Form', 'ambersix'),
        'description' => esc_html__('Displaying mailchimp newsletter form.', 'ambersix'),
        'base' => 'subscribe',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'ambersix'),
        'params' => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Style', 'ambersix' ),
				'param_name' => 'style',
				'value'      => array(
					'Style 1' => 'style-1',
					'Style 2' => 'style-2',
				),
				'std'		=> 'style-1',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Alignment', 'ambersix' ),
				'param_name' => 'alignment',
				'value'      => array(
					'Left' => '',
					'Center' => 'text-center',
				),
				'std'		=> '',
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Max-Width', 'ambersix'),
				'param_name' => 'width',
				'value' => '',
            ),
        )
    ) );
} );

// Google Maps
add_action( 'vc_before_init', function() {
    vc_map( array(
        'name' => esc_html__('Google Maps', 'ambersix'),
        'description' => esc_html__('Displaying Google Maps.', 'ambersix'),
        'base' => 'googlemap',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'ambersix'),
        'params' => array(
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Latitude', 'ambersix' ),
				'param_name'  => 'lat',
				'description' => '<a href="http://universimmedia.pagesperso-orange.fr/geo/loc.htm" target="_blank">'. esc_html__('Here is a tool', 'ambersix').'</a> '. esc_html__('where you can find Latitude & Longitude of your location', 'ambersix'),
			),
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Longitude', 'ambersix' ),
				'param_name'  => 'lng',
				'description' => '<a href="http://universimmedia.pagesperso-orange.fr/geo/loc.htm" target="_blank">'. esc_html__('Here is a tool', 'ambersix').'</a> '. esc_html__('where you can find Latitude & Longitude of your location', 'ambersix'),
			),
			array(
				'type'       => 'textfield',
				'heading'    => esc_html__( 'Map Width', 'ambersix' ),
				'param_name' => 'width',
				'value'      => ''
			),
			array(
				'type'       => 'textfield',
				'heading'    => esc_html__( 'Map Height', 'ambersix' ),
				'param_name' => 'height',
				'value'      => 300
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Zoom Level', 'ambersix' ),
				'param_name'  => 'zoom',
				'description' => esc_html__( 'Select the default zoom level for the Maps', 'ambersix' ),
				'value'       => array_combine( range( 1, 24 ), range( 1, 24 ) ),
				'std'		  => '14'
			),
            array(
                'type' => 'dropdown',
                'heading' => esc_html__( 'Dragging on Mobile' ),
                'param_name' => 'drag_mobile',
                'value' => array( esc_html__( 'Enable' ) => 'true', esc_html__( 'Disable' ) => 'false'),
                'std' => 'true'
            ),
            array(
                'type' => 'dropdown',
                'heading' => esc_html__( 'Dragging on Desktop' ),
                'param_name' => 'drag_desktop',
                'value' => array( esc_html__( 'Enable' ) => 'true', esc_html__( 'Disable' ) => 'false'),
                'std' => 'true'
            ),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Show The Marker', 'ambersix' ),
				'param_name'  => 'marker_type',
				'value'       => array(
					'Simple'          => 'simple',
					'Custom Image' => 'image',
				),
				'std'		=> 'simple',
				'group' => esc_html__( 'Maker', 'ambersix' ),
			),
			array(
				'type' => 'attach_image',
				'heading' => esc_html__('Image', 'ambersix'),
				'param_name' => 'image',
				'value' => '',
				'group' => esc_html__( 'Maker', 'ambersix' ),
				'dependency' => array( 'element' => 'marker_type', 'value' => 'image' ),
			),
        )
    ) );
} );

// Products Carousel
add_action( 'vc_before_init', function() {
    vc_map( array(
        'name' => esc_html__('Products Carousel', 'ambersix'),
        'description' => esc_html__('Displaying products in carousel.', 'ambersix'),
        'base' => 'dproducts',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'ambersix'),
        'params' => array(
	        // Query
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Number', 'ambersix'),
				'param_name' => 'number',
				'value' => '4',
				'group' => esc_html__( 'Query', 'ambersix' ),
				'description'	=> esc_html__('The number of campaigns to show.', 'ambersix'),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Item: Space Between', 'ambersix'),
				'param_name' => 'gap',
				'value' => '30',
				'group' => esc_html__( 'Query', 'ambersix' ),
				'description'	=> esc_html__('Important! Include the blur distance of the shadow.', 'ambersix'),
	        ),
	        // Controls
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Item: Auto Scroll?', 'ambersix' ),
				'param_name' => 'auto_scroll',
				'value'      => array(
					'No' => 'false',
					'Yes' => 'true',
				),
				'std'		=> 'false',
				'group' => esc_html__( 'Controls', 'ambersix' ),
			),
			array(
				'type' => 'headings',
				'text' => esc_html__('Bullets', 'ambersix'),
				'param_name' => 'bullets_heading',
				'group' => esc_html__( 'Controls', 'ambersix' ),
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Show Bullets?', 'ambersix' ),
				'param_name' => 'show_bullets',
				'group' => esc_html__( 'Controls', 'ambersix' ),
				'value'      => array( esc_html__( 'Yes, please.', 'ambersix' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Space between Bullets & Images', 'ambersix' ),
				'param_name' => 'bullet_between',
				'value'      => array(
					'50px' => '50',
					'45px' => '45',
					'40px' => '40',
					'35px' => '35',
					'30px' => '30',
					'25px' => '25',
					'20px' => '20',
					'15px' => '15',
					'10px' => '10',
				),
				'std'		=> '50',
				'dependency' => array( 'element' => 'show_bullets', 'value' => 'yes' ),
				'group' => esc_html__( 'Controls', 'ambersix' ),
			),
			array(
				'type' => 'headings',
				'text' => esc_html__('Arrows', 'ambersix'),
				'param_name' => 'arrows_heading',
				'group' => esc_html__( 'Controls', 'ambersix' ),
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Show Arrows?', 'ambersix' ),
				'param_name' => 'show_arrows',
				'group' => esc_html__( 'Controls', 'ambersix' ),
				'value'      => array( esc_html__( 'Yes, please.', 'ambersix' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Arrows Offset: Horizontal', 'ambersix' ),
				'param_name' => 'arrow_offset',
				'group' => esc_html__( 'Controls', 'ambersix' ),
				'value'      => array(
					'-40' => '-40',
					'-35' => '-35',
					'-30' => '-30',
					'-25' => '-25',
					'-20' => '-20',
					'-15' => '-15',
					'-10' => '-10',
					'Center' => 'center',
					'10' => '10',
					'15' => '15',
					'20' => '20',
					'25' => '25',
					'30' => '30',
					'35' => '35',
					'40' => '40',
				),
				'std'		=> 'center',
				'dependency' => array( 'element' => 'show_arrows', 'value' => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Arrows Offset: Vertical', 'ambersix' ),
				'param_name' => 'arrow_offset_v',
				'group' => esc_html__( 'Controls', 'ambersix' ),
				'value'      => array(
					'-120' => '-120',
					'-110' => '-110',
					'-100' => '-100',
					'-90' => '-90',
					'-80' => '-80',
					'-70' => '-70',
					'-60' => '-60',
					'-50' => '-50',
					'-40' => '-40',
					'-30' => '-30',
					'-20' => '-20',
					'0' => '0',
					'20' => '20',
					'30' => '30',
					'40' => '40',
					'50' => '50',
					'60' => '60',
					'70' => '70',
					'80' => '80',
					'90' => '90',
					'100' => '100',
					'110' => '110',
					'120' => '120',
				),
				'std'		=> '0',
				'dependency' => array( 'element' => 'show_arrows', 'value' => 'yes' ),
			),
			// Columns
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Screen > 1000px.', 'ambersix' ),
				'param_name' => 'column',
				'group'      => esc_html__( 'Columns', 'ambersix' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
					'5 Columns' => '5c',
					'6 Columns' => '6c',
					'7 Columns' => '7c',
				),
				'std'		=> '3c',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Screen from 600px to 1000px.', 'ambersix' ),
				'param_name' => 'column2',
				'group'      => esc_html__( 'Columns', 'ambersix' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
					'5 Columns' => '5c',
				),
				'std'		=> '2c',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Screen < 600px.', 'ambersix' ),
				'param_name' => 'column3',
				'group'      => esc_html__( 'Columns', 'ambersix' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
				),
				'std'		=> '1c',
			),
        )
    ) );
} );

// Countdown
add_action( 'vc_before_init', function() {
    vc_map( array(
        'name' => esc_html__('CountDown', 'ambersix'),
        'description' => esc_html__('Displaying Countdown Timer.', 'ambersix'),
        'base' => 'countdown',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'ambersix'),
        'params' => array(
			array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__( 'Time', 'ambersix' ),
				'param_name' => 'time',
				'value' => 'December 30, 2020 8:30:00'
			),
        )
    ) );
} );